2004-03-28  Mariusz Mazur  <mmazur@pld-linux.org>

	* VERSION: - releasing 2.6.4.0

	* README: - let's call it done

	* README: - draft

2004-03-27  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/major.h: - added three definitions from 2.4

	* include/linux/raid/raid1.h, include/linux/sunrpc/cache.h, include/linux/sunrpc/stats.h, include/linux/sunrpc/svc.h, include/linux/nfsd/nfsfh.h, include/linux/nfsd/state.h, include/linux/nfsd/xdr4.h, include/linux/netfilter_ipv4/ip_conntrack_amanda.h, include/linux/netfilter_ipv4/listhelp.h, include/linux/isdn/capilli.h, include/linux/dvb/video.h, include/linux/parport_pc.h, include/linux/pci.h, include/linux/pci_ids.h, include/linux/preempt.h, include/linux/security.h, include/linux/serial.h, include/linux/serial_core.h, include/linux/serial_reg.h, include/linux/shm.h, include/linux/skbuff.h, include/linux/stallion.h, include/linux/suspend.h, include/linux/syscalls.h, include/linux/sysctl.h, include/linux/sysdev.h, include/linux/version.h, include/linux/vt_kern.h, include/linux/workqueue.h, include/linux/limits.h, include/linux/linkage.h, include/linux/loop.h, include/linux/major.h, include/linux/module.h, include/linux/nbd.h, include/linux/netlink.h, include/linux/nfs.h, include/linux/nfs4.h, include/linux/init_task.h, include/linux/ioctl32.h, include/linux/ipv6.h, include/linux/ipv6_route.h, include/linux/isdn.h, include/linux/isdn_ppp.h, include/linux/istallion.h, include/linux/jhash.h, include/linux/kallsyms.h, include/linux/lapb.h, include/linux/libata.h, include/linux/acpi.h, include/linux/aio.h, include/linux/bitmap.h, include/linux/cache.h, include/linux/compat.h, include/linux/compat_ioctl.h, include/linux/console.h, include/linux/cpu.h, include/linux/cpufreq.h, include/linux/cyclades.h, include/linux/devpts_fs.h, include/linux/dm-ioctl.h, include/linux/fb.h, include/linux/futex.h, include/linux/i2o-dev.h, include/linux/ide.h, include/linux/idr.h, include/linux/if_bonding.h, include/asm-v850/param.h, include/asm-v850/termbits.h, include/asm-v850/unistd.h, include/asm-x86_64/apic.h, include/asm-x86_64/compat.h, include/asm-x86_64/cpufeature.h, include/asm-x86_64/msr.h, include/asm-x86_64/param.h, include/asm-x86_64/pci-direct.h, include/asm-x86_64/processor.h, include/asm-x86_64/proto.h, include/asm-x86_64/segment.h, include/asm-x86_64/termbits.h, include/asm-x86_64/unistd.h, include/asm-um/linkage.h, include/asm-um/param.h, include/asm-um/unistd.h, include/asm-sparc64/cache.h, include/asm-sparc64/io.h, include/asm-sparc64/param.h, include/asm-sparc64/spinlock.h, include/asm-sparc64/termbits.h, include/asm-sparc64/unistd.h, include/asm-sparc/asmmacro.h, include/asm-sparc/cache.h, include/asm-sparc/checksum.h, include/asm-sparc/hardirq.h, include/asm-sparc/head.h, include/asm-sparc/io.h, include/asm-sparc/param.h, include/asm-sparc/termbits.h, include/asm-sparc/unistd.h, include/asm-sparc/winmacro.h, include/asm-s390/sigp.h, include/asm-s390/termbits.h, include/asm-s390/unistd.h, include/asm-sh/cache.h, include/asm-sh/hardirq.h, include/asm-sh/param.h, include/asm-sh/termbits.h, include/asm-sh/unistd.h, include/asm-s390/ccwdev.h, include/asm-s390/ccwgroup.h, include/asm-s390/compat.h, include/asm-s390/idals.h, include/asm-s390/param.h, include/asm-s390/pgalloc.h, include/asm-s390/qdio.h, include/asm-ppc64/iSeries/iSeries_pci.h, include/asm-ppc64/cacheflush.h, include/asm-ppc64/lmb.h, include/asm-ppc64/mmu.h, include/asm-ppc64/mmu_context.h, include/asm-ppc64/page.h, include/asm-ppc64/param.h, include/asm-ppc64/processor.h, include/asm-ppc64/system.h, include/asm-ppc64/termbits.h, include/asm-ppc64/tlbflush.h, include/asm-ppc64/unistd.h, include/asm-ppc/param.h, include/asm-ppc/termbits.h, include/asm-parisc/module.h, include/asm-parisc/param.h, include/asm-parisc/termbits.h, include/asm-parisc/unistd.h, include/asm-mips/vr41xx/vr41xx.h, include/asm-mips/vr41xx/vrc4173.h, include/asm-mips/vr41xx/workpad.h, include/asm-mips/tx4927/tx4927_pci.h, include/asm-mips/sn/sn0/addrs.h, include/asm-mips/sn/sn0/ip27.h, include/asm-mips/sn/addrs.h, include/asm-mips/sn/arch.h, include/asm-mips/sn/intr.h, include/asm-mips/sn/intr_public.h, include/asm-mips/sn/klconfig.h, include/asm-mips/sn/sn_private.h, include/asm-mips/sibyte/board.h, include/asm-mips/sibyte/sb1250.h, include/asm-mips/sibyte/swarm.h, include/asm-mips/sibyte/trace_prof.h, include/asm-mips/sgi/ioc.h, include/asm-mips/pci/bridge.h, include/asm-mips/mips-boards/atlas.h, include/asm-mips/mips-boards/atlasint.h, include/asm-mips/mips-boards/bonito64.h, include/asm-mips/mips-boards/generic.h, include/asm-mips/mips-boards/malta.h, include/asm-mips/mips-boards/msc01_pci.h, include/asm-mips/mips-boards/piix4.h, include/asm-mips/mips-boards/seadint.h, include/asm-mips/ip32/crime.h, include/asm-mips/ip32/mace.h, include/asm-mips/galileo-boards/ev96100.h, include/asm-mips/galileo-boards/gt96100.h, include/asm-mips/dec/ecc.h, include/asm-mips/dec/kn05.h, include/asm-mips/cobalt/cobalt.h, include/asm-mips/arc/types.h, include/asm-mips/war.h, include/asm-mips/sigcontext.h, include/asm-mips/siginfo.h, include/asm-mips/sim.h, include/asm-mips/sni.h, include/asm-mips/socket.h, include/asm-mips/spinlock.h, include/asm-mips/stackframe.h, include/asm-mips/system.h, include/asm-mips/termbits.h, include/asm-mips/timex.h, include/asm-mips/types.h, include/asm-mips/unistd.h, include/asm-mips/page-64.h, include/asm-mips/page.h, include/asm-mips/param.h, include/asm-mips/pci_channel.h, include/asm-mips/pgalloc.h, include/asm-mips/pgtable-32.h, include/asm-mips/pgtable-64.h, include/asm-mips/pgtable-bits.h, include/asm-mips/processor.h, include/asm-mips/ptrace.h, include/asm-mips/r4kcache.h, include/asm-mips/semaphore.h, include/asm-mips/serial.h, include/asm-mips/sgialib.h, include/asm-mips/sgiarcs.h, include/asm-m68knommu/elf.h, include/asm-m68knommu/irq.h, include/asm-m68knommu/machdep.h, include/asm-m68knommu/param.h, include/asm-m68knommu/unistd.h, include/asm-mips/addrspace.h, include/asm-mips/asm.h, include/asm-mips/bitops.h, include/asm-mips/bug.h, include/asm-mips/cache.h, include/asm-mips/cacheflush.h, include/asm-mips/checksum.h, include/asm-mips/cpu.h, include/asm-mips/ds1286.h, include/asm-mips/elf.h, include/asm-mips/floppy.h, include/asm-mips/gdb-stub.h, include/asm-mips/gt64120.h, include/asm-mips/hardirq.h, include/asm-mips/hw_irq.h, include/asm-mips/i8259.h, include/asm-mips/io.h, include/asm-mips/ioctl.h, include/asm-mips/irq.h, include/asm-mips/irq_cpu.h, include/asm-mips/jazz.h, include/asm-mips/mipsregs.h, include/asm-mips/mmu_context.h, include/asm-mips/mv64340.h, include/asm-mips/namei.h, include/asm-mips/page-32.h, include/asm-m68k/atarihw.h, include/asm-m68k/irq.h, include/asm-m68k/param.h, include/asm-m68k/processor.h, include/asm-m68k/sbus.h, include/asm-m68k/system.h, include/asm-m68k/termbits.h, include/asm-m68k/unistd.h, include/asm-ia64/sn/sn2/sn_private.h, include/asm-ia64/sn/pci/pci_bus_cvlink.h, include/asm-ia64/sn/pci/pcibr.h, include/asm-ia64/sn/pci/pcibr_private.h, include/asm-ia64/sn/dmamap.h, include/asm-ia64/sn/driver.h, include/asm-ia64/sn/ioc4.h, include/asm-ia64/sn/ioconfig_bus.h, include/asm-ia64/sn/iograph.h, include/asm-ia64/sn/leds.h, include/asm-ia64/sn/module.h, include/asm-ia64/sn/sgi.h, include/asm-ia64/sn/sn_sal.h, include/asm-ia64/sn/clksupport.h, include/asm-ia64/iosapic.h, include/asm-ia64/mmu_context.h, include/asm-ia64/page.h, include/asm-ia64/param.h, include/asm-ia64/perfmon_default_smpl.h, include/asm-ia64/processor.h, include/asm-ia64/termbits.h, include/asm-i386/cpufeature.h, include/asm-i386/fixmap.h, include/asm-i386/linkage.h, include/asm-i386/module.h, include/asm-i386/param.h, include/asm-i386/processor.h, include/asm-i386/spinlock.h, include/asm-i386/termbits.h, include/asm-i386/timer.h, include/asm-i386/timex.h, include/asm-i386/unistd.h, include/asm-h8300/h8max/machine-depend.h, include/asm-h8300/aki3068net/machine-depend.h, include/asm-h8300/h8300_ne.h, include/asm-h8300/module.h, include/asm-h8300/page.h, include/asm-h8300/param.h, include/asm-h8300/processor.h, include/asm-h8300/system.h, include/asm-h8300/termbits.h, include/asm-h8300/unistd.h, include/asm-cris/param.h, include/asm-cris/termbits.h, include/asm-cris/unistd.h, include/asm-arm/hardware/sa1111.h, include/asm-arm26/cache.h, include/asm-arm26/module.h, include/asm-arm26/param.h, include/asm-arm26/termbits.h, include/asm-arm26/unistd.h, include/asm-arm/arch-rpc/acornfb.h, include/asm-arm/arch-cl7500/acornfb.h, include/asm-arm/cacheflush.h, include/asm-arm/locks.h, include/asm-arm/param.h, include/asm-arm/shmparam.h, include/asm-arm/spinlock.h, include/asm-arm/termbits.h, include/asm-arm/unistd.h, include/asm-alpha/param.h, include/asm-alpha/semaphore.h, include/asm-alpha/stat.h, include/asm-alpha/termbits.h, include/asm-alpha/unistd.h:
	- up to 2.6.4

	* AUTHORS, Makefile:
	- added AUTHORS file so it doesn't seem like I'm doing this alone

2004-03-25  Mariusz Mazur  <mmazur@pld-linux.org>

	* Makefile: - include ChangeLog, README and LICENSE files in tarballs

	* LICENSE: - legal stuff

2004-03-24  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/selinux_netlink.h:
	- 2.6.4 update - the only file that is obviously userspace
	- lots of wierd syscalls stuff going on and I don't know what it's all
	  about

	* include/linux/Attic/dm-ioctl-v1.h, include/linux/Attic/dm-ioctl-v4.h, include/linux/Attic/hfs_fs.h, include/linux/Attic/hfs_fs_sb.h, include/linux/Attic/hfs_sysdep.h, include/linux/Attic/if_pppvar.h, include/linux/Attic/modsetver.h, include/linux/Attic/ppp.h, include/asm-ppc64/Attic/pci_dma.h, include/asm-ppc64/iSeries/Attic/iSeries_dma.h, include/asm-sparc/Attic/cprefix.h, include/asm-mips/gt64120/momenco_ocelot/Attic/gt64120_dep.h, include/asm-mips/jmr3927/Attic/ds1742rtc.h, include/asm-mips/galileo-boards/Attic/ev64120.h, include/asm-mips/galileo-boards/Attic/ev64120int.h, include/asm-mips/gt64120/Attic/gt64120.h, include/asm-mips/Attic/au1000.h, include/asm-mips/Attic/au1000_dma.h, include/asm-mips/Attic/au1000_gpio.h, include/asm-mips/Attic/au1000_pcmcia.h, include/asm-mips/Attic/au1000_usbdev.h, include/asm-mips/Attic/db1x00.h, include/asm-mips/Attic/pb1000.h, include/asm-mips/Attic/pb1100.h, include/asm-mips/Attic/pb1500.h, include/asm-mips/Attic/semaphore-helper.h, include/asm-mips/Attic/smplock.h, include/asm-mips/dec/Attic/rtc-dec.h:
	- up to 2.6.4 part I - removing files

2004-03-22  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/hdreg.h:
	- brought back hd_big_geometry and apropriate defines
	- don't feel too good about it though

2004-03-05  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/mtd/blktrans.h, include/linux/mtd/cfi.h, include/linux/mtd/cfi_endian.h, include/linux/mtd/concat.h, include/linux/mtd/flashchip.h, include/linux/mtd/ftl.h, include/linux/mtd/gen_probe.h, include/linux/mtd/inftl.h, include/linux/mtd/jedec.h, include/linux/mtd/nand.h, include/linux/mtd/nand_ecc.h, include/linux/mtd/nftl.h, include/linux/mtd/partitions.h, include/linux/mtd/pmc551.h, include/linux/cobalt-nvram.h, include/linux/cpufreq.h, include/linux/hiddev.h, include/linux/if_bridge.h, include/linux/if_tun.h, include/linux/ip6_tunnel.h, include/linux/jffs.h, include/linux/jffs2.h, include/linux/joystick.h, include/linux/kernelcapi.h, include/linux/pci.h, include/linux/ppp-comp.h, include/linux/quota.h, include/linux/serial_core.h, include/linux/synclink.h, include/linux/sysrq.h, include/linux/telephony.h, include/linux/usbdevice_fs.h, include/asm-sh/hd64465/gpio.h, include/asm-sh/hd64465/hd64465.h, include/asm-sparc/io.h, include/asm-x86_64/hw_irq.h, include/asm-sh/dreamcast/io.h, include/asm-m68knommu/m68360_enet.h, include/asm-m68knommu/m68360_pram.h, include/asm-m68knommu/m68360_quicc.h, include/asm-m68knommu/m68360_regs.h, include/asm-m68knommu/quicc_simple.h, include/asm-sh/keyboard.h, include/asm-arm/arch-sa1100/system3.h, include/asm-arm/arch-integrator/platform.h:
	- removing cvs tags part IV

	* include/linux/isdn/capicmd.h, include/linux/isdn/capilli.h, include/linux/isdn/capiutil.h, include/linux/isdn/tpam.h, include/asm-sparc64/timer.h, include/asm-sparc64/uctx.h, include/asm-sparc64/user.h, include/asm-sparc64/utrap.h, include/asm-sparc64/watchdog.h, include/asm-v850/ioctl.h, include/asm-x86_64/dma.h, include/asm-x86_64/ioctl.h, include/linux/b1lli.h, include/linux/capi.h, include/linux/hysdn_if.h, include/linux/isdn_divertif.h, include/linux/isdn_lzscomp.h, include/linux/isdnif.h, include/linux/tpqic02.h, include/linux/videotext.h, include/asm-sparc64/envctrl.h, include/asm-sparc64/fhc.h, include/asm-sparc64/floppy.h, include/asm-sparc64/hdreg.h, include/asm-sparc64/idprom.h, include/asm-sparc64/iommu.h, include/asm-sparc64/irq.h, include/asm-sparc64/isa.h, include/asm-sparc64/mostek.h, include/asm-sparc64/namei.h, include/asm-sparc64/ns87303.h, include/asm-sparc64/oplib.h, include/asm-sparc64/parport.h, include/asm-sparc64/pbm.h, include/asm-sparc64/pconf.h, include/asm-sparc64/processor.h, include/asm-sparc64/reg.h, include/asm-sparc64/sbus.h, include/asm-sparc64/solerrno.h, include/asm-sparc64/spitfire.h, include/asm-sparc64/starfire.h, include/asm-sparc64/sunbpp.h, include/asm-sparc64/apb.h, include/asm-sparc64/atomic.h, include/asm-sparc64/auxio.h, include/asm-sparc64/bbc.h, include/asm-sparc64/bitops.h, include/asm-sparc64/bsderrno.h, include/asm-sparc64/display7seg.h, include/asm-sparc64/dma.h, include/asm-sparc64/ebus.h, include/asm-sparc/pgtsun4c.h, include/asm-sparc/processor.h, include/asm-sparc/psr.h, include/asm-sparc/ross.h, include/asm-sparc/sbi.h, include/asm-sparc/sbus.h, include/asm-sparc/siginfo.h, include/asm-sparc/smpprim.h, include/asm-sparc/solerrno.h, include/asm-sparc/sun4paddr.h, include/asm-sparc/sunbpp.h, include/asm-sparc/sysen.h, include/asm-sparc/timer.h, include/asm-sparc/traps.h, include/asm-sparc/tsunami.h, include/asm-sparc/turbosparc.h, include/asm-sparc/user.h, include/asm-sparc/viking.h, include/asm-sparc/winmacro.h, include/asm-sh/cache.h, include/asm-sh/ioctl.h, include/asm-sh/mpc1211/dma.h, include/asm-sh/namei.h, include/asm-sparc/auxio.h, include/asm-sparc/bitops.h, include/asm-sparc/bsderrno.h, include/asm-sparc/btfixup.h, include/asm-sparc/cache.h, include/asm-sparc/clock.h, include/asm-sparc/cypress.h, include/asm-sparc/dma.h, include/asm-sparc/ebus.h, include/asm-sparc/ecc.h, include/asm-sparc/eeprom.h, include/asm-sparc/hdreg.h, include/asm-sparc/idprom.h, include/asm-sparc/irq.h, include/asm-sparc/kdebug.h, include/asm-sparc/machines.h, include/asm-sparc/mbus.h, include/asm-sparc/mostek.h, include/asm-sparc/mpmbox.h, include/asm-sparc/msi.h, include/asm-sparc/mxcc.h, include/asm-sparc/namei.h, include/asm-sparc/obio.h, include/asm-sparc/oplib.h, include/asm-sparc/page.h, include/asm-sparc/pbm.h, include/asm-sparc/pcic.h, include/asm-sparc/pconf.h, include/asm-sparc/pgtsrmmu.h, include/asm-sparc/pgtsun4.h, include/asm-m68k/apollodma.h, include/asm-m68k/dvma.h, include/asm-m68k/ioctl.h, include/asm-m68k/machines.h, include/asm-m68k/md.h, include/asm-m68k/oplib.h, include/asm-parisc/dma.h, include/asm-parisc/ioctl.h, include/asm-parisc/md.h, include/asm-parisc/namei.h, include/asm-i386/dma.h, include/asm-i386/ioctl.h, include/asm-i386/namei.h, include/asm-alpha/dma.h, include/asm-alpha/md.h, include/asm-alpha/namei.h, include/asm-cris/fasttimer.h, include/asm-cris/namei.h, include/asm-cris/semaphore-helper.h, include/asm-h8300/ioctl.h, include/asm-h8300/md.h:
	- removing cvs tags part III

	* include/linux/ixjuser.h, include/linux/mtd/pmc551.h:
	- cvs tag removal part I revised

	* include/linux/mtd/doc2000.h, include/linux/mtd/iflash.h, include/linux/mtd/map.h, include/linux/mtd/mtd.h, include/asm-sparc64/a.out.h, include/asm-sparc64/asi.h, include/asm-sparc64/bug.h, include/asm-sparc64/chafsr.h, include/asm-sparc64/checksum.h, include/asm-sparc64/chmctrl.h, include/asm-sparc64/dcr.h, include/asm-sparc64/dcu.h, include/asm-sparc64/elf.h, include/asm-sparc64/errno.h, include/asm-sparc64/estate.h, include/asm-sparc64/fcntl.h, include/asm-sparc64/head.h, include/asm-sparc64/io.h, include/asm-sparc64/ioctl.h, include/asm-sparc64/ioctls.h, include/asm-sparc64/lsu.h, include/asm-sparc64/mman.h, include/asm-sparc64/mmu_context.h, include/asm-sparc64/openprom.h, include/asm-sparc64/page.h, include/asm-sparc64/param.h, include/asm-sparc64/pgalloc.h, include/asm-sparc64/pil.h, include/asm-sparc64/psrcompat.h, include/asm-sparc64/pstate.h, include/asm-sparc64/ptrace.h, include/asm-sparc64/shmparam.h, include/asm-sparc64/sigcontext.h, include/asm-sparc64/socket.h, include/asm-sparc64/stat.h, include/asm-sparc64/system.h, include/asm-sparc64/termios.h, include/asm-sparc64/ttable.h, include/asm-sparc64/types.h, include/asm-sparc64/unistd.h, include/asm-sparc64/upa.h, include/asm-sparc64/visasm.h, include/linux/i2c-algo-bit.h, include/linux/i2c-algo-pcf.h, include/linux/i2c-dev.h, include/linux/i2c-id.h, include/linux/i2c.h, include/linux/if_ppp.h, include/linux/jffs2_fs_sb.h, include/linux/parport.h, include/linux/ppp_defs.h, include/linux/scc.h, include/asm-sparc/a.out.h, include/asm-sparc/asi.h, include/asm-sparc/checksum.h, include/asm-sparc/contregs.h, include/asm-sparc/elf.h, include/asm-sparc/errno.h, include/asm-sparc/fcntl.h, include/asm-sparc/head.h, include/asm-sparc/ioctl.h, include/asm-sparc/memreg.h, include/asm-sparc/mman.h, include/asm-sparc/openprom.h, include/asm-sparc/param.h, include/asm-sparc/pgalloc.h, include/asm-sparc/ptrace.h, include/asm-sparc/shmparam.h, include/asm-sparc/sigcontext.h, include/asm-sparc/socket.h, include/asm-sparc/stat.h, include/asm-sparc/system.h, include/asm-sparc/termios.h, include/asm-sparc/types.h, include/asm-sparc/unistd.h, include/asm-sparc/vac-ops.h, include/asm-sparc/vaddrs.h, include/asm-cris/atomic.h, include/asm-cris/dma.h, include/asm-cris/eshlibld.h, include/asm-cris/etraxgpio.h, include/asm-cris/etraxi2c.h, include/asm-cris/posix_types.h, include/asm-cris/semaphore.h, include/asm-cris/sigcontext.h, include/asm-cris/termbits.h, include/asm-m68k/openprom.h, include/asm-m68k/sun3-head.h:
	- removal of cvs tags part II

	* include/linux/mtd/pmc551.h, include/linux/ixjuser.h:
	- removing cvs tags part I

2004-03-04  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/netfilter_ipv6/ip6t_REJECT.h, include/linux/netfilter_ipv4/ip_conntrack_amanda.h, include/linux/netfilter_ipv4/ipt_ULOG.h, include/linux/netfilter_ipv4/ipt_conntrack.h, include/linux/netfilter_ipv4/ipt_state.h:
	- reverted last changes - so it's easier for me when 2.6.4 comes out

2004-03-04  Paweł Sikora  <pluto@pld-linux.org>

	* include/linux/netfilter_ipv6/ip6t_REJECT.h, include/linux/netfilter_ipv4/ip_conntrack_amanda.h, include/linux/netfilter_ipv4/ipt_ULOG.h, include/linux/netfilter_ipv4/ipt_conntrack.h, include/linux/netfilter_ipv4/ipt_state.h:
	- updated.

2004-02-29  Mariusz Mazur  <mmazur@pld-linux.org>

	* VERSION: - releasing 2.6.3.0

	* include/asm-mips/sn/addrs.h, include/asm-mips/user.h:
	- remove inclusion of asm/reg.h - this file doesn't exist on mips

	* include/linux/device.h, include/linux/genhd.h, include/linux/ioport.h:
	- some fixes

	* include/linux/resource.h, include/asm-um/Attic/resource.h, include/asm-v850/Attic/resource.h, include/asm-x86_64/Attic/resource.h, include/asm-sparc/Attic/resource.h, include/asm-sparc64/Attic/resource.h, include/asm-s390/Attic/resource.h, include/asm-sh/Attic/resource.h, include/asm-ppc64/Attic/resource.h, include/asm-ppc/Attic/resource.h, include/asm-m68knommu/Attic/resource.h, include/asm-mips/Attic/resource.h, include/asm-parisc/Attic/resource.h, include/asm-m68k/Attic/resource.h, include/asm-ia64/Attic/resource.h, include/asm-h8300/Attic/resource.h, include/asm-i386/Attic/resource.h, include/asm-arm/Attic/resource.h, include/asm-arm26/Attic/resource.h, include/asm-cris/Attic/resource.h, include/asm-alpha/Attic/resource.h:
	- use sys/resource.h

	* include/sound/asequencer.h, include/sound/asound.h, include/sound/version.h, include/linux/netfilter_ipv4/ip_conntrack_core.h, include/linux/sunrpc/clnt.h, include/linux/sunrpc/gss_krb5.h, include/linux/sunrpc/sched.h, include/linux/sunrpc/xprt.h, include/linux/pkt_sched.h, include/linux/sctp.h, include/linux/security.h, include/linux/selection.h, include/linux/sonet.h, include/linux/suspend.h, include/linux/sysctl.h, include/linux/version.h, include/linux/acpi.h, include/linux/ata.h, include/linux/atmdev.h, include/linux/bitmap.h, include/linux/cdrom.h, include/linux/com20020.h, include/linux/console.h, include/linux/cpu.h, include/linux/device.h, include/linux/efi.h, include/linux/fb.h, include/linux/i2c-id.h, include/linux/if_bonding.h, include/linux/in6.h, include/linux/init_task.h, include/linux/ioport.h, include/linux/irq_cpustat.h, include/linux/libata.h, include/linux/mod_devicetable.h, include/linux/nfs4.h, include/linux/nfs_fs_sb.h, include/linux/nfs_idmap.h, include/linux/nfs_mount.h, include/linux/nfs_xdr.h, include/linux/parport_pc.h, include/linux/pci_ids.h, include/asm-x86_64/apic.h, include/asm-x86_64/atomic.h, include/asm-x86_64/hw_irq.h, include/asm-sparc64/unistd.h, include/asm-v850/io.h, include/asm-v850/module.h, include/asm-sparc64/io.h, include/asm-sh/hd64461/hd64461.h, include/asm-sh/hd64461/io.h, include/asm-sparc/btfixup.h, include/asm-sparc/io.h, include/asm-sparc/processor.h, include/asm-sparc/unistd.h, include/asm-sh/processor.h, include/asm-sh/ptrace.h, include/asm-ppc64/Attic/pci_dma.h, include/asm-ppc64/bootx.h, include/asm-ppc64/eeh.h, include/asm-ppc64/hvcall.h, include/asm-ppc64/io.h, include/asm-ppc64/lmb.h, include/asm-ppc64/nvram.h, include/asm-ppc64/paca.h, include/asm-ppc64/ppcdebug.h, include/asm-ppc64/processor.h, include/asm-ppc64/system.h, include/asm-ppc64/systemcfg.h, include/asm-ppc/keylargo.h, include/asm-ppc/macio.h, include/asm-ppc/open_pic.h, include/asm-mips/io.h, include/asm-parisc/cache.h, include/asm-parisc/compat.h, include/asm-parisc/io.h, include/asm-parisc/pdc.h, include/asm-parisc/posix_types.h, include/asm-parisc/rt_sigframe.h, include/asm-parisc/siginfo.h, include/asm-parisc/superio.h, include/asm-ia64/sn/pci/bridge.h, include/asm-ia64/sn/pci/pci_bus_cvlink.h, include/asm-ia64/sn/pci/pcibr_private.h, include/asm-ia64/sn/pci/pciio.h, include/asm-ia64/sn/pci/pciio_private.h, include/asm-ia64/sn/pci/pic.h, include/asm-ia64/sn/sn2/arch.h, include/asm-ia64/sn/sn2/intr.h, include/asm-ia64/sn/sn2/io.h, include/asm-ia64/sn/sn2/sn_private.h, include/asm-ia64/sn/xtalk/xbow.h, include/asm-ia64/sn/xtalk/xwidget.h, include/asm-ia64/sn/arch.h, include/asm-ia64/sn/bte.h, include/asm-ia64/sn/clksupport.h, include/asm-ia64/sn/driver.h, include/asm-ia64/sn/hcl.h, include/asm-ia64/sn/hcl_util.h, include/asm-ia64/sn/hwgfs.h, include/asm-ia64/sn/iograph.h, include/asm-ia64/sn/klconfig.h, include/asm-ia64/sn/kldir.h, include/asm-ia64/sn/module.h, include/asm-ia64/sn/nodepda.h, include/asm-ia64/sn/pda.h, include/asm-ia64/sn/pio.h, include/asm-ia64/sn/sgi.h, include/asm-ia64/sn/sn_cpuid.h, include/asm-ia64/sn/sn_private.h, include/asm-ia64/sn/types.h, include/asm-ia64/fpswa.h, include/asm-ia64/iosapic.h, include/asm-ia64/mca.h, include/asm-ia64/mmu_context.h, include/asm-ia64/numa.h, include/asm-ia64/processor.h, include/asm-ia64/sn/addrs.h, include/asm-arm/arch-integrator/irqs.h, include/asm-arm/arch-integrator/system.h, include/asm-arm/hardware/amba.h, include/asm-arm/hardware/sa1111.h, include/asm-cris/io.h, include/asm-i386/apic.h, include/asm-i386/atomic.h, include/asm-i386/edd.h, include/asm-i386/hw_irq.h, include/asm-i386/setup.h, include/asm-i386/unistd.h, include/asm-arm/arch-ebsa110/io.h, include/asm-arm/semaphore.h, include/asm-arm/setup.h, include/asm-arm/unistd.h:
	- up to 2.6.3 (I *HATE* this job)

2004-02-27  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/Attic/memblk.h, include/asm-i386/Attic/memblk.h, include/asm-ia64/sn/Attic/alenlist.h:
	- update to 2.6.3 part one - removing files

2004-02-24  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/hdreg.h:
	- fixed types in defs exposed to userspace (caught by smartsuite)

2004-02-11  Mariusz Mazur  <mmazur@pld-linux.org>

	* VERSION, include/linux/version.h: - releasing 2.6.2.0

	* include/linux/un.h: - sys/un.h

	* include/linux/wait.h: - sys/wait.h

	* include/asm-ppc64/Attic/time.h, include/asm-arm/arch-anakin/Attic/time.h, include/asm-arm/arch-cl7500/Attic/time.h, include/asm-mips/Attic/time.h, include/asm-ppc/Attic/time.h, include/asm-arm/arch-adifcc/Attic/time.h, include/asm-arm/arch-sa1100/Attic/time.h, include/asm-arm/arch-shark/Attic/time.h, include/asm-arm/arch-tbox/Attic/time.h, include/asm-arm/arch-iop3xx/Attic/time.h, include/asm-arm/arch-l7200/Attic/time.h, include/asm-arm/arch-nexuspci/Attic/time.h, include/asm-arm/arch-pxa/Attic/time.h, include/asm-arm/arch-rpc/Attic/time.h, include/asm-arm/arch-ebsa110/Attic/time.h, include/asm-arm/arch-ebsa285/Attic/time.h, include/asm-arm/arch-epxa10db/Attic/time.h, include/asm-arm/arch-integrator/Attic/time.h, include/asm-arm/arch-clps711x/Attic/time.h:
	- low level stuff... doesn't look userland to me

	* include/linux/utime.h: - use glibc utime.h

	* include/asm-i386/io.h, include/asm-ia64/io.h, include/asm-sh/io.h, include/asm-x86_64/io.h, include/asm-alpha/io.h, include/asm-arm/io.h, include/asm-arm26/io.h:
	- glibc has io.h header for some archs. On these archs we include what glibc
	  gives us

2004-02-10  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/compat.h, include/linux/compat_ioctl.h, include/linux/cpu.h, include/linux/device.h, include/linux/efi.h, include/linux/eventpoll.h, include/linux/i2c-id.h, include/linux/input.h, include/linux/ipv6.h, include/linux/miscdevice.h, include/linux/module.h, include/linux/moduleparam.h, include/linux/pci_ids.h, include/linux/proc_fs.h, include/linux/raid/raid5.h, include/linux/rtnetlink.h, include/linux/sched.h, include/linux/sctp.h, include/linux/security.h, include/linux/smp_lock.h, include/linux/sunrpc/cache.h, include/linux/sunrpc/sched.h, include/linux/sysctl.h, include/linux/videodev.h, include/linux/videodev2.h, include/linux/xattr.h, include/linux/zorro.h, include/asm-v850/socket.h, include/asm-x86_64/calling.h, include/asm-x86_64/desc.h, include/asm-x86_64/dwarf2.h, include/asm-x86_64/floppy.h, include/asm-x86_64/hw_irq.h, include/asm-x86_64/ia32.h, include/asm-x86_64/kdebug.h, include/asm-x86_64/pgalloc.h, include/asm-x86_64/processor.h, include/asm-x86_64/proto.h, include/asm-x86_64/ptrace.h, include/asm-x86_64/socket.h, include/asm-x86_64/spinlock.h, include/asm-x86_64/system.h, include/asm-x86_64/timex.h, include/asm-x86_64/unistd.h, include/asm-x86_64/vsyscall32.h, include/linux/bitmap.h, include/linux/cdrom.h, include/asm-sh/se7751/io.h, include/asm-sparc/pgtsrmmu.h, include/asm-sparc/socket.h, include/asm-sparc64/floppy.h, include/asm-sparc64/io.h, include/asm-sparc64/socket.h, include/asm-sparc64/tlbflush.h, include/asm-sh/saturn/io.h, include/asm-sh/se/io.h, include/asm-sh/mpc1211/io.h, include/asm-sh/overdrive/io.h, include/asm-sh/hd64461/io.h, include/asm-sh/hd64465/io.h, include/asm-sh/ec3104/io.h, include/asm-sh/cpu-sh4/cache.h, include/asm-sh/cpu-sh4/dma.h, include/asm-sh/dreamcast/sysasic.h, include/asm-sh/cat68701/io.h, include/asm-sh/cpu-sh2/cache.h, include/asm-sh/cpu-sh3/cache.h, include/asm-sh/cpu-sh3/dma.h, include/asm-sh/cpu-sh3/mmu_context.h, include/asm-sh/bigsur/io.h, include/asm-sh/Attic/io_unknown.h, include/asm-sh/Attic/keyboard-ec3104.h, include/asm-sh/Attic/pci-sh7751.h, include/asm-sh/Attic/serial-bigsur.h, include/asm-sh/Attic/serial-ec3104.h, include/asm-sh/Attic/smc37c93x.h, include/asm-sh/ipc.h, include/asm-sh/irq.h, include/asm-sh/module.h, include/asm-sh/pgalloc.h, include/asm-sh/processor.h, include/asm-sh/ptrace.h, include/asm-sh/sigcontext.h, include/asm-sh/socket.h, include/asm-sh/spinlock.h, include/asm-sh/system.h, include/asm-sh/timex.h, include/asm-sh/unistd.h, include/asm-sh/Attic/hd64465.h, include/asm-sh/Attic/hd64465_gpio.h, include/asm-sh/Attic/hitachi_7751se.h, include/asm-sh/Attic/hitachi_se.h, include/asm-sh/Attic/io_7751se.h, include/asm-sh/Attic/io_adx.h, include/asm-sh/Attic/io_bigsur.h, include/asm-sh/Attic/io_cat68701.h, include/asm-sh/Attic/io_dc.h, include/asm-sh/Attic/io_ec3104.h, include/asm-sh/Attic/io_generic.h, include/asm-sh/Attic/io_hd64461.h, include/asm-sh/Attic/io_hd64465.h, include/asm-sh/Attic/io_se.h, include/asm-sh/Attic/io_sh2000.h, include/asm-sh/io.h, include/asm-s390/atomic.h, include/asm-s390/bitops.h, include/asm-s390/bug.h, include/asm-s390/ccwdev.h, include/asm-s390/ccwgroup.h, include/asm-s390/checksum.h, include/asm-s390/dasd.h, include/asm-s390/hardirq.h, include/asm-s390/idals.h, include/asm-s390/ioctl.h, include/asm-s390/mmu_context.h, include/asm-s390/pgalloc.h, include/asm-s390/semaphore.h, include/asm-s390/setup.h, include/asm-s390/siginfo.h, include/asm-s390/socket.h, include/asm-s390/spinlock.h, include/asm-s390/tlbflush.h, include/asm-s390/unistd.h, include/asm-sh/Attic/bigsur.h, include/asm-sh/Attic/dc_sysasic.h, include/asm-sh/Attic/ec3104.h, include/asm-sh/Attic/hd64461.h, include/asm-sh/cache.h, include/asm-sh/dma.h, include/asm-sh/floppy.h, include/asm-sh/hardirq.h, include/asm-ppc64/iSeries/Attic/iSeries_dma.h, include/asm-ppc64/iSeries/Attic/mf_proc.h, include/asm-ppc64/iSeries/Attic/veth-proc.h, include/asm-ppc64/iSeries/ItLpQueue.h, include/asm-ppc64/iSeries/ItLpRegSave.h, include/asm-ppc64/iSeries/ItVpdAreas.h, include/asm-ppc64/iSeries/LparMap.h, include/asm-ppc64/iSeries/iSeries_io.h, include/asm-ppc64/iSeries/iSeries_irq.h, include/asm-ppc64/iSeries/iSeries_pci.h, include/asm-ppc64/iSeries/iSeries_proc.h, include/asm-ppc64/iSeries/mf.h, include/asm-ppc64/iSeries/HvCall.h, include/asm-ppc64/iSeries/HvCallCfg.h, include/asm-ppc64/iSeries/HvCallEvent.h, include/asm-ppc64/iSeries/HvCallHpt.h, include/asm-ppc64/iSeries/HvCallPci.h, include/asm-ppc64/iSeries/HvCallSc.h, include/asm-ppc64/iSeries/HvCallSm.h, include/asm-ppc64/iSeries/HvCallXm.h, include/asm-ppc64/iSeries/HvLpConfig.h, include/asm-ppc64/iSeries/HvLpEvent.h, include/asm-ppc64/iSeries/HvReleaseData.h, include/asm-ppc64/iSeries/HvTypes.h, include/asm-ppc64/iSeries/IoHriProcessorVpd.h, include/asm-ppc64/iSeries/ItExtVpdPanel.h, include/asm-ppc64/iSeries/ItIplParmsReal.h, include/asm-ppc64/iSeries/ItLpNaca.h, include/asm-ppc64/iSeries/ItLpPaca.h, include/asm-ppc/socket.h, include/asm-ppc/todc.h, include/asm-ppc/unistd.h, include/asm-ppc64/compat.h, include/asm-ppc64/elf.h, include/asm-ppc64/floppy.h, include/asm-ppc64/hvcall.h, include/asm-ppc64/memory.h, include/asm-ppc64/mmu.h, include/asm-ppc64/mmu_context.h, include/asm-ppc64/naca.h, include/asm-ppc64/nvram.h, include/asm-ppc64/paca.h, include/asm-ppc64/pgalloc.h, include/asm-ppc64/ppc32.h, include/asm-ppc64/ppc_asm.h, include/asm-ppc64/proc_fs.h, include/asm-ppc64/processor.h, include/asm-ppc64/ptrace-common.h, include/asm-ppc64/ptrace.h, include/asm-ppc64/rtas.h, include/asm-ppc64/serial.h, include/asm-ppc64/sigcontext.h, include/asm-ppc64/socket.h, include/asm-ppc64/system.h, include/asm-ppc64/unistd.h, include/asm-m68k/Attic/sun3_pgtable.h, include/asm-m68k/socket.h, include/asm-m68k/sun3mmu.h, include/asm-m68k/system.h, include/asm-m68k/tlbflush.h, include/asm-m68knommu/types.h, include/asm-mips/socket.h, include/asm-parisc/mmu_context.h, include/asm-parisc/socket.h, include/asm-parisc/tlbflush.h, include/asm-ia64/sn/sn2/sn_private.h, include/asm-ia64/sn/xtalk/xbow.h, include/asm-ia64/sn/xtalk/xbow_info.h, include/asm-ia64/sn/xtalk/xswitch.h, include/asm-ia64/sn/xtalk/xtalk.h, include/asm-ia64/sn/xtalk/xtalk_private.h, include/asm-ia64/sn/xtalk/xtalkaddrs.h, include/asm-ia64/sn/xtalk/xwidget.h, include/asm-m68k/Attic/motorola_pgtable.h, include/asm-m68k/atariints.h, include/asm-m68k/bitops.h, include/asm-m68k/cacheflush.h, include/asm-m68k/dvma.h, include/asm-m68k/mac_psc.h, include/asm-m68k/mac_via.h, include/asm-m68k/mmu_context.h, include/asm-m68k/nubus.h, include/asm-m68k/processor.h, include/asm-m68k/sbus.h, include/asm-m68k/semaphore.h, include/asm-ia64/sn/pci/bridge.h, include/asm-ia64/sn/pci/pci_bus_cvlink.h, include/asm-ia64/sn/pci/pci_defs.h, include/asm-ia64/sn/pci/pcibr.h, include/asm-ia64/sn/pci/pcibr_private.h, include/asm-ia64/sn/pci/pciio.h, include/asm-ia64/sn/pci/pciio_private.h, include/asm-ia64/sn/pci/pic.h, include/asm-ia64/sn/sn2/addrs.h, include/asm-ia64/sn/sn2/arch.h, include/asm-ia64/sn/sn2/geo.h, include/asm-ia64/sn/sn2/intr.h, include/asm-ia64/sn/sn2/shub.h, include/asm-ia64/sn/sn2/shub_md.h, include/asm-ia64/sn/sn2/shubio.h, include/asm-ia64/sn/ksys/elsc.h, include/asm-ia64/sn/ksys/l1.h, include/asm-ia64/sn/arc/Attic/hinv.h, include/asm-ia64/sn/arc/Attic/types.h, include/asm-ia64/sn/sndrv.h, include/asm-ia64/sn/vector.h, include/asm-ia64/Attic/resource.h, include/asm-ia64/a.out.h, include/asm-ia64/asmmacro.h, include/asm-ia64/checksum.h, include/asm-ia64/fcntl.h, include/asm-ia64/ioctl.h, include/asm-ia64/ioctls.h, include/asm-ia64/mman.h, include/asm-ia64/namei.h, include/asm-ia64/numa.h, include/asm-ia64/param.h, include/asm-ia64/poll.h, include/asm-ia64/posix_types.h, include/asm-ia64/processor.h, include/asm-ia64/siginfo.h, include/asm-ia64/sn/Attic/alenlist.h, include/asm-ia64/sn/Attic/invent.h, include/asm-ia64/sn/Attic/nag.h, include/asm-ia64/sn/addrs.h, include/asm-ia64/sn/arch.h, include/asm-ia64/sn/bte.h, include/asm-ia64/sn/cdl.h, include/asm-ia64/sn/clksupport.h, include/asm-ia64/sn/dmamap.h, include/asm-ia64/sn/driver.h, include/asm-ia64/sn/geo.h, include/asm-ia64/sn/hcl.h, include/asm-ia64/sn/hcl_util.h, include/asm-ia64/sn/hwgfs.h, include/asm-ia64/sn/intr.h, include/asm-ia64/sn/io.h, include/asm-ia64/sn/ioc4.h, include/asm-ia64/sn/ioconfig_bus.h, include/asm-ia64/sn/ioerror.h, include/asm-ia64/sn/iograph.h, include/asm-ia64/sn/klconfig.h, include/asm-ia64/sn/labelcl.h, include/asm-ia64/sn/module.h, include/asm-ia64/sn/nodepda.h, include/asm-ia64/sn/pda.h, include/asm-ia64/sn/pio.h, include/asm-ia64/sn/prio.h, include/asm-ia64/sn/router.h, include/asm-ia64/sn/sgi.h, include/asm-ia64/sn/slotnum.h, include/asm-ia64/sn/sn_fru.h, include/asm-ia64/sn/sn_private.h, include/asm-ia64/sn/sn_sal.h, include/asm-ia64/socket.h, include/asm-ia64/sockios.h, include/asm-ia64/stat.h, include/asm-ia64/termbits.h, include/asm-ia64/termios.h, include/asm-ia64/types.h, include/asm-ia64/user.h, include/asm-i386/mach-generic/mach_apic.h, include/asm-i386/mach-numaq/mach_apic.h, include/asm-i386/mach-summit/mach_apic.h, include/asm-i386/mach-visws/mach_apic.h, include/asm-h8300/socket.h, include/asm-i386/floppy.h, include/asm-i386/genapic.h, include/asm-i386/mach-bigsmp/mach_apic.h, include/asm-i386/mach-default/mach_apic.h, include/asm-i386/mach-es7000/mach_apic.h, include/asm-i386/socket.h, include/asm-i386/system.h, include/asm-arm/arch-sa1100/cerf.h, include/asm-arm/arch-sa1100/keyboard.h, include/asm-arm/mach/arch.h, include/asm-arm26/socket.h, include/asm-cris/socket.h, include/asm-arm/arch-ebsa285/io.h, include/asm-arm/arch-nexuspci/io.h, include/asm-arm/assembler.h, include/asm-arm/cacheflush.h, include/asm-arm/socket.h, include/asm-alpha/elf.h, include/asm-alpha/floppy.h, include/asm-alpha/processor.h, include/asm-alpha/socket.h:
	- up to 2.6.2
	- doing this is booooooooring

2004-02-09  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/compiler.h:
	- I give up. Presence of this file should help a little with some broken
	  apps

2004-02-08  Mariusz Mazur  <mmazur@pld-linux.org>

	* VERSION, include/linux/version.h: - releasing 2.6.1.3
	- ARGHHHHH - the host where I work on llh died two hours ago... taking my
	  almost finished 2.6.2.0 with it :/

	* NOTES: - signal handling is not llh's problem

	* include/linux/version.h: - 'blahblah redefined' protection

	* Makefile: - s/gkh/llh/

	* include/linux/version.h:
	- fixed UTS_RELEASE and added LIBC_HEADERS_VERSION

2004-02-07  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/asm-sparc64/fbio.h, include/asm-sparc/fbio.h:
	- needs <linux/fb.h> (struct fbcurpos)
	  and some programs expect this to define FB_CUR_*

2004-02-06  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/fs.h:
	- made available definitions for BLKELVGET and BLKELVSET (util-linux uses
	  them)

	* include/asm-i386/param.h:
	- HZ definition is back to 100 - I'm not entirely convinced this is a good
	  change but (a) it's less problematic for some code, and (b) only i386 has
	  this sysconf() thing... all other archs have static definitions

	* include/asm-alpha/param.h:
	- removed USER_HZ definition... it's kernel only in all other archs

2004-02-04  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/byteorder/swab.h:
	- define __bswap_constant* if missing in glibc

2004-02-04  Mariusz Mazur  <mmazur@pld-linux.org>

	* VERSION: - releasing 2.6.1.2

2004-02-03  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/module.h, include/linux/sched.h:
	- these files now get parsed without errors

	* include/linux/Attic/timer.h, include/linux/jffs2_fs_sb.h, include/linux/sched.h, include/linux/sunrpc/debug.h, include/linux/sunrpc/sched.h, include/linux/sunrpc/types.h:
	- removed timer.h

	* include/linux/Attic/pid.h, include/linux/sched.h: - removed pid.h

	* include/linux/Attic/completion.h, include/linux/cpufreq.h, include/linux/jffs.h, include/linux/jffs2_fs_sb.h, include/linux/raid/md.h, include/linux/sched.h:
	- removed completion.h and references to it... removing use of the
	  structure inside it is another matter though :/

	* include/linux/sched.h:
	- don't include fs_struct.h - include fs.h instead

	* include/asm-um/Attic/ucontext.h, include/asm-v850/Attic/ucontext.h, include/asm-x86_64/Attic/ucontext.h, include/asm-ppc64/Attic/ucontext.h, include/asm-s390/Attic/ucontext.h, include/asm-sh/Attic/ucontext.h, include/asm-mips/Attic/ucontext.h, include/asm-parisc/Attic/ucontext.h, include/asm-ppc/Attic/ucontext.h, include/asm-i386/Attic/ucontext.h, include/asm-ia64/Attic/ucontext.h, include/asm-m68k/Attic/ucontext.h, include/asm-m68knommu/Attic/ucontext.h, include/asm-arm/Attic/ucontext.h, include/asm-arm26/Attic/ucontext.h, include/asm-cris/Attic/ucontext.h, include/asm-h8300/Attic/ucontext.h, include/asm-alpha/Attic/ucontext.h:
	- removed asm*/ucontext.h - these headers don't even try to pretend they are
	  IEEE compliant... userland should simply include <ucontext.h>

	* include/linux/module.h, include/linux/siginfo.h, include/linux/signal.h:
	- checked if glibc has all needed definitons - it does - completely removed
	  signal handling inside gkh - use glibc instead

	* include/linux/sunrpc/clnt.h: - removed reference to asm/signal.h

	* include/asm-ppc64/ppc32.h, include/asm-sparc/processor.h:
	- removed references to asm/signal.h... these headers look kernel only btw

	* include/asm-ia64/Attic/ia32.h: - kernel only; removed

	* include/asm-um/Attic/signal.h, include/asm-v850/Attic/signal.h, include/asm-x86_64/Attic/signal.h, include/asm-ppc64/Attic/signal.h, include/asm-s390/Attic/signal.h, include/asm-sh/Attic/signal.h, include/asm-sparc/Attic/signal.h, include/asm-sparc64/Attic/signal.h, include/asm-m68knommu/Attic/signal.h, include/asm-mips/Attic/signal.h, include/asm-parisc/Attic/signal.h, include/asm-ppc/Attic/signal.h, include/asm-i386/Attic/signal.h, include/asm-ia64/Attic/signal.h, include/asm-m68k/Attic/signal.h, include/asm-arm/Attic/signal.h, include/asm-arm26/Attic/signal.h, include/asm-cris/Attic/signal.h, include/asm-h8300/Attic/signal.h, include/asm-alpha/Attic/signal.h:
	- all definitions in these files are duplicate to what can be found in glibc
	  headers

	* include/linux/sched.h:
	- smp.h doesn't exist... removed reference to it

2004-02-01  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/types.h:
	- let's try to eliminate conflicts with glibc headers

2004-01-30  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/awe_voice.h:
	- not changed a byte since 2.4 and used by userland so we bring it back

2004-01-29  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/quota.h: - killed kernel-only externs

2004-01-27  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/fs.h:
	- restored <linux/limits.h> include - some code expects this

2004-01-23  Mariusz Mazur  <mmazur@pld-linux.org>

	* VERSION: - releasing 2.6.1.1

	* include/linux/raid/Attic/md_k.h, include/linux/raid/md.h, include/linux/Attic/bio.h, include/linux/Attic/blk.h, include/linux/Attic/blkdev.h, include/linux/Attic/highmem.h, include/linux/acpi.h, include/linux/ide.h, include/linux/skbuff.h, include/asm-x86_64/Attic/kmap_types.h, include/asm-um/Attic/kmap_types.h, include/asm-v850/Attic/kmap_types.h, include/asm-sparc64/Attic/kmap_types.h, include/asm-sh/Attic/kmap_types.h, include/asm-sparc/Attic/kmap_types.h, include/asm-ppc64/Attic/kmap_types.h, include/asm-s390/Attic/kmap_types.h, include/asm-ppc/Attic/kmap_types.h, include/asm-mips/mips-boards/Attic/prom.h, include/asm-parisc/Attic/kmap_types.h, include/asm-parisc/Attic/scatterlist.h, include/asm-mips/dec/Attic/prom.h, include/asm-m68knommu/Attic/kmap_types.h, include/asm-m68knommu/Attic/scatterlist.h, include/asm-mips/Attic/kmap_types.h, include/asm-mips/Attic/scatterlist.h, include/asm-m68k/Attic/kmap_types.h, include/asm-m68k/Attic/scatterlist.h, include/asm-ia64/Attic/kmap_types.h, include/asm-ia64/Attic/scatterlist.h, include/asm-h8300/Attic/kmap_types.h, include/asm-h8300/Attic/scatterlist.h, include/asm-i386/Attic/kmap_types.h, include/asm-i386/Attic/scatterlist.h, include/asm-arm/Attic/kmap_types.h, include/asm-arm/Attic/scatterlist.h, include/asm-arm26/Attic/kmap_types.h, include/asm-arm26/Attic/scatterlist.h, include/asm-cris/Attic/kmap_types.h, include/asm-cris/Attic/scatterlist.h, include/asm-alpha/Attic/kmap_types.h, include/asm-alpha/Attic/scatterlist.h:
	- forgot to commit - more removal of some kernel only stuff

2004-01-21  Mariusz Mazur  <mmazur@pld-linux.org>

	* Attic/fedora.txt: - old crap

	* include/asm-x86_64/Attic/acpi.h, include/asm-x86_64/Attic/current.h, include/asm-x86_64/Attic/resource.h, include/asm-x86_64/Attic/rwsem.h, include/asm-x86_64/Attic/scatterlist.h, include/asm-x86_64/Attic/signal.h, include/asm-x86_64/Attic/thread_info.h, include/asm-x86_64/a.out.h, include/asm-x86_64/ia32.h, include/asm-x86_64/io.h, include/asm-x86_64/page.h, include/asm-x86_64/param.h, include/asm-x86_64/posix_types.h, include/asm-x86_64/processor.h, include/asm-x86_64/ptrace.h, include/asm-x86_64/semaphore.h, include/asm-x86_64/system.h, include/asm-x86_64/termios.h, include/asm-x86_64/types.h, include/asm-x86_64/vsyscall.h, include/asm-v850/Attic/current.h, include/asm-v850/Attic/resource.h, include/asm-v850/Attic/scatterlist.h, include/asm-v850/Attic/signal.h, include/asm-v850/Attic/thread_info.h, include/asm-v850/atomic.h, include/asm-v850/bitops.h, include/asm-v850/page.h, include/asm-v850/param.h, include/asm-v850/processor.h, include/asm-v850/semaphore.h, include/asm-v850/socket.h, include/asm-v850/termios.h, include/asm-v850/types.h, include/asm-v850/user.h, include/asm-um/Attic/current.h, include/asm-um/Attic/highmem.h, include/asm-um/Attic/rwsem.h, include/asm-um/Attic/scatterlist.h, include/asm-um/Attic/thread_info.h, include/asm-um/param.h, include/asm-um/ptrace-generic.h, include/asm-sparc64/Attic/current.h, include/asm-sparc64/Attic/resource.h, include/asm-sparc64/Attic/rwsem.h, include/asm-sparc64/Attic/scatterlist.h, include/asm-sparc64/Attic/signal.h, include/asm-sparc64/Attic/thread_info.h, include/asm-sparc64/a.out.h, include/asm-sparc64/bitops.h, include/asm-sparc64/fbio.h, include/asm-sparc64/io.h, include/asm-sparc64/ioctls.h, include/asm-sparc64/ns87303.h, include/asm-sparc64/page.h, include/asm-sparc64/param.h, include/asm-sparc64/perfctr.h, include/asm-sparc64/ptrace.h, include/asm-sparc64/semaphore.h, include/asm-sparc64/sigcontext.h, include/asm-sparc64/socket.h, include/asm-sparc64/stat.h, include/asm-sparc64/termbits.h, include/asm-sparc64/termios.h, include/asm-sparc64/ttable.h, include/asm-sparc64/types.h, include/asm-sparc64/unistd.h, include/asm-sparc/Attic/current.h, include/asm-sparc/Attic/highmem.h, include/asm-sparc/Attic/kgdb.h, include/asm-sparc/Attic/resource.h, include/asm-sparc/Attic/scatterlist.h, include/asm-sparc/Attic/signal.h, include/asm-sparc/Attic/thread_info.h, include/asm-sparc/a.out.h, include/asm-sparc/atomic.h, include/asm-sparc/bitops.h, include/asm-sparc/fbio.h, include/asm-sparc/io.h, include/asm-sparc/ioctls.h, include/asm-sparc/page.h, include/asm-sparc/param.h, include/asm-sparc/perfctr.h, include/asm-sparc/pgtsrmmu.h, include/asm-sparc/processor.h, include/asm-sparc/psr.h, include/asm-sparc/ptrace.h, include/asm-sparc/semaphore.h, include/asm-sparc/sigcontext.h, include/asm-sparc/socket.h, include/asm-sparc/system.h, include/asm-sparc/termbits.h, include/asm-sparc/termios.h, include/asm-sparc/types.h, include/asm-sh/mpc1211/Attic/keyboard.h, include/asm-sh/Attic/current.h, include/asm-sh/Attic/kgdb.h, include/asm-sh/Attic/machvec.h, include/asm-sh/Attic/machvec_init.h, include/asm-sh/Attic/resource.h, include/asm-sh/Attic/rwsem.h, include/asm-sh/Attic/scatterlist.h, include/asm-sh/Attic/signal.h, include/asm-sh/Attic/thread_info.h, include/asm-sh/a.out.h, include/asm-sh/bitops.h, include/asm-sh/io.h, include/asm-sh/keyboard.h, include/asm-sh/page.h, include/asm-sh/param.h, include/asm-sh/ptrace.h, include/asm-sh/semaphore.h, include/asm-sh/socket.h, include/asm-sh/termios.h, include/asm-sh/types.h, include/asm-s390/Attic/cio.h, include/asm-s390/Attic/current.h, include/asm-s390/Attic/kmap_types.h, include/asm-s390/Attic/resource.h, include/asm-s390/Attic/rwsem.h, include/asm-s390/Attic/scatterlist.h, include/asm-s390/Attic/signal.h, include/asm-s390/Attic/thread_info.h, include/asm-s390/Attic/todclk.h, include/asm-s390/a.out.h, include/asm-s390/atomic.h, include/asm-s390/bitops.h, include/asm-s390/debug.h, include/asm-s390/idals.h, include/asm-s390/io.h, include/asm-s390/irq.h, include/asm-s390/page.h, include/asm-s390/param.h, include/asm-s390/processor.h, include/asm-s390/ptrace.h, include/asm-s390/qdio.h, include/asm-s390/semaphore.h, include/asm-s390/socket.h, include/asm-s390/spinlock.h, include/asm-s390/system.h, include/asm-s390/termios.h, include/asm-s390/types.h, include/asm-s390/vtoc.h, include/asm-ppc64/Attic/current.h, include/asm-ppc64/Attic/kmap_types.h, include/asm-ppc64/Attic/prom.h, include/asm-ppc64/Attic/resource.h, include/asm-ppc64/Attic/rwsem.h, include/asm-ppc64/Attic/scatterlist.h, include/asm-ppc64/Attic/signal.h, include/asm-ppc64/Attic/thread_info.h, include/asm-ppc64/Attic/time.h, include/asm-ppc64/a.out.h, include/asm-ppc64/bitops.h, include/asm-ppc64/cputable.h, include/asm-ppc64/fcntl.h, include/asm-ppc64/hardirq.h, include/asm-ppc64/hw_irq.h, include/asm-ppc64/io.h, include/asm-ppc64/irq.h, include/asm-ppc64/machdep.h, include/asm-ppc64/page.h, include/asm-ppc64/param.h, include/asm-ppc64/processor.h, include/asm-ppc64/ptrace.h, include/asm-ppc64/semaphore.h, include/asm-ppc64/socket.h, include/asm-ppc64/spinlock.h, include/asm-ppc64/systemcfg.h, include/asm-ppc64/termios.h, include/asm-ppc64/types.h, include/asm-ppc64/unistd.h:
	- removed kernel parts

	* include/asm-ppc/Attic/signal.h, include/asm-ppc/Attic/thread_info.h, include/asm-ppc/Attic/time.h, include/asm-ppc/Attic/uninorth.h, include/asm-ppc/Attic/xmon.h, include/asm-ppc/socket.h, include/asm-ppc/spinlock.h, include/asm-ppc/stat.h, include/asm-ppc/system.h, include/asm-ppc/termios.h, include/asm-ppc/tlbflush.h, include/asm-ppc/types.h, include/asm-ppc/unistd.h, include/asm-ppc/user.h, include/asm-ppc/vga.h, include/asm-ppc/Attic/pnp.h, include/asm-ppc/Attic/ppc405_dma.h, include/asm-ppc/Attic/ppc4xx_pic.h, include/asm-ppc/Attic/prep_nvram.h, include/asm-ppc/Attic/prom.h, include/asm-ppc/Attic/raven.h, include/asm-ppc/Attic/reg_booke.h, include/asm-ppc/Attic/residual.h, include/asm-ppc/Attic/resource.h, include/asm-ppc/Attic/rwsem.h, include/asm-ppc/Attic/scatterlist.h, include/asm-ppc/Attic/serial.h, include/asm-ppc/Attic/setup.h, include/asm-ppc/processor.h, include/asm-ppc/ptrace.h, include/asm-ppc/reg.h, include/asm-ppc/semaphore.h, include/asm-ppc/Attic/immap_8260.h, include/asm-ppc/Attic/kgdb.h, include/asm-ppc/Attic/kmap_types.h, include/asm-ppc/Attic/md.h, include/asm-ppc/Attic/mediabay.h, include/asm-ppc/Attic/mpc10x.h, include/asm-ppc/Attic/mpc8260.h, include/asm-ppc/Attic/mpc8xx.h, include/asm-ppc/Attic/ocp.h, include/asm-ppc/Attic/pc_serial.h, include/asm-ppc/Attic/pmac_feature.h, include/asm-ppc/io.h, include/asm-ppc/irq.h, include/asm-ppc/machdep.h, include/asm-ppc/mmu.h, include/asm-ppc/mmu_context.h, include/asm-ppc/namei.h, include/asm-ppc/nvram.h, include/asm-ppc/of_device.h, include/asm-ppc/page.h, include/asm-ppc/param.h, include/asm-ppc/pgalloc.h, include/asm-ppc/Attic/amigaints.h, include/asm-ppc/Attic/amigappc.h, include/asm-ppc/Attic/backlight.h, include/asm-ppc/Attic/btext.h, include/asm-ppc/Attic/cpm_8260.h, include/asm-ppc/Attic/current.h, include/asm-ppc/Attic/dbdma.h, include/asm-ppc/Attic/highmem.h, include/asm-ppc/Attic/hydra.h, include/asm-ppc/Attic/ibm403.h, include/asm-ppc/Attic/ibm405.h, include/asm-ppc/Attic/ibm44x.h, include/asm-ppc/Attic/ibm4xx.h, include/asm-ppc/Attic/ibm_ocp_pci.h, include/asm-ppc/atomic.h, include/asm-ppc/bitops.h, include/asm-ppc/cache.h, include/asm-ppc/cacheflush.h, include/asm-ppc/checksum.h, include/asm-ppc/commproc.h, include/asm-ppc/cputable.h, include/asm-ppc/dma.h, include/asm-ppc/fcntl.h, include/asm-ppc/floppy.h, include/asm-ppc/hardirq.h, include/asm-ppc/hw_irq.h, include/asm-ppc/Attic/8xx_immap.h, include/asm-ppc/Attic/amigahw.h:
	- remove kernel stuff
	- Holy fucking shit... this thing marks as kernel only ten times more headers
	  than any other arch. Based on this arch I can remove a couple of hundred
	  files from the rest of those archs!

	* include/asm-parisc/Attic/runway.h, include/asm-parisc/Attic/signal.h, include/asm-parisc/Attic/thread_info.h, include/asm-parisc/Attic/traps.h, include/asm-parisc/semaphore.h, include/asm-parisc/socket.h, include/asm-parisc/termios.h, include/asm-parisc/types.h, include/asm-parisc/unistd.h, include/asm-parisc/Attic/current.h, include/asm-parisc/Attic/keyboard.h, include/asm-parisc/Attic/resource.h, include/asm-parisc/a.out.h, include/asm-parisc/page.h, include/asm-parisc/param.h, include/asm-parisc/ptrace.h:
	- removed kernel parts

	* include/asm-mips/Attic/signal.h: - removed kernel structure

	* include/asm-mips/Attic/au1000_gpio.h, include/asm-mips/Attic/current.h, include/asm-mips/Attic/fpu.h, include/asm-mips/Attic/highmem.h, include/asm-mips/Attic/keyboard.h, include/asm-mips/Attic/resource.h, include/asm-mips/Attic/signal.h, include/asm-mips/Attic/thread_info.h, include/asm-mips/fcntl.h, include/asm-mips/gfx.h, include/asm-mips/page.h, include/asm-mips/param.h, include/asm-mips/processor.h, include/asm-mips/ptrace.h, include/asm-mips/semaphore.h, include/asm-mips/socket.h, include/asm-mips/termios.h, include/asm-mips/types.h, include/asm-mips/a.out.h, include/asm-mips/atomic.h, include/asm-m68knommu/Attic/current.h, include/asm-m68knommu/Attic/signal.h, include/asm-m68knommu/Attic/thread_info.h, include/asm-m68knommu/bitops.h, include/asm-m68knommu/io.h, include/asm-m68knommu/page.h, include/asm-m68knommu/param.h, include/asm-m68knommu/processor.h, include/asm-m68knommu/ptrace.h, include/asm-m68knommu/semaphore.h, include/asm-m68knommu/types.h, include/asm-m68k/Attic/raw_io.h, include/asm-m68k/Attic/resource.h, include/asm-m68k/Attic/signal.h, include/asm-m68k/Attic/sun3_pgtable.h, include/asm-m68k/Attic/thread_info.h, include/asm-m68k/Attic/virtconvert.h, include/asm-m68k/semaphore.h, include/asm-m68k/setup.h, include/asm-m68k/socket.h, include/asm-m68k/termios.h, include/asm-m68k/tlbflush.h, include/asm-m68k/types.h, include/asm-m68k/Attic/current.h, include/asm-m68k/a.out.h, include/asm-m68k/adb.h, include/asm-m68k/io.h, include/asm-m68k/page.h, include/asm-m68k/param.h, include/asm-m68k/pgalloc.h, include/asm-m68k/ptrace.h, include/asm-ia64/sn/xtalk/xtalk.h, include/asm-ia64/sn/xtalk/xwidget.h, include/asm-ia64/sn/pci/pcibr.h, include/asm-ia64/sn/sn2/shubio.h, include/asm-ia64/Attic/machvec_sn2.h, include/asm-ia64/Attic/resource.h, include/asm-ia64/Attic/rwsem.h, include/asm-ia64/Attic/signal.h, include/asm-ia64/Attic/thread_info.h, include/asm-ia64/page.h, include/asm-ia64/param.h, include/asm-ia64/perfmon.h, include/asm-ia64/posix_types.h, include/asm-ia64/ptrace.h, include/asm-ia64/semaphore.h, include/asm-ia64/sn/Attic/invent.h, include/asm-ia64/sn/Attic/ioerror_handling.h, include/asm-ia64/sn/fetchop.h, include/asm-ia64/sn/iograph.h, include/asm-ia64/sn/sn_cpuid.h, include/asm-ia64/socket.h, include/asm-ia64/system.h, include/asm-ia64/termios.h, include/asm-ia64/types.h, include/asm-ia64/unistd.h, include/asm-ia64/Attic/acpi.h, include/asm-ia64/Attic/current.h, include/asm-ia64/Attic/machvec.h, include/asm-ia64/Attic/machvec_dig.h, include/asm-ia64/Attic/machvec_hpsim.h, include/asm-ia64/Attic/machvec_hpzx1.h, include/asm-ia64/Attic/machvec_init.h, include/asm-ia64/Attic/machvec_sn1.h, include/asm-ia64/a.out.h, include/asm-ia64/io.h, include/asm-i386/Attic/signal.h, include/asm-i386/Attic/thread_info.h, include/asm-i386/semaphore.h, include/asm-i386/system.h, include/asm-i386/termios.h, include/asm-i386/types.h, include/asm-i386/vm86.h, include/asm-i386/Attic/acpi.h, include/asm-i386/Attic/current.h, include/asm-i386/Attic/highmem.h, include/asm-i386/Attic/ist.h, include/asm-i386/Attic/resource.h, include/asm-i386/Attic/rwsem.h, include/asm-i386/a.out.h, include/asm-i386/fixmap.h, include/asm-i386/io.h, include/asm-i386/page.h, include/asm-i386/param.h, include/asm-i386/ptrace.h, include/asm-h8300/Attic/regs267x.h, include/asm-h8300/Attic/regs306x.h, include/asm-h8300/Attic/resource.h, include/asm-h8300/Attic/signal.h, include/asm-h8300/Attic/thread_info.h, include/asm-h8300/Attic/virtconvert.h, include/asm-h8300/processor.h, include/asm-h8300/ptrace.h, include/asm-h8300/semaphore.h, include/asm-h8300/socket.h, include/asm-h8300/termios.h, include/asm-h8300/types.h, include/asm-h8300/Attic/current.h, include/asm-h8300/a.out.h, include/asm-h8300/bitops.h, include/asm-h8300/io.h, include/asm-h8300/page.h, include/asm-h8300/param.h:
	- removed kernel parts

	* include/asm-arm/Attic/signal.h: - removed one definition too many

	* include/asm-alpha/Attic/signal.h:
	- oops... removed one definition too much

	* include/asm-cris/Attic/current.h, include/asm-cris/Attic/resource.h, include/asm-cris/Attic/signal.h, include/asm-cris/Attic/thread_info.h, include/asm-cris/arch-v10/Attic/thread_info.h, include/asm-cris/arch-v10/page.h, include/asm-cris/bitops.h, include/asm-cris/page.h, include/asm-cris/param.h, include/asm-cris/rs485.h, include/asm-cris/semaphore.h, include/asm-cris/socket.h, include/asm-cris/termios.h, include/asm-cris/types.h, include/asm-cris/unistd.h:
	- removed kernel part

	* include/asm-arm26/Attic/current.h, include/asm-arm26/Attic/resource.h, include/asm-arm26/Attic/signal.h, include/asm-arm26/Attic/thread_info.h, include/asm-arm26/a.out.h, include/asm-arm26/atomic.h, include/asm-arm26/bitops.h, include/asm-arm26/io.h, include/asm-arm26/page.h, include/asm-arm26/param.h, include/asm-arm26/processor.h, include/asm-arm26/ptrace.h, include/asm-arm26/semaphore.h, include/asm-arm26/socket.h, include/asm-arm26/system.h, include/asm-arm26/termios.h, include/asm-arm26/types.h:
	- removed kernel parts

	* include/asm-arm/Attic/current.h, include/asm-arm/Attic/glue.h, include/asm-arm/Attic/proc-fns.h, include/asm-arm/Attic/resource.h, include/asm-arm/Attic/signal.h, include/asm-arm/Attic/thread_info.h, include/asm-arm/a.out.h, include/asm-arm/atomic.h, include/asm-arm/bitops.h, include/asm-arm/cacheflush.h, include/asm-arm/io.h, include/asm-arm/mmu_context.h, include/asm-arm/page.h, include/asm-arm/param.h, include/asm-arm/processor.h, include/asm-arm/ptrace.h, include/asm-arm/semaphore.h, include/asm-arm/socket.h, include/asm-arm/system.h, include/asm-arm/termios.h, include/asm-arm/tlbflush.h, include/asm-arm/types.h:
	- removed kernel part

2004-01-18  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/fs.h:
	- restored <linux/kdev_t.h> include - some apps expect this file to define MAJOR and co.

2004-01-18  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/Attic/thread_info.h, include/linux/sched.h:
	- commit to keep up with not yet commited changes in asm-*

	* include/asm-alpha/Attic/thread_info.h, include/asm-alpha/types.h, include/asm-alpha/Attic/current.h, include/asm-alpha/Attic/machvec.h, include/asm-alpha/Attic/resource.h, include/asm-alpha/Attic/rwsem.h, include/asm-alpha/Attic/signal.h, include/asm-alpha/a.out.h, include/asm-alpha/console.h, include/asm-alpha/core_apecs.h, include/asm-alpha/core_cia.h, include/asm-alpha/core_irongate.h, include/asm-alpha/core_lca.h, include/asm-alpha/core_marvel.h, include/asm-alpha/core_mcpcia.h, include/asm-alpha/core_polaris.h, include/asm-alpha/core_t2.h, include/asm-alpha/core_titan.h, include/asm-alpha/core_tsunami.h, include/asm-alpha/core_wildfire.h, include/asm-alpha/fpu.h, include/asm-alpha/hwrpb.h, include/asm-alpha/io.h, include/asm-alpha/jensen.h, include/asm-alpha/mmu_context.h, include/asm-alpha/page.h, include/asm-alpha/param.h, include/asm-alpha/posix_types.h, include/asm-alpha/ptrace.h, include/asm-alpha/semaphore.h, include/asm-alpha/socket.h, include/asm-alpha/spinlock.h, include/asm-alpha/sysinfo.h, include/asm-alpha/termios.h:
	- removed KENREL stuff

	* include/linux/nfs_fs.h: - rwsem is non existant

	* VERSION: - releasing

2004-01-17  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/Attic/bio.h, include/linux/Attic/blkdev.h, include/linux/compat.h, include/linux/compat_ioctl.h, include/linux/console.h, include/linux/cpufreq.h, include/linux/device.h, include/linux/efi.h, include/linux/i2c-id.h, include/linux/ide.h, include/linux/jiffies.h, include/linux/keyboard.h, include/linux/kmod.h, include/linux/libata.h, include/linux/msdos_fs.h, include/linux/msdos_fs_sb.h, include/linux/nbd.h, include/linux/netfilter_ipv4.h, include/linux/netfilter_ipv6.h, include/linux/parser.h, include/linux/pci.h, include/linux/pci_ids.h, include/linux/percpu_counter.h, include/linux/proc_fs.h, include/linux/skbuff.h, include/linux/sysctl.h, include/linux/usb_ch9.h, include/linux/videodev.h, include/asm-x86_64/Attic/acpi.h, include/asm-x86_64/Attic/mmzone.h, include/asm-x86_64/a.out.h, include/asm-x86_64/bitops.h, include/asm-x86_64/calling.h, include/asm-x86_64/hw_irq.h, include/asm-x86_64/io.h, include/asm-x86_64/io_apic.h, include/asm-x86_64/irq.h, include/asm-x86_64/stat.h, include/asm-x86_64/system.h, include/asm-x86_64/unistd.h, include/asm-s390/ccwdev.h, include/asm-sh/Attic/mmzone.h, include/asm-sparc/Attic/highmem.h, include/asm-sparc/Attic/kmap_types.h, include/asm-sparc/Attic/thread_info.h, include/asm-sparc/page.h, include/asm-sparc/pgtsrmmu.h, include/asm-sparc/processor.h, include/asm-sparc/vaddrs.h, include/asm-sparc/winmacro.h, include/asm-ppc/Attic/highmem.h, include/asm-ppc/ioctl.h, include/asm-ppc64/Attic/mmzone.h, include/asm-ppc64/ioctl.h, include/asm-ppc64/page.h, include/asm-mips/Attic/mmzone.h, include/asm-parisc/Attic/mmzone.h, include/asm-parisc/Attic/ucontext.h, include/asm-parisc/ioctl.h, include/asm-parisc/unistd.h, include/asm-i386/mach-voyager/irq_vectors.h, include/asm-ia64/Attic/acpi.h, include/asm-ia64/Attic/ia32.h, include/asm-ia64/Attic/mmzone.h, include/asm-ia64/mca.h, include/asm-ia64/mmu_context.h, include/asm-ia64/numa.h, include/asm-ia64/numnodes.h, include/asm-ia64/page.h, include/asm-ia64/pal.h, include/asm-ia64/processor.h, include/asm-ia64/sal.h, include/asm-ia64/spinlock.h, include/asm-ia64/system.h, include/asm-i386/mach-summit/mach_mpparse.h, include/asm-i386/mach-visws/irq_vectors.h, include/asm-i386/Attic/mmzone.h, include/asm-i386/irq.h, include/asm-i386/mach-default/irq_vectors.h, include/asm-i386/mach-default/mach_apic.h, include/asm-i386/mach-es7000/mach_apic.h, include/asm-i386/mach-pc9800/irq_vectors.h, include/asm-i386/mpspec.h, include/asm-i386/processor.h, include/asm-i386/setup.h, include/asm-i386/timer.h, include/asm-arm/arch-sa1100/Attic/time.h, include/asm-arm/arch-shark/Attic/time.h, include/asm-h8300/bitops.h, include/asm-i386/hw_irq.h, include/asm-i386/io_apic.h, include/asm-i386/ioctl.h, include/asm-alpha/Attic/mmzone.h, include/asm-arm/Attic/kmap_types.h, include/asm-arm/Attic/mmzone.h, include/asm-arm/arch-ebsa285/Attic/time.h, include/asm-arm/arch-pxa/Attic/time.h, include/asm-arm/unistd.h:
	- up to 2.6.1 + removed some files.
	- releasing 2.6.1.0 in a few moments

2004-01-17  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/asm-i386/param.h:
	- sysconf() needs <unistd.h> (a bit ugly here...)

	* include/linux/mod_devicetable.h:
	- <asm/types.h> is sufficient and workarounds glibc defining fake _LINUX_TYPES_H

	* include/asm-i386/ldt.h:
	- for 2.4 compat allow using old name of struct user_desc

2004-01-16  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/asm-alpha/pci.h:
	- grr... this was not kernel-only; restored syscall interface part

2004-01-15  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/sunrpc/debug.h, include/linux/sunrpc/stats.h, include/linux/sunrpc/svc.h, include/linux/sunrpc/types.h, include/linux/nfsd/nfsd.h, include/linux/nfsd/state.h, include/linux/raid/md.h, include/linux/mtd/cfi.h, include/linux/mtd/map.h, include/linux/mtd/nand.h, include/linux/netfilter_ipv4/ip_conntrack.h, include/linux/netfilter_ipv4/ip_nat_core.h, include/linux/netfilter_ipv4/ip_nat_protocol.h, include/linux/netfilter_ipv4/listhelp.h, include/linux/netfilter_ipv4/lockhelp.h, include/linux/isdn/capilli.h, include/linux/lockd/nlm.h, include/linux/Attic/timer.h, include/linux/kallsyms.h, include/linux/kernel_stat.h, include/linux/kmod.h, include/linux/linkage.h, include/linux/module.h, include/linux/netfilter_arp.h, include/linux/netfilter_bridge.h, include/linux/nfs_fs.h, include/linux/nfs_fs_i.h, include/linux/nfs_fs_sb.h, include/linux/numa.h, include/linux/oprofile.h, include/linux/pci-dynids.h, include/linux/percpu_counter.h, include/linux/pmu.h, include/linux/ppp_channel.h, include/linux/preempt.h, include/linux/proc_fs.h, include/linux/quota.h, include/linux/scc.h, include/linux/sched.h, include/linux/scx200_gpio.h, include/linux/seqlock.h, include/linux/serialP.h, include/linux/signal.h, include/linux/skbuff.h, include/linux/smp_lock.h, include/linux/suspend.h, include/linux/swap.h, include/linux/sysrq.h, include/linux/threads.h, include/linux/tpqic02.h, include/linux/vt_buffer.h, include/linux/vt_kern.h, include/linux/wanrouter.h, include/linux/Attic/blkdev.h, include/linux/Attic/highmem.h, include/linux/acpi.h, include/linux/aio.h, include/linux/bitmap.h, include/linux/blockgroup_lock.h, include/linux/cache.h, include/linux/coda.h, include/linux/compat.h, include/linux/console.h, include/linux/cpufreq.h, include/linux/crypto.h, include/linux/devfs_fs_kernel.h, include/linux/device.h, include/linux/dm-ioctl.h, include/linux/file.h, include/linux/ftape.h, include/linux/gameport.h, include/linux/genhd.h, include/linux/highuid.h, include/linux/if_frad.h, include/linux/init.h, include/linux/interrupt.h, include/linux/irq.h, include/linux/irq_cpustat.h, include/linux/isapnp.h, include/linux/jffs2_fs_sb.h, include/linux/jiffies.h, include/asm-x86_64/Attic/mmzone.h, include/asm-x86_64/Attic/rwsem.h, include/asm-x86_64/apic.h, include/asm-x86_64/atomic.h, include/asm-x86_64/cache.h, include/asm-x86_64/cacheflush.h, include/asm-x86_64/calling.h, include/asm-x86_64/dma.h, include/asm-x86_64/dwarf2.h, include/asm-x86_64/fixmap.h, include/asm-x86_64/floppy.h, include/asm-x86_64/hardirq.h, include/asm-x86_64/hw_irq.h, include/asm-x86_64/ia32.h, include/asm-x86_64/io.h, include/asm-x86_64/io_apic.h, include/asm-x86_64/mmu.h, include/asm-x86_64/mmu_context.h, include/asm-x86_64/numnodes.h, include/asm-x86_64/pgalloc.h, include/asm-x86_64/processor.h, include/asm-x86_64/serial.h, include/asm-x86_64/spinlock.h, include/asm-x86_64/system.h, include/asm-x86_64/tlbflush.h, include/asm-um/Attic/current.h, include/asm-um/a.out.h, include/asm-um/fixmap.h, include/asm-um/pgalloc.h, include/asm-um/processor-generic.h, include/asm-um/ptrace-generic.h, include/asm-um/spinlock.h, include/asm-um/tlbflush.h, include/asm-v850/atomic.h, include/asm-v850/bitops.h, include/asm-v850/cacheflush.h, include/asm-v850/hardirq.h, include/asm-v850/machdep.h, include/asm-v850/pgalloc.h, include/asm-v850/processor.h, include/asm-v850/semaphore.h, include/asm-v850/serial.h, include/asm-v850/v850e_uart.h, include/asm-sparc64/Attic/rwsem.h, include/asm-sparc64/hardirq.h, include/asm-sparc64/irq.h, include/asm-sparc64/mmu_context.h, include/asm-sparc64/ns87303.h, include/asm-sparc64/oplib.h, include/asm-sparc64/page.h, include/asm-sparc64/pbm.h, include/asm-sparc64/pgalloc.h, include/asm-sparc64/processor.h, include/asm-sparc64/spinlock.h, include/asm-sparc64/system.h, include/asm-sparc64/timer.h, include/asm-sparc64/tlbflush.h, include/asm-sparc64/ttable.h, include/asm-sparc/io-unit.h, include/asm-sparc/irq.h, include/asm-sparc/mostek.h, include/asm-sparc/oplib.h, include/asm-sparc/pgalloc.h, include/asm-sparc/sfp-machine.h, include/asm-sparc/system.h, include/asm-sparc/timer.h, include/asm-sparc/tlbflush.h, include/asm-sparc/vac-ops.h, include/asm-sparc/winmacro.h, include/asm-sparc64/cacheflush.h, include/asm-sparc64/cpudata.h, include/asm-sparc64/dma.h, include/asm-sparc64/floppy.h, include/asm-sh/overdrive/overdrive.h, include/asm-sparc/asmmacro.h, include/asm-sparc/atomic.h, include/asm-sparc/bitext.h, include/asm-sparc/cacheflush.h, include/asm-sparc/dma.h, include/asm-sparc/hardirq.h, include/asm-sh/hd64465/hd64465.h, include/asm-sh/mpc1211/dma.h, include/asm-sh/Attic/hd64461.h, include/asm-sh/Attic/hd64465.h, include/asm-sh/Attic/kmap_types.h, include/asm-sh/Attic/machvec.h, include/asm-sh/Attic/machvec_init.h, include/asm-sh/Attic/mmzone.h, include/asm-sh/Attic/rwsem.h, include/asm-sh/hardirq.h, include/asm-sh/hd64461/hd64461.h, include/asm-sh/io.h, include/asm-sh/irq.h, include/asm-sh/keyboard.h, include/asm-sh/page.h, include/asm-sh/pgalloc.h, include/asm-sh/semaphore.h, include/asm-sh/serial.h, include/asm-sh/system.h, include/asm-sh/watchdog.h, include/asm-s390/Attic/cio.h, include/asm-s390/Attic/rwsem.h, include/asm-s390/bitops.h, include/asm-s390/cacheflush.h, include/asm-s390/debug.h, include/asm-s390/hardirq.h, include/asm-s390/idals.h, include/asm-s390/io.h, include/asm-s390/lowcore.h, include/asm-s390/pgalloc.h, include/asm-s390/ptrace.h, include/asm-s390/sfp-machine.h, include/asm-s390/system.h, include/asm-s390/tlbflush.h, include/asm-sh/bug.h, include/asm-sh/checksum.h, include/asm-sh/dma.h, include/asm-sh/floppy.h, include/asm-ppc64/Attic/mmzone.h, include/asm-ppc64/Attic/pci_dma.h, include/asm-ppc64/Attic/rwsem.h, include/asm-ppc64/Attic/time.h, include/asm-ppc64/dma.h, include/asm-ppc64/floppy.h, include/asm-ppc64/hardirq.h, include/asm-ppc64/hw_irq.h, include/asm-ppc64/iSeries/Attic/iSeries_dma.h, include/asm-ppc64/iSeries/iSeries_io.h, include/asm-ppc64/io.h, include/asm-ppc64/lmb.h, include/asm-ppc64/machdep.h, include/asm-ppc64/memory.h, include/asm-ppc64/mmu_context.h, include/asm-ppc64/module.h, include/asm-ppc64/page.h, include/asm-ppc64/pgalloc.h, include/asm-ppc64/ppcdebug.h, include/asm-ppc64/rtas.h, include/asm-ppc64/serial.h, include/asm-ppc64/system.h, include/asm-ppc64/tlbflush.h, include/asm-ppc64/vga.h, include/asm-ppc/Attic/mpc8260.h, include/asm-ppc/Attic/mpc8xx.h, include/asm-ppc/Attic/ocp.h, include/asm-ppc/Attic/pc_serial.h, include/asm-ppc/Attic/ppc4xx_pic.h, include/asm-ppc/Attic/prom.h, include/asm-ppc/Attic/rwsem.h, include/asm-ppc/Attic/serial.h, include/asm-ppc/Attic/time.h, include/asm-ppc/machdep.h, include/asm-ppc/mmu.h, include/asm-ppc/mmu_context.h, include/asm-ppc/module.h, include/asm-ppc/open_pic.h, include/asm-ppc/page.h, include/asm-ppc/pgalloc.h, include/asm-ppc/ppc_asm.h, include/asm-ppc/processor.h, include/asm-ppc/system.h, include/asm-ppc/tlbflush.h, include/asm-ppc/vga.h, include/asm-ppc64/abs_addr.h, include/asm-ppc64/cacheflush.h, include/asm-ppc/Attic/ibm403.h, include/asm-ppc/Attic/ibm44x.h, include/asm-ppc/Attic/ibm4xx.h, include/asm-ppc/cache.h, include/asm-ppc/cacheflush.h, include/asm-ppc/commproc.h, include/asm-ppc/dma.h, include/asm-ppc/hardirq.h, include/asm-ppc/io.h, include/asm-ppc/irq.h, include/asm-parisc/Attic/kmap_types.h, include/asm-parisc/irq.h, include/asm-parisc/mmu_context.h, include/asm-parisc/page.h, include/asm-parisc/param.h, include/asm-parisc/pdc.h, include/asm-parisc/pgalloc.h, include/asm-parisc/processor.h, include/asm-parisc/semaphore.h, include/asm-parisc/serial.h, include/asm-parisc/system.h, include/asm-parisc/tlbflush.h, include/asm-ppc/Attic/amigahw.h, include/asm-ppc/bitops.h, include/asm-mips/sn/sn0/hubmd.h, include/asm-mips/vr41xx/mpc30x.h, include/asm-parisc/atomic.h, include/asm-parisc/cache.h, include/asm-parisc/cacheflush.h, include/asm-parisc/dma.h, include/asm-parisc/floppy.h, include/asm-parisc/hardirq.h, include/asm-parisc/io.h, include/asm-mips/sn/addrs.h, include/asm-mips/sn/agent.h, include/asm-mips/sn/arch.h, include/asm-mips/sn/io.h, include/asm-mips/sn/klconfig.h, include/asm-mips/sn/kldir.h, include/asm-mips/sn/launch.h, include/asm-mips/sn/mapped_kernel.h, include/asm-mips/sn/sn0/addrs.h, include/asm-mips/sn/sn0/arch.h, include/asm-mips/jmr3927/irq.h, include/asm-mips/mips-boards/generic.h, include/asm-mips/dec/ioasic.h, include/asm-mips/dec/kn02.h, include/asm-mips/gt64120/Attic/gt64120.h, include/asm-mips/ip32/machine.h, include/asm-mips/arc/types.h, include/asm-mips/ddb5xxx/ddb5477.h, include/asm-mips/ddb5xxx/ddb5xxx.h, include/asm-mips/Attic/kmap_types.h, include/asm-mips/Attic/mmzone.h, include/asm-mips/Attic/resource.h, include/asm-mips/Attic/semaphore-helper.h, include/asm-mips/Attic/signal.h, include/asm-mips/Attic/smplock.h, include/asm-mips/Attic/thread_info.h, include/asm-mips/m48t35.h, include/asm-mips/mipsregs.h, include/asm-mips/mmu_context.h, include/asm-mips/msgbuf.h, include/asm-mips/namei.h, include/asm-mips/paccess.h, include/asm-mips/page-32.h, include/asm-mips/page-64.h, include/asm-mips/page.h, include/asm-mips/param.h, include/asm-mips/pgalloc.h, include/asm-mips/pgtable-32.h, include/asm-mips/pgtable-64.h, include/asm-mips/pgtable-bits.h, include/asm-mips/processor.h, include/asm-mips/ptrace.h, include/asm-mips/semaphore.h, include/asm-mips/serial.h, include/asm-mips/sgiarcs.h, include/asm-mips/siginfo.h, include/asm-mips/sim.h, include/asm-mips/stackframe.h, include/asm-mips/system.h, include/asm-mips/tlbflush.h, include/asm-mips/types.h, include/asm-mips/war.h, include/asm-mips/wbflush.h, include/asm-mips/Attic/au1000_dma.h, include/asm-mips/Attic/fpu.h, include/asm-mips/Attic/highmem.h, include/asm-mips/Attic/keyboard.h, include/asm-mips/a.out.h, include/asm-mips/addrspace.h, include/asm-mips/asm.h, include/asm-mips/asmmacro-32.h, include/asm-mips/asmmacro-64.h, include/asm-mips/asmmacro.h, include/asm-mips/atomic.h, include/asm-mips/bcache.h, include/asm-mips/cache.h, include/asm-mips/cacheflush.h, include/asm-mips/checksum.h, include/asm-mips/debug.h, include/asm-mips/dma.h, include/asm-mips/fixmap.h, include/asm-mips/hardirq.h, include/asm-mips/i8259.h, include/asm-mips/io.h, include/asm-mips/irq.h, include/asm-mips/isadep.h, include/asm-m68k/Attic/virtconvert.h, include/asm-m68k/semaphore-helper.h, include/asm-m68k/semaphore.h, include/asm-m68k/serial.h, include/asm-m68k/setup.h, include/asm-m68k/shm.h, include/asm-m68k/system.h, include/asm-m68knommu/bitops.h, include/asm-m68knommu/cacheflush.h, include/asm-m68knommu/coldfire.h, include/asm-m68knommu/commproc.h, include/asm-m68knommu/dma.h, include/asm-m68knommu/elia.h, include/asm-m68knommu/entry.h, include/asm-m68knommu/fpu.h, include/asm-m68knommu/hardirq.h, include/asm-m68knommu/io.h, include/asm-m68knommu/irq.h, include/asm-m68knommu/m5206sim.h, include/asm-m68knommu/m5272sim.h, include/asm-m68knommu/m5282sim.h, include/asm-m68knommu/mcfdma.h, include/asm-m68knommu/mcfmbus.h, include/asm-m68knommu/mcfne.h, include/asm-m68knommu/mcfpci.h, include/asm-m68knommu/mcfpit.h, include/asm-m68knommu/mcfsim.h, include/asm-m68knommu/mcfsmc.h, include/asm-m68knommu/mcftimer.h, include/asm-m68knommu/mcfuart.h, include/asm-m68knommu/mcfwdebug.h, include/asm-m68knommu/mmu_context.h, include/asm-m68knommu/nap.h, include/asm-m68knommu/nettel.h, include/asm-m68knommu/page.h, include/asm-m68knommu/page_offset.h, include/asm-m68knommu/param.h, include/asm-m68knommu/processor.h, include/asm-m68knommu/semaphore-helper.h, include/asm-m68knommu/semaphore.h, include/asm-m68knommu/semp3.h, include/asm-m68knommu/shglcore.h, include/asm-m68knommu/shglports.h, include/asm-m68knommu/system.h, include/asm-ia64/sn/xtalk/xbow.h, include/asm-ia64/sn/xtalk/xtalk.h, include/asm-m68k/Attic/motorola_pgtable.h, include/asm-m68k/apollodma.h, include/asm-m68k/atarihw.h, include/asm-m68k/bug.h, include/asm-m68k/cacheflush.h, include/asm-m68k/dma.h, include/asm-m68k/dvma.h, include/asm-m68k/entry.h, include/asm-m68k/floppy.h, include/asm-m68k/fpu.h, include/asm-m68k/io.h, include/asm-m68k/irq.h, include/asm-m68k/mmu_context.h, include/asm-m68k/openprom.h, include/asm-m68k/page.h, include/asm-m68k/page_offset.h, include/asm-m68k/pgalloc.h, include/asm-m68k/processor.h, include/asm-ia64/sn/leds.h, include/asm-ia64/sn/module.h, include/asm-ia64/sn/nodepda.h, include/asm-ia64/sn/pci/bridge.h, include/asm-ia64/sn/pci/pci_defs.h, include/asm-ia64/sn/pci/pcibr.h, include/asm-ia64/sn/pci/pciio.h, include/asm-ia64/sn/pda.h, include/asm-ia64/sn/sgi.h, include/asm-ia64/sn/simulator.h, include/asm-ia64/sn/sn_cpuid.h, include/asm-ia64/sn/sn_private.h, include/asm-ia64/sn/sn_sal.h, include/asm-ia64/sn/types.h, include/asm-ia64/sn/vector.h, include/asm-ia64/Attic/ia32.h, include/asm-ia64/Attic/kmap_types.h, include/asm-ia64/Attic/machvec.h, include/asm-ia64/Attic/mmzone.h, include/asm-ia64/Attic/rwsem.h, include/asm-ia64/asmmacro.h, include/asm-ia64/cache.h, include/asm-ia64/dma.h, include/asm-ia64/hardirq.h, include/asm-ia64/meminit.h, include/asm-ia64/mmu_context.h, include/asm-ia64/nodedata.h, include/asm-ia64/numa.h, include/asm-ia64/page.h, include/asm-ia64/param.h, include/asm-ia64/pgalloc.h, include/asm-ia64/processor.h, include/asm-ia64/ptrace.h, include/asm-ia64/sal.h, include/asm-ia64/sn/Attic/ioerror_handling.h, include/asm-ia64/sn/addrs.h, include/asm-ia64/sn/arch.h, include/asm-ia64/sn/bte.h, include/asm-ia64/sn/clksupport.h, include/asm-ia64/sn/fetchop.h, include/asm-ia64/sn/intr.h, include/asm-ia64/sn/io.h, include/asm-ia64/sn/klconfig.h, include/asm-ia64/system.h, include/asm-ia64/tlbflush.h, include/asm-i386/Attic/highmem.h, include/asm-i386/Attic/kmap_types.h, include/asm-i386/Attic/rwsem.h, include/asm-i386/floppy.h, include/asm-i386/hardirq.h, include/asm-i386/hw_irq.h, include/asm-i386/io.h, include/asm-i386/io_apic.h, include/asm-i386/irq.h, include/asm-i386/mach-summit/mach_apic.h, include/asm-i386/mmu_context.h, include/asm-i386/numnodes.h, include/asm-i386/page.h, include/asm-i386/pgalloc.h, include/asm-i386/processor.h, include/asm-i386/serial.h, include/asm-i386/spinlock.h, include/asm-i386/system.h, include/asm-i386/tlbflush.h, include/asm-i386/types.h, include/asm-h8300/generic/timer_rate.h, include/asm-i386/apic.h, include/asm-i386/atomic.h, include/asm-i386/bug.h, include/asm-i386/cache.h, include/asm-i386/cacheflush.h, include/asm-i386/dma.h, include/asm-i386/fixmap.h, include/asm-cris/arch-v10/io.h, include/asm-cris/arch-v10/page.h, include/asm-cris/arch-v10/system.h, include/asm-h8300/Attic/virtconvert.h, include/asm-h8300/bitops.h, include/asm-h8300/dma.h, include/asm-h8300/hardirq.h, include/asm-h8300/io.h, include/asm-h8300/keyboard.h, include/asm-h8300/linux_logo.h, include/asm-h8300/mmu_context.h, include/asm-h8300/page.h, include/asm-h8300/page_offset.h, include/asm-h8300/param.h, include/asm-h8300/processor.h, include/asm-h8300/semaphore-helper.h, include/asm-h8300/semaphore.h, include/asm-h8300/shm.h, include/asm-h8300/system.h, include/asm-arm26/mach-types.h, include/asm-arm26/page.h, include/asm-arm26/semaphore.h, include/asm-arm26/serial.h, include/asm-arm26/sysirq.h, include/asm-arm26/system.h, include/asm-cris/cacheflush.h, include/asm-cris/eshlibld.h, include/asm-cris/etraxgpio.h, include/asm-cris/fasttimer.h, include/asm-cris/page.h, include/asm-cris/pgalloc.h, include/asm-cris/processor.h, include/asm-cris/semaphore.h, include/asm-cris/tlbflush.h, include/asm-arm/mach/serial_sa1100.h, include/asm-arm26/atomic.h, include/asm-arm26/bug.h, include/asm-arm26/cacheflush.h, include/asm-arm26/dma.h, include/asm-arm26/hardirq.h, include/asm-arm26/hardware.h, include/asm-arm26/io.h, include/asm-arm26/leds.h, include/asm-arm/hardware/dec21285.h, include/asm-arm/hardware/iomd.h, include/asm-arm/arch-sa1100/assabet.h, include/asm-arm/arch-sa1100/cerf.h, include/asm-arm/arch-sa1100/dma.h, include/asm-arm/arch-sa1100/hardware.h, include/asm-arm/arch-sa1100/irqs.h, include/asm-arm/arch-sa1100/keyboard.h, include/asm-arm/arch-sa1100/memory.h, include/asm-arm/arch-sa1100/pangolin.h, include/asm-arm/arch-sa1100/serial.h, include/asm-arm/arch-sa1100/system.h, include/asm-arm/arch-sa1100/trizeps.h, include/asm-arm/arch-shark/keyboard.h, include/asm-arm/arch-pxa/idp.h, include/asm-arm/arch-pxa/irqs.h, include/asm-arm/arch-pxa/pxa-regs.h, include/asm-arm/arch-iop3xx/hardware.h, include/asm-arm/arch-iop3xx/iop310-irqs.h, include/asm-arm/arch-iop3xx/iop321-irqs.h, include/asm-arm/arch-iop3xx/irqs.h, include/asm-arm/arch-iop3xx/memory.h, include/asm-arm/arch-iop3xx/serial.h, include/asm-arm/arch-iop3xx/uncompress.h, include/asm-arm/arch-ebsa285/hardware.h, include/asm-arm/arch-ebsa285/memory.h, include/asm-arm/arch-ebsa285/vmalloc.h, include/asm-arm/arch-cl7500/acornfb.h, include/asm-arm/arch-clps711x/hardware.h, include/asm-arm/arch-clps711x/memory.h, include/asm-arm/arch-clps711x/uncompress.h, include/asm-arm/arch-anakin/uncompress.h, include/asm-arm/arch-adifcc/hardware.h, include/asm-arm/arch-adifcc/serial.h, include/asm-alpha/tlbflush.h, include/asm-arm/Attic/glue.h, include/asm-arm/Attic/proc-fns.h, include/asm-arm/apm.h, include/asm-arm/atomic.h, include/asm-arm/bug.h, include/asm-arm/cacheflush.h, include/asm-arm/dma.h, include/asm-arm/hardirq.h, include/asm-arm/leds.h, include/asm-arm/memory.h, include/asm-arm/page.h, include/asm-arm/ptrace.h, include/asm-arm/semaphore.h, include/asm-arm/system.h, include/asm-arm/tlbflush.h, include/asm-arm/traps.h, include/asm-alpha/Attic/kmap_types.h, include/asm-alpha/Attic/machvec.h, include/asm-alpha/Attic/mmzone.h, include/asm-alpha/Attic/rwsem.h, include/asm-alpha/cache.h, include/asm-alpha/cacheflush.h, include/asm-alpha/core_cia.h, include/asm-alpha/core_marvel.h, include/asm-alpha/core_t2.h, include/asm-alpha/dma.h, include/asm-alpha/floppy.h, include/asm-alpha/hardirq.h, include/asm-alpha/hw_irq.h, include/asm-alpha/io.h, include/asm-alpha/irq.h, include/asm-alpha/mmu_context.h, include/asm-alpha/param.h, include/asm-alpha/pgalloc.h, include/asm-alpha/serial.h, include/asm-alpha/spinlock.h, include/asm-alpha/system.h:
	- removed all references to files that include err_kernel_only.h - let's
	  not generate unneeded work

2004-01-11  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/major.h:
	- SCSI/IDE dev tests for compatibility (expanded for 2.6 SCSI devs)

	* include/linux/netfilter_ipv4.h: - removed linux/config.h inclusion

	* include/linux/kernelcapi.h:
	- don't include kernel-only <linux/list.h>

2004-01-05  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/compat.h, include/linux/ufs_fs.h:
	- remove inclusion of stat.h

	* VERSION:
	- releasing 2.6.0.4... this does not fix dosemu cause I'm not sure how to do
	  it

2004-01-04  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/asm-x86_64/Attic/delay.h, include/asm-um/Attic/delay.h, include/asm-um/unistd.h, include/asm-v850/Attic/delay.h, include/asm-sh/Attic/delay.h, include/asm-sparc/Attic/delay.h, include/asm-sparc64/Attic/delay.h, include/asm-ppc64/Attic/delay.h, include/asm-s390/Attic/delay.h, include/asm-parisc/Attic/delay.h, include/asm-ppc/Attic/delay.h, include/asm-m68knommu/Attic/delay.h, include/asm-mips/Attic/delay.h, include/asm-ia64/Attic/delay.h, include/asm-m68k/Attic/delay.h, include/asm-cris/arch-v10/Attic/delay.h, include/asm-h8300/Attic/delay.h, include/asm-i386/Attic/delay.h, include/asm-i386/Attic/hpet.h, include/asm-arm/Attic/delay.h, include/asm-arm26/Attic/delay.h, include/asm-arm26/Attic/uaccess-asm.h, include/asm-cris/Attic/delay.h, include/asm-alpha/Attic/delay.h:
	- kernel stuff removal

	* include/linux/Attic/delay.h:
	- Delay routines calling functions in arch/$arch/lib/delay.c
	  (aka kernel only)

	* include/linux/Attic/802_11.h:
	- it uses kernel namespace types which means it's for kernel use

	* include/linux/Attic/dcookies.h: - kernel only

	* include/linux/efs_fs.h:
	- removed reference to uaccess.h - I do belive this header is still broken
	  though

	* include/asm-x86_64/Attic/uaccess.h, include/asm-sparc64/Attic/uaccess.h, include/asm-um/Attic/uaccess.h, include/asm-v850/Attic/uaccess.h, include/asm-sparc/Attic/uaccess.h, include/asm-ppc64/Attic/uaccess.h, include/asm-s390/Attic/uaccess.h, include/asm-sh/Attic/uaccess.h, include/asm-parisc/Attic/uaccess.h, include/asm-ppc/Attic/uaccess.h, include/asm-mips/Attic/uaccess.h, include/asm-m68k/Attic/uaccess.h, include/asm-m68knommu/Attic/uaccess.h, include/asm-h8300/Attic/uaccess.h, include/asm-i386/Attic/uaccess.h, include/asm-ia64/Attic/uaccess.h, include/asm-arm26/Attic/uaccess.h, include/asm-cris/Attic/uaccess.h, include/asm-cris/arch-v10/Attic/uaccess.h, include/asm-alpha/Attic/uaccess.h, include/asm-arm/Attic/uaccess.h:
	- removed uaccess.h - it's a header for kernel to access userland memory

2004-01-04  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/asm-x86_64/bitops.h, include/asm-parisc/bitops.h, include/asm-mips/bitops.h:
	- not necessarily atomic versions for userspace

	* include/asm-m68k/bitops.h: - no __KERNEL__ stuff

	* include/asm-ia64/bitops.h:
	- not necessarily atomic versions for userspace

	* include/asm-ia64/intrinsics.h: - no linux/config.h

	* include/asm-i386/bitops.h, include/asm-alpha/bitops.h:
	- not necessarily atomic versions for userspace

2004-01-01  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/nfsd/const.h, include/linux/nfsd/debug.h, include/linux/nfsd/export.h, include/linux/nfsd/nfsd.h, include/linux/nfsd/stats.h, include/linux/nfsd/syscall.h, include/linux/sunrpc/Attic/auth.h, include/linux/sunrpc/Attic/auth_gss.h, include/linux/sunrpc/Attic/gss_api.h, include/linux/sunrpc/Attic/gss_err.h, include/linux/sunrpc/Attic/msg_prot.h, include/linux/sunrpc/Attic/svcauth.h, include/linux/sunrpc/Attic/xdr.h, include/linux/sunrpc/clnt.h, include/linux/sunrpc/debug.h, include/linux/sunrpc/gss_asn1.h, include/linux/sunrpc/gss_krb5.h, include/linux/sunrpc/sched.h, include/linux/sunrpc/svc.h, include/linux/sunrpc/xprt.h, include/linux/netfilter_ipv6/ip6_tables.h, include/linux/nfsd/Attic/auth.h, include/linux/nfsd/Attic/cache.h, include/linux/netfilter_bridge/ebtables.h, include/linux/netfilter_ipv4/ip_conntrack.h, include/linux/netfilter_ipv4/ip_conntrack_amanda.h, include/linux/netfilter_ipv4/ip_conntrack_ftp.h, include/linux/netfilter_ipv4/ip_conntrack_irc.h, include/linux/netfilter_ipv4/ip_conntrack_tuple.h, include/linux/netfilter_ipv4/ip_nat.h, include/linux/netfilter_ipv4/ip_nat_rule.h, include/linux/netfilter_ipv4/ip_queue.h, include/linux/netfilter_ipv4/ip_tables.h, include/linux/netfilter_ipv4/ipchains_core.h, include/linux/netfilter_ipv4/ipfwadm_core.h, include/linux/netfilter_ipv4/ipt_physdev.h, include/linux/mtd/inftl.h, include/linux/mtd/mtd.h, include/linux/mtd/nftl.h, include/linux/netfilter_arp/arp_tables.h, include/linux/dvb/audio.h, include/linux/dvb/dmx.h, include/linux/dvb/video.h, include/linux/lockd/Attic/lockd.h, include/linux/lockd/debug.h, include/linux/lockd/xdr.h, include/linux/lockd/xdr4.h, include/linux/byteorder/generic.h, include/linux/byteorder/swabb.h, include/linux/Attic/slab.h, include/linux/Attic/smb_fs_sb.h, include/linux/Attic/stat.h, include/linux/Attic/thread_info.h, include/linux/Attic/trdevice.h, include/linux/Attic/usb_gadget.h, include/linux/sdla.h, include/linux/serial.h, include/linux/serial_core.h, include/linux/serio.h, include/linux/shm.h, include/linux/skbuff.h, include/linux/smb.h, include/linux/smb_fs.h, include/linux/smb_mount.h, include/linux/sonet.h, include/linux/sonypi.h, include/linux/soundcard.h, include/linux/times.h, include/linux/types.h, include/linux/udp.h, include/linux/uinput.h, include/linux/unistd.h, include/linux/usb.h, include/linux/usbdevice_fs.h, include/linux/wait.h, include/linux/Attic/phonedev.h, include/linux/Attic/platform.h, include/linux/Attic/pm.h, include/linux/Attic/pnp.h, include/linux/Attic/pnpbios.h, include/linux/Attic/profile.h, include/linux/Attic/radix-tree.h, include/linux/Attic/rcupdate.h, include/linux/Attic/rwsem-spinlock.h, include/linux/Attic/rwsem.h, include/linux/nfs.h, include/linux/nfs3.h, include/linux/nfs_fs.h, include/linux/pkt_sched.h, include/linux/pmu.h, include/linux/ppp-comp.h, include/linux/ppp_channel.h, include/linux/ptrace.h, include/linux/random.h, include/linux/reboot.h, include/linux/romfs_fs.h, include/linux/route.h, include/linux/rtnetlink.h, include/linux/scc.h:
	- removed all __KERNEL__ blocks. Now will be checking what I broke

	* include/linux/parport.h, include/linux/Attic/inet.h, include/linux/Attic/kobj_map.h, include/linux/Attic/kobject.h, include/linux/Attic/namespace.h, include/linux/Attic/ncp_fs_sb.h, include/linux/inetdevice.h, include/linux/input.h, include/linux/ipc.h, include/linux/ipmi.h, include/linux/isapnp.h, include/linux/isdn_ppp.h, include/linux/isdnif.h, include/linux/isicom.h, include/linux/jbd.h, include/linux/kd.h, include/linux/kdev_t.h, include/linux/kernel.h, include/linux/kernelcapi.h, include/linux/keyboard.h, include/linux/list.h, include/linux/llc.h, include/linux/loop.h, include/linux/lp.h, include/linux/mount.h, include/linux/mroute.h, include/linux/msg.h, include/linux/n_r3964.h, include/linux/ncp.h, include/linux/ncp_fs.h, include/linux/ncp_mount.h, include/linux/netdevice.h, include/linux/netfilter.h, include/linux/netfilter_bridge.h, include/linux/netfilter_ipv4.h, include/linux/netlink.h, include/linux/nfs.h, include/linux/nfs4.h, include/linux/nfs_idmap.h, include/linux/notifier.h, include/linux/nubus.h, include/linux/nvram.h, include/linux/Attic/concap.h, include/linux/Attic/cyclomx.h, include/linux/Attic/dio.h, include/linux/Attic/etherdevice.h, include/linux/Attic/fcdevice.h, include/linux/Attic/fddidevice.h, include/linux/Attic/hippidevice.h, include/linux/Attic/i2o.h, include/linux/binfmts.h, include/linux/capability.h, include/linux/capi.h, include/linux/coda.h, include/linux/cramfs_fs.h, include/linux/cuda.h, include/linux/cyclades.h, include/linux/dirent.h, include/linux/divert.h, include/linux/elfcore.h, include/linux/errqueue.h, include/linux/eventpoll.h, include/linux/ext2_fs.h, include/linux/fcntl.h, include/linux/filter.h, include/linux/ftape.h, include/linux/genhd.h, include/linux/hayesesp.h, include/linux/hdlc.h, include/linux/hdlcdrv.h, include/linux/hiddev.h, include/linux/i2o-dev.h, include/linux/if_bridge.h, include/linux/if_ec.h, include/linux/if_eql.h, include/linux/if_frad.h, include/linux/if_ltalk.h, include/linux/if_shaper.h, include/linux/if_tun.h, include/linux/if_vlan.h, include/linux/if_wanpipe.h, include/linux/in.h, include/linux/Attic/baycom.h:
	- Total Infor^H^H^H^H^HKernel Block Removal part 1
	- after finishing this I will make a script to test each and every header
	  for getting parsed correctly by a C compiler

	* include/linux/ufs_fs.h: - blah. One define was commented out

	* include/linux/Attic/hugetlb.h, include/linux/Attic/mpage.h, include/linux/Attic/ufs_fs_sb.h, include/linux/reiserfs_fs.h, include/linux/swap.h, include/linux/udf_fs_sb.h, include/linux/ufs_fs.h:
	- more kernel only code cleanups. Note: most *fs* headers are crap (specificaly
	  reiser)
	- am finaly releasing 2.6.0.3
	- I'm first :)

2003-12-31  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/atmdev.h: - removed <linux/config.h> inclusion

2003-12-31  Arkadiusz Mi¶kiewicz  <arekm@pld-linux.org>

	* include/linux/version.h: - Reverted + updated to final 2.6.0

	* include/linux/version.h:
	Pretend to be 2.4.23. We still support 2.4 kernels.

2003-12-31  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/ext3_fs.h: - oops. Readed a couple of defines

2003-12-30  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/nfsd/nfsd.h, include/linux/sunrpc/Attic/rpc_pipe_fs.h, include/linux/Attic/hfs_fs.h, include/linux/Attic/hfs_fs_i.h, include/linux/Attic/hfs_fs_sb.h, include/linux/Attic/hfs_sysdep.h, include/linux/Attic/hpfs_fs_i.h, include/linux/Attic/jffs2_fs_i.h, include/linux/Attic/msdos_fs_i.h, include/linux/Attic/ncp_fs_i.h, include/linux/Attic/nfs_page.h, include/linux/Attic/quotaops.h, include/linux/Attic/reiserfs_fs_i.h, include/linux/Attic/reiserfs_fs_sb.h, include/linux/Attic/shmem_fs.h, include/linux/Attic/smb_fs_i.h, include/linux/Attic/tty_driver.h, include/linux/Attic/tty_flip.h, include/linux/Attic/tty_ldisc.h, include/linux/Attic/ufs_fs_i.h, include/linux/Attic/umsdos_fs_i.h, include/linux/Attic/writeback.h, include/linux/Attic/zconf.h, include/linux/Attic/zlib.h, include/linux/Attic/zutil.h, include/linux/iso_fs.h, include/linux/iso_fs_i.h, include/linux/jbd.h, include/linux/msdos_fs.h, include/linux/ncp_fs.h, include/linux/nfs_fs.h, include/linux/nfs_xdr.h, include/linux/pipe_fs_i.h, include/linux/qnx4_fs.h, include/linux/quota.h, include/linux/reiserfs_fs.h, include/linux/smb_fs.h, include/linux/tty.h, include/linux/udf_fs_i.h, include/linux/udf_fs_sb.h, include/linux/ufs_fs.h, include/linux/umsdos_fs.h, include/linux/videodev.h, include/linux/videodev2.h, include/linux/wanpipe.h, include/linux/wanrouter.h, include/linux/zftape.h, include/linux/zorro.h, include/asm-ppc/Attic/bootinfo.h, include/asm-ppc/Attic/zorro.h, include/asm-ppc64/Attic/bootinfo.h, include/linux/Attic/adfs_fs_i.h, include/linux/Attic/buffer_head.h, include/linux/Attic/cdev.h, include/linux/Attic/coda_cache.h, include/linux/Attic/coda_fs_i.h, include/linux/Attic/coda_linux.h, include/linux/Attic/dcache.h, include/linux/Attic/fsfilter.h, include/linux/affs_fs.h, include/linux/affs_fs_i.h, include/linux/affs_fs_sb.h, include/linux/amigaffs.h, include/linux/coda_proc.h, include/linux/dnotify.h, include/linux/efs_fs.h, include/linux/efs_fs_i.h, include/linux/ext3_fs.h, include/linux/fb.h, include/asm-m68k/Attic/bootinfo.h, include/asm-m68k/Attic/zorro.h, include/asm-m68knommu/Attic/bootinfo.h, include/asm-mips/Attic/bootinfo.h, VERSION, include/asm-h8300/Attic/bootinfo.h:
	- removed lots of kernel only code (specificaly anihilated struct inode
	  and allmost all references to it - should fix fs headers)
	- releasing 2.6.0.3

2003-12-30  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/asm-ppc64/ioctl.h, include/asm-ppc/ioctl.h, include/asm-parisc/ioctl.h, include/asm-i386/ioctl.h:
	- don't cause "warning: signed and unsigned type in conditional expression"

	* include/linux/isdn.h: - killed kernel stuff

	* include/linux/isdn/Attic/fsm.h: - internal

2003-12-29  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/acct.h, include/linux/socket.h, include/linux/time.h:
	- no need to force changes in each and every program all at once; a nice
	  warning should do just fine for now

	* include/linux/Attic/seq_file.h, include/linux/Attic/string.h, include/linux/Attic/zutil.h, include/linux/backing-dev.h, include/linux/bitmap.h, include/linux/crypto.h, include/linux/efi.h, include/linux/elf.h, include/linux/genhd.h, include/linux/msdos_fs.h, include/linux/nfsd/nfsfh.h, include/linux/poll.h, include/asm-v850/Attic/bugs.h, include/asm-v850/Attic/string.h, include/asm-v850/Attic/uaccess.h, include/asm-v850/elf.h, include/asm-x86_64/Attic/bugs.h, include/asm-x86_64/Attic/i387.h, include/asm-x86_64/Attic/string.h, include/asm-x86_64/desc.h, include/asm-x86_64/elf.h, include/linux/amigaffs.h, include/asm-sparc64/Attic/bugs.h, include/asm-sparc64/Attic/string.h, include/asm-sparc64/Attic/uaccess.h, include/asm-sparc64/elf.h, include/asm-um/Attic/bugs.h, include/asm-um/Attic/string.h, include/asm-sh/Attic/bugs.h, include/asm-sh/Attic/string.h, include/asm-sh/elf.h, include/asm-sparc/Attic/bugs.h, include/asm-sparc/Attic/string.h, include/asm-sparc/Attic/uaccess.h, include/asm-sparc/elf.h, include/asm-ppc64/Attic/bugs.h, include/asm-ppc64/Attic/string.h, include/asm-ppc64/eeh.h, include/asm-ppc64/elf.h, include/asm-s390/Attic/bugs.h, include/asm-s390/Attic/string.h, include/asm-s390/debug.h, include/asm-s390/elf.h, include/asm-s390/vtoc.h, include/asm-parisc/Attic/bugs.h, include/asm-parisc/Attic/string.h, include/asm-parisc/elf.h, include/asm-parisc/irq.h, include/asm-ppc/Attic/bugs.h, include/asm-ppc/Attic/string.h, include/asm-ppc/elf.h, include/asm-m68knommu/Attic/bugs.h, include/asm-m68knommu/Attic/string.h, include/asm-m68knommu/Attic/uaccess.h, include/asm-m68knommu/elf.h, include/asm-mips/Attic/bugs.h, include/asm-mips/Attic/string.h, include/asm-mips/elf.h, include/asm-mips/termios.h, include/asm-ia64/Attic/bugs.h, include/asm-ia64/Attic/string.h, include/asm-ia64/elf.h, include/asm-ia64/unistd.h, include/asm-m68k/Attic/bugs.h, include/asm-m68k/Attic/string.h, include/asm-m68k/elf.h, include/asm-h8300/Attic/bugs.h, include/asm-h8300/Attic/string.h, include/asm-h8300/Attic/uaccess.h, include/asm-h8300/elf.h, include/asm-i386/Attic/bugs.h, include/asm-i386/Attic/hpet.h, include/asm-i386/Attic/i387.h, include/asm-i386/Attic/string.h, include/asm-i386/Attic/uaccess.h, include/asm-i386/elf.h, include/asm-arm26/Attic/string.h, include/asm-cris/Attic/bugs.h, include/asm-cris/Attic/string.h, include/asm-cris/arch-v10/elf.h, include/asm-cris/elf.h, include/asm-alpha/Attic/bugs.h, include/asm-alpha/Attic/string.h, include/asm-alpha/elf.h, include/asm-alpha/unistd.h, include/asm-arm/Attic/bugs.h, include/asm-arm/Attic/string.h, include/asm-arm/elf.h, include/asm-arm26/Attic/bugs.h, include/asm-arm26/elf.h, include/asm-arm26/processor.h:
	- removed lots of kernel only stuff (maybe too much :)
	- cleaned up asm*/elf.h; linux/elf.h does two things now: includes <elf.h>
	  and <asm/elf.h>
	- might have broken some asm*/elf.h but if so, it will show up soon
	- or not

2003-12-28  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/sunrpc/xprt.h, include/linux/ax25.h, include/linux/if.h, include/linux/in.h, include/linux/ipx.h, include/linux/netlink.h, include/linux/socket.h, include/linux/wireless.h:
	- use sys/socket.h instead of linux/socket.h

	* include/linux/in.h:
	- use sockaddr_storage not __kernel_sockaddr_storage

	* include/linux/socket.h:
	- left only definitions... not sure what to do with it

	* include/asm-v850/errno.h, include/asm-x86_64/errno.h, include/asm-sparc/errno.h, include/asm-sparc64/errno.h, include/asm-s390/errno.h, include/asm-sh/errno.h, include/asm-ppc64/errno.h, include/asm-ppc/errno.h, include/asm-mips/errno.h, include/asm-parisc/errno.h, include/asm-m68k/errno.h, include/asm-m68knommu/errno.h, include/asm-i386/errno.h, include/asm-ia64/errno.h, include/asm-arm26/errno.h, include/asm-cris/errno.h, include/asm-h8300/errno.h, include/asm-alpha/errno.h, include/asm-arm/errno.h:
	- asm/errno.h can now be included directly... it will call linux/errno.h
	  if needed
	- no need to introduce incompatibilities

2003-12-27  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/Attic/b1pcmcia.h: - kernel only

	* include/asm-arm26/Attic/uaccess.h, include/asm-parisc/irq.h, include/linux/Attic/profile.h, include/linux/err.h, include/asm-arm/Attic/uaccess.h:
	- do not include asm/errno.h, but linux/errno.h (automated fix, didn't check
	  if all headers are userland)

	* include/linux/adb.h, include/linux/adfs_fs.h, include/linux/atm.h, include/linux/atm_tcp.h, include/linux/atmarp.h, include/linux/atmdev.h, include/linux/auto_fs.h:
	- removed kernel parts

	* include/linux/awe_voice.h:
	- Voice information definitions for the low level driver for the
	  AWE32/SB32/AWE64 wave table synth.
	- above means it's a driver only header :)

	* include/linux/atalk.h: - removed kernel part

	* include/linux/Attic/arcdevice.h: - kernel only header

	* include/linux/apm_bios.h: - removed kernel part

	* include/linux/agpgart.h: - removed kernel only part

	* include/linux/Attic/agp_backend.h: - kernel only

	* include/linux/acct.h: - use <sys/acct.h> instead

2003-12-27  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/mod_devicetable.h:
	- restored linux/types.h include (was incorrectly ifdef __KERNEL__)

2003-12-26  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/sunrpc/Attic/rpc_pipe_fs.h, include/linux/nfsd/syscall.h, include/linux/netfilter_ipv4/ip_conntrack.h, include/linux/dvb/dmx.h, include/linux/Attic/writeback.h, include/linux/time.h, include/linux/timex.h, include/linux/ufs_fs.h, include/linux/uio.h, include/linux/usbdevice_fs.h, include/linux/videodev2.h, include/linux/Attic/compiler-gcc+.h, include/linux/Attic/compiler-gcc.h, include/linux/Attic/compiler-gcc2.h, include/linux/Attic/compiler-gcc3.h, include/linux/Attic/compiler-intel.h, include/linux/Attic/hfs_fs.h, include/linux/Attic/seq_file.h, include/linux/Attic/stat.h, include/linux/atmdev.h, include/linux/binfmts.h, include/linux/bitmap.h, include/linux/capability.h, include/linux/coda.h, include/linux/compiler.h, include/linux/efi.h, include/linux/elfcore.h, include/linux/eventpoll.h, include/linux/file.h, include/linux/futex.h, include/linux/init.h, include/linux/input.h, include/linux/ioport.h, include/linux/kernel.h, include/linux/kmod.h, include/linux/module.h, include/linux/msg.h, include/linux/namei.h, include/linux/poll.h, include/linux/proc_fs.h, include/linux/ptrace.h, include/linux/resource.h, include/linux/sched.h, include/linux/security.h, include/linux/shm.h, include/linux/siginfo.h, include/linux/skbuff.h, include/linux/socket.h, include/linux/som.h, include/linux/sysctl.h, include/asm-x86_64/Attic/signal.h, include/asm-x86_64/Attic/uaccess.h, include/asm-x86_64/checksum.h, include/asm-v850/bitops.h, include/asm-v850/highres_timer.h, include/asm-sparc64/Attic/uaccess.h, include/asm-um/timex.h, include/asm-sparc64/audioio.h, include/asm-sparc64/bitops.h, include/asm-sparc/Attic/uaccess.h, include/asm-sparc/audioio.h, include/asm-sparc/bitops.h, include/asm-sh/mpc1211/io.h, include/asm-s390/Attic/signal.h, include/asm-s390/debug.h, include/asm-sh/Attic/machvec.h, include/asm-ppc64/Attic/uaccess.h, include/asm-ppc/Attic/uaccess.h, include/asm-ppc/bitops.h, include/asm-ppc/ipc.h, include/asm-parisc/bitops.h, include/asm-m68knommu/bitops.h, include/asm-mips/bitops.h, include/asm-m68k/bitops.h, include/asm-ia64/Attic/delay.h, include/asm-ia64/Attic/uaccess.h, include/asm-ia64/bitops.h, include/asm-ia64/mmu_context.h, include/asm-ia64/pgalloc.h, include/asm-ia64/processor.h, include/asm-ia64/spinlock.h, include/asm-i386/Attic/hpet.h, include/asm-i386/Attic/i387.h, include/asm-i386/Attic/signal.h, include/asm-i386/Attic/uaccess.h, include/asm-i386/bitops.h, include/asm-i386/ipc.h, include/asm-i386/math_emu.h, include/asm-i386/processor.h, include/asm-i386/sigcontext.h, include/asm-i386/spinlock.h, include/asm-h8300/bitops.h, include/asm-cris/Attic/uaccess.h, include/asm-cris/bitops.h, include/asm-cris/fasttimer.h, include/asm-alpha/Attic/rwsem.h, include/asm-alpha/semaphore.h, VERSION:
	- removed linux/compiler* (and all references to it) and all __user macros
	- removed linux/time.h and changed all headers to use sys/time.h
	- releasing 2.6.0.2

	* include/linux/Attic/statfs.h, include/linux/Attic/topology.h, include/linux/Attic/vfs.h, include/linux/pci.h, include/linux/percpu.h, include/linux/rtc.h, include/linux/siginfo.h, include/linux/signal.h, include/asm-x86_64/Attic/mc146818rtc.h, include/asm-x86_64/Attic/pci.h, include/asm-x86_64/Attic/percpu.h, include/asm-x86_64/Attic/pgtable.h, include/asm-x86_64/Attic/rmap.h, include/asm-x86_64/Attic/rtc.h, include/asm-x86_64/Attic/sections.h, include/asm-x86_64/Attic/statfs.h, include/asm-x86_64/Attic/tlb.h, include/asm-x86_64/Attic/topology.h, include/asm-x86_64/siginfo.h, include/linux/Attic/ac97_codec.h, include/linux/Attic/mc146818rtc.h, include/linux/Attic/mmzone.h, include/linux/Attic/page-flags.h, include/linux/mod_devicetable.h, include/asm-v850/Attic/local.h, include/asm-v850/Attic/pci.h, include/asm-v850/Attic/percpu.h, include/asm-v850/Attic/pgtable.h, include/asm-v850/Attic/rmap.h, include/asm-v850/Attic/sections.h, include/asm-v850/Attic/statfs.h, include/asm-v850/Attic/tlb.h, include/asm-v850/Attic/topology.h, include/asm-v850/siginfo.h, include/asm-x86_64/Attic/local.h, include/asm-um/Attic/pci.h, include/asm-um/Attic/percpu.h, include/asm-um/Attic/pgtable.h, include/asm-um/Attic/rmap.h, include/asm-um/Attic/statfs.h, include/asm-um/Attic/tlb.h, include/asm-um/Attic/topology.h, include/asm-sparc/Attic/statfs.h, include/asm-sparc/Attic/tlb.h, include/asm-sparc/Attic/topology.h, include/asm-sparc64/Attic/local.h, include/asm-sparc64/Attic/mc146818rtc.h, include/asm-sparc64/Attic/pci.h, include/asm-sparc64/Attic/percpu.h, include/asm-sparc64/Attic/pgtable.h, include/asm-sparc64/Attic/rmap.h, include/asm-sparc64/Attic/rtc.h, include/asm-sparc64/Attic/sections.h, include/asm-sparc64/Attic/statfs.h, include/asm-sparc64/Attic/tlb.h, include/asm-sparc64/Attic/topology.h, include/asm-sparc64/siginfo.h, include/asm-sh/mpc1211/Attic/mc146818rtc.h, include/asm-sh/mpc1211/Attic/pci.h, include/asm-sparc/Attic/local.h, include/asm-sparc/Attic/mc146818rtc.h, include/asm-sparc/Attic/pci.h, include/asm-sparc/Attic/percpu.h, include/asm-sparc/Attic/pgtable.h, include/asm-sparc/Attic/rmap.h, include/asm-sparc/Attic/rtc.h, include/asm-sparc/Attic/sections.h, include/asm-sparc/siginfo.h, include/asm-sh/cpu-sh3/Attic/rtc.h, include/asm-sh/cpu-sh4/Attic/rtc.h, include/asm-s390/Attic/local.h, include/asm-s390/Attic/pci.h, include/asm-s390/Attic/percpu.h, include/asm-s390/Attic/pgtable.h, include/asm-s390/Attic/rmap.h, include/asm-s390/Attic/sections.h, include/asm-s390/Attic/statfs.h, include/asm-s390/Attic/tlb.h, include/asm-s390/Attic/topology.h, include/asm-s390/siginfo.h, include/asm-sh/Attic/mc146818rtc.h, include/asm-sh/Attic/pci.h, include/asm-sh/Attic/percpu.h, include/asm-sh/Attic/pgtable.h, include/asm-sh/Attic/rmap.h, include/asm-sh/Attic/rtc.h, include/asm-sh/Attic/statfs.h, include/asm-sh/Attic/tlb.h, include/asm-sh/Attic/topology.h, include/asm-sh/siginfo.h, include/asm-ppc64/Attic/local.h, include/asm-ppc64/Attic/mc146818rtc.h, include/asm-ppc64/Attic/pci-bridge.h, include/asm-ppc64/Attic/pci.h, include/asm-ppc64/Attic/percpu.h, include/asm-ppc64/Attic/pgtable.h, include/asm-ppc64/Attic/rmap.h, include/asm-ppc64/Attic/sections.h, include/asm-ppc64/Attic/statfs.h, include/asm-ppc64/Attic/tlb.h, include/asm-ppc64/Attic/topology.h, include/asm-ppc64/siginfo.h, include/asm-parisc/Attic/statfs.h, include/asm-parisc/Attic/tlb.h, include/asm-parisc/Attic/topology.h, include/asm-ppc/Attic/local.h, include/asm-ppc/Attic/mc146818rtc.h, include/asm-ppc/Attic/pci-bridge.h, include/asm-ppc/Attic/pci.h, include/asm-ppc/Attic/percpu.h, include/asm-ppc/Attic/pgtable.h, include/asm-ppc/Attic/rmap.h, include/asm-ppc/Attic/rtc.h, include/asm-ppc/Attic/sections.h, include/asm-ppc/Attic/statfs.h, include/asm-ppc/Attic/tlb.h, include/asm-ppc/Attic/topology.h, include/asm-ppc/siginfo.h, include/asm-mips/jmr3927/Attic/pci.h, include/asm-parisc/Attic/local.h, include/asm-parisc/Attic/mc146818rtc.h, include/asm-parisc/Attic/pci.h, include/asm-parisc/Attic/percpu.h, include/asm-parisc/Attic/pgtable.h, include/asm-parisc/Attic/rmap.h, include/asm-parisc/Attic/rtc.h, include/asm-parisc/Attic/sections.h, include/asm-parisc/siginfo.h, include/asm-mips/Attic/local.h, include/asm-mips/Attic/mc146818rtc.h, include/asm-mips/Attic/pci.h, include/asm-mips/Attic/percpu.h, include/asm-mips/Attic/pgtable.h, include/asm-mips/Attic/rmap.h, include/asm-mips/Attic/rtc.h, include/asm-mips/Attic/sections.h, include/asm-mips/Attic/statfs.h, include/asm-mips/Attic/tlb.h, include/asm-mips/Attic/topology.h, include/asm-mips/siginfo.h, include/asm-m68knommu/Attic/local.h, include/asm-m68knommu/Attic/mc146818rtc.h, include/asm-m68knommu/Attic/pci.h, include/asm-m68knommu/Attic/percpu.h, include/asm-m68knommu/Attic/pgtable.h, include/asm-m68knommu/Attic/rmap.h, include/asm-m68knommu/Attic/sections.h, include/asm-m68knommu/Attic/statfs.h, include/asm-m68knommu/Attic/tlb.h, include/asm-m68knommu/Attic/topology.h, include/asm-m68knommu/siginfo.h, include/asm-ia64/Attic/tlb.h, include/asm-ia64/Attic/topology.h, include/asm-m68k/Attic/local.h, include/asm-m68k/Attic/mc146818rtc.h, include/asm-m68k/Attic/pci.h, include/asm-m68k/Attic/percpu.h, include/asm-m68k/Attic/pgtable.h, include/asm-m68k/Attic/rmap.h, include/asm-m68k/Attic/rtc.h, include/asm-m68k/Attic/sections.h, include/asm-m68k/Attic/statfs.h, include/asm-m68k/Attic/tlb.h, include/asm-m68k/Attic/topology.h, include/asm-m68k/siginfo.h, include/asm-i386/Attic/topology.h, include/asm-ia64/Attic/local.h, include/asm-ia64/Attic/mc146818rtc.h, include/asm-ia64/Attic/pci.h, include/asm-ia64/Attic/percpu.h, include/asm-ia64/Attic/pgtable.h, include/asm-ia64/Attic/rmap.h, include/asm-ia64/Attic/sections.h, include/asm-ia64/Attic/statfs.h, include/asm-ia64/siginfo.h, include/asm-h8300/Attic/local.h, include/asm-h8300/Attic/mc146818rtc.h, include/asm-h8300/Attic/pci.h, include/asm-h8300/Attic/percpu.h, include/asm-h8300/Attic/pgtable.h, include/asm-h8300/Attic/sections.h, include/asm-h8300/Attic/statfs.h, include/asm-h8300/Attic/tlb.h, include/asm-h8300/Attic/topology.h, include/asm-h8300/siginfo.h, include/asm-i386/Attic/local.h, include/asm-i386/Attic/mc146818rtc.h, include/asm-i386/Attic/pci.h, include/asm-i386/Attic/percpu.h, include/asm-i386/Attic/pgtable.h, include/asm-i386/Attic/rmap.h, include/asm-i386/Attic/rtc.h, include/asm-i386/Attic/sections.h, include/asm-i386/Attic/statfs.h, include/asm-i386/Attic/tlb.h, include/asm-i386/siginfo.h, include/asm-generic/Attic/local.h, include/asm-generic/Attic/pci-dma-compat.h, include/asm-generic/Attic/pci.h, include/asm-generic/Attic/percpu.h, include/asm-generic/Attic/pgtable.h, include/asm-generic/Attic/rmap.h, include/asm-generic/Attic/rtc.h, include/asm-generic/Attic/sections.h, include/asm-generic/Attic/siginfo.h, include/asm-generic/Attic/statfs.h, include/asm-generic/Attic/tlb.h, include/asm-generic/Attic/topology.h, include/asm-cris/Attic/pci.h, include/asm-cris/Attic/percpu.h, include/asm-cris/Attic/pgtable.h, include/asm-cris/Attic/rmap.h, include/asm-cris/Attic/rtc.h, include/asm-cris/Attic/statfs.h, include/asm-cris/Attic/tlb.h, include/asm-cris/Attic/topology.h, include/asm-cris/arch-v10/Attic/pgtable.h, include/asm-cris/arch-v10/Attic/tlb.h, include/asm-cris/siginfo.h, include/asm-arm/mach/Attic/pci.h, include/asm-arm26/Attic/local.h, include/asm-arm26/Attic/mc146818rtc.h, include/asm-arm26/Attic/pci.h, include/asm-arm26/Attic/percpu.h, include/asm-arm26/Attic/pgtable.h, include/asm-arm26/Attic/rmap.h, include/asm-arm26/Attic/sections.h, include/asm-arm26/Attic/statfs.h, include/asm-arm26/Attic/tlb.h, include/asm-arm26/Attic/topology.h, include/asm-arm26/siginfo.h, include/asm-alpha/Attic/rtc.h, include/asm-alpha/Attic/sections.h, include/asm-alpha/Attic/statfs.h, include/asm-alpha/Attic/tlb.h, include/asm-alpha/Attic/topology.h, include/asm-alpha/siginfo.h, include/asm-arm/Attic/local.h, include/asm-arm/Attic/mc146818rtc.h, include/asm-arm/Attic/pci.h, include/asm-arm/Attic/percpu.h, include/asm-arm/Attic/pgtable.h, include/asm-arm/Attic/rmap.h, include/asm-arm/Attic/sections.h, include/asm-arm/Attic/statfs.h, include/asm-arm/Attic/tlb.h, include/asm-arm/Attic/topology.h, include/asm-arm/siginfo.h, Makefile, NOTES, include/asm-alpha/Attic/local.h, include/asm-alpha/Attic/mc146818rtc.h, include/asm-alpha/Attic/percpu.h, include/asm-alpha/Attic/pgtable.h, include/asm-alpha/Attic/rmap.h, include/asm-alpha/pci.h:
	- removed lots of kernel only code
	- for statfs: glibc provides it's own structures and the name of the structure
	  (kstatfs) suggests it's for kernel use
	- vfs: it only includes statfs.h and also has a glibc counterpart
	- siginfo.h got moved from asm-generic to linux and asm-*/siginfo.h files
	  were changed accordingly. This is not clean, but once I think of a way
	  to make it clean, it will be
	- asm-generic is now empty :)

2003-12-25  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/errno.h, include/asm-x86_64/Attic/ide.h, include/asm-x86_64/Attic/unaligned.h, include/asm-x86_64/Attic/xor.h, include/asm-x86_64/errno.h, include/asm-sparc64/Attic/ide.h, include/asm-sparc64/Attic/unaligned.h, include/asm-sparc64/Attic/xor.h, include/asm-um/Attic/ide.h, include/asm-um/Attic/unaligned.h, include/asm-um/Attic/xor.h, include/asm-v850/Attic/unaligned.h, include/asm-v850/errno.h, include/asm-sh/Attic/ide.h, include/asm-sh/Attic/unaligned.h, include/asm-sh/Attic/xor.h, include/asm-sparc/Attic/ide.h, include/asm-sparc/Attic/unaligned.h, include/asm-sparc/Attic/xor.h, include/asm-sparc/errno.h, include/asm-sparc64/errno.h, include/asm-ppc64/Attic/ide.h, include/asm-ppc64/Attic/unaligned.h, include/asm-ppc64/Attic/xor.h, include/asm-ppc64/errno.h, include/asm-s390/Attic/unaligned.h, include/asm-s390/Attic/xor.h, include/asm-s390/errno.h, include/asm-sh/errno.h, include/asm-mips/Attic/ide.h, include/asm-mips/Attic/unaligned.h, include/asm-mips/Attic/xor.h, include/asm-parisc/Attic/ide.h, include/asm-parisc/Attic/unaligned.h, include/asm-parisc/Attic/xor.h, include/asm-parisc/errno.h, include/asm-ppc/Attic/ide.h, include/asm-ppc/Attic/unaligned.h, include/asm-ppc/Attic/xor.h, include/asm-ppc/errno.h, include/asm-m68knommu/Attic/ide.h, include/asm-m68knommu/Attic/unaligned.h, include/asm-m68knommu/errno.h, include/asm-mips/errno.h, include/asm-m68k/Attic/ide.h, include/asm-m68k/Attic/unaligned.h, include/asm-m68k/Attic/xor.h, include/asm-m68k/errno.h, include/asm-i386/Attic/ide.h, include/asm-i386/Attic/unaligned.h, include/asm-i386/Attic/xor.h, include/asm-i386/errno.h, include/asm-ia64/Attic/ide.h, include/asm-ia64/Attic/unaligned.h, include/asm-ia64/Attic/xor.h, include/asm-ia64/errno.h, include/asm-generic/Attic/unaligned.h, include/asm-generic/Attic/vmlinux.lds.h, include/asm-generic/Attic/xor.h, include/asm-h8300/Attic/ide.h, include/asm-h8300/Attic/unaligned.h, include/asm-h8300/errno.h, include/asm-arm26/Attic/ide.h, include/asm-arm26/Attic/unaligned.h, include/asm-arm26/Attic/xor.h, include/asm-arm26/errno.h, include/asm-cris/Attic/unaligned.h, include/asm-cris/errno.h, include/asm-generic/Attic/errno-base.h, include/asm-generic/Attic/errno.h, include/asm-generic/Attic/ide_iops.h, include/asm-arm/arch-tbox/Attic/ide.h, include/asm-arm/arch-sa1100/Attic/ide.h, include/asm-arm/arch-shark/Attic/ide.h, include/asm-arm/arch-rpc/Attic/ide.h, include/asm-arm/arch-nexuspci/Attic/ide.h, include/asm-arm/arch-pxa/Attic/ide.h, include/asm-arm/arch-iop3xx/Attic/ide.h, include/asm-arm/arch-l7200/Attic/ide.h, include/asm-arm/arch-cl7500/Attic/ide.h, include/asm-arm/arch-ebsa110/Attic/ide.h, include/asm-arm/arch-ebsa285/Attic/ide.h, include/asm-alpha/Attic/ide.h, include/asm-alpha/Attic/unaligned.h, include/asm-alpha/Attic/xor.h, include/asm-alpha/errno.h, include/asm-arm/Attic/ide.h, include/asm-arm/Attic/unaligned.h, include/asm-arm/Attic/xor.h, include/asm-arm/arch-anakin/Attic/ide.h, include/asm-arm/errno.h, Attic/fedora.txt, NOTES:
	- moved content of asm-generic/errno* to linux/errno.h and fixed all
	  asm-*/errno.h to do it the new way (on ~5 archs this looks quite ugly but
	  it's still a lot less of a mess than it could've been)
	- removed asm-*/xor.h
	- removed asm-generic/vmlinux.lds.h
	- removed asm-*/unaligned.h - (a) it doesn't have any linux/ counterpart,
	  (b) on some archs it's all inside ifdef KERNEL and (c) only
	  linux/hfs_sysdep.h includes it outside KERNEL which seems broken
	  (hfs_sysdep.h doesn't do KERNEL at all so it's either kernel only, all should
	  get really fixed)
	- removed asm-*/ide.h and asm-generic/ide_iops.h - they were kernel only
	  dunno what to do with linux/ide.h - currently it's broken but not sure
	  if it should be removed or 'fixed'

2003-12-24  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/Attic/dma-mapping.h, include/linux/errno.h, include/asm-v850/Attic/dma-mapping.h, include/asm-x86_64/Attic/dma-mapping.h, include/asm-um/Attic/dma-mapping.h, include/asm-sparc/Attic/dma-mapping.h, include/asm-sparc64/Attic/dma-mapping.h, include/asm-sh/Attic/dma-mapping.h, include/asm-s390/Attic/dma-mapping.h, include/asm-ppc/Attic/dma-mapping.h, include/asm-ppc64/Attic/dma-mapping.h, include/asm-parisc/Attic/dma-mapping.h, include/asm-mips/Attic/dma-mapping.h, include/asm-m68k/Attic/dma-mapping.h, include/asm-m68knommu/Attic/dma-mapping.h, include/asm-ia64/Attic/dma-mapping.h, include/asm-i386/Attic/dma-mapping.h, include/asm-cris/Attic/dma-mapping.h, include/asm-generic/Attic/dma-mapping.h, include/asm-alpha/Attic/dma-mapping.h, include/asm-arm/Attic/dma-mapping.h:
	- removed dma-mapping and KERNEL from linux/errno.h (this is getting a massive
	  change)
	- sorry guys. Filter it or sth. I have no way of disabling this

2003-12-24  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/flat.h, include/linux/ide.h, include/linux/if_hippi.h, include/linux/if_pppox.h, include/linux/igmp.h, include/linux/ip.h, include/linux/ipv6.h, include/linux/tcp.h:
	- killed some __KERNEL__ stuff, use only userspace endianess defs

	* include/linux/Attic/upd4990a.h, include/linux/Attic/atapi.h:
	- kernel-only

	* include/linux/icmpv6.h:
	- killed __KERNEL__ stuff, use only userspace endianess defs

	* include/linux/cdrom.h: - added endianess guardians

	* include/linux/cdrom.h:
	- killed __KERNEL__ stuff, use only userspace endianess defs

2003-12-23  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/asm-v850/timex.h, include/asm-sparc/timex.h, include/asm-um/timex.h, include/asm-sh/timex.h, include/asm-sparc64/timex.h, include/asm-ppc64/timex.h, include/asm-s390/timex.h:
	- userspace cleanups

	* include/asm-mips/timex.h, include/asm-parisc/timex.h, include/asm-ia64/timex.h, include/asm-m68k/timex.h, include/asm-h8300/generic/machine-depend.h, include/asm-cris/arch-v10/timex.h, include/asm-h8300/aki3068net/machine-depend.h, include/asm-h8300/timex.h, include/asm-arm26/timex.h, include/asm-cris/timex.h:
	- userspace fixes

	* include/asm-um/byteorder.h: - just include arch byteorder.h

	* include/asm-arm/arch-iop3xx/timex.h, include/asm-arm/timex.h:
	- killed kernel-only stuff (no idea about iop3xx)

	* include/asm-alpha/timex.h: - for userspace defines only

	* include/asm-ppc/timex.h:
	- allow some defines in userspace (used in <linux/timex.h>)

	* include/asm-x86_64/timex.h: - userspace version

2003-12-23  Mariusz Mazur  <mmazur@pld-linux.org>

	* NOTES: - so that I don't forget

2003-12-23  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/asm-i386/timex.h: - userspace version

	* include/linux/timex.h:
	- userspace version (not sure if defining HZ as a function was a good idea...)

	* include/linux/sysctl.h: - killed kernel stuff

	* include/linux/sem.h: - userspace version

	* include/linux/net.h: - userspace version (only defines and enum)

2003-12-23  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/asm-x86_64/Attic/div64.h, include/asm-v850/Attic/div64.h, include/asm-um/Attic/div64.h, include/asm-sparc/Attic/div64.h, include/asm-sparc64/Attic/div64.h, include/asm-s390/Attic/div64.h, include/asm-sh/Attic/div64.h, include/asm-ppc64/Attic/div64.h, include/asm-parisc/Attic/div64.h, include/asm-ppc/Attic/div64.h, include/asm-mips/Attic/div64.h, include/asm-m68k/Attic/div64.h, include/asm-m68knommu/Attic/div64.h, include/asm-ia64/Attic/div64.h, include/asm-h8300/Attic/div64.h, include/asm-i386/Attic/div64.h, include/asm-cris/Attic/div64.h, include/asm-generic/Attic/div64.h, include/asm-arm/Attic/div64.h, include/asm-arm26/Attic/div64.h, include/asm-alpha/Attic/div64.h:
	- kernel only

	* include/asm-generic/Attic/bitops.h:
	- Every arch has it's own bitops.h and this file isn't included by anything

	* include/linux/Attic/cpumask.h, include/asm-generic/Attic/cpumask_arith.h, include/asm-generic/Attic/cpumask_array.h, include/asm-generic/Attic/cpumask_const_reference.h, include/asm-generic/Attic/cpumask_const_value.h, include/asm-generic/Attic/cpumask_up.h:
	- kernel only headers... I'm cleaning up asm-generic, so this got removed

	* include/asm-x86_64/Attic/smp.h, include/linux/Attic/smp.h, include/asm-sparc64/Attic/smp.h, include/asm-um/Attic/smp.h, include/asm-sh/Attic/smp.h, include/asm-sparc/Attic/smp.h, include/asm-s390/Attic/smp.h, include/asm-ppc/Attic/smp.h, include/asm-ppc64/Attic/smp.h, include/asm-mips/Attic/smp.h, include/asm-parisc/Attic/smp.h, include/asm-m68knommu/Attic/smp.h, include/asm-h8300/Attic/smp.h, include/asm-i386/Attic/smp.h, include/asm-ia64/Attic/smp.h, include/asm-arm/Attic/smp.h, include/asm-arm26/Attic/smp.h, include/asm-cris/Attic/smp.h, include/asm-alpha/Attic/smp.h:
	- kernel only headers

	* Makefile: - blah

	* Attic/fedora.txt, VERSION:
	- Ok. Releasing 2.6.0.1. glibc should build correctly now on all archs

	* include/linux/fs.h:
	- removed all includes except ioctl.h (it's needed for _IO* macros)
	- don't know what about all the IS_* macros since they are used for checking
	  various things inside an inode structure and I've removed the inode
	  structure with my previous commit since it was inside __KERNEL_ block

	* include/linux/fs.h:
	- first part of cleaning. This will be some work since allmost every include
	  is broken

	* include/asm-sparc/page.h: - PAGE_SHIT is now 12 always

2003-12-23  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/compiler.h:
	- defining empty __attribute_used__ and co. is pure evil and seems to break glibc build

2003-12-23  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/sound/ainstr_fm.h, include/sound/ainstr_iw.h, include/sound/ainstr_simple.h, include/sound/asequencer.h, include/sound/asound.h:
	- removed all __KERNEL__ conditions. Sound headers are now finished :)

2003-12-22  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/sound/core.h, include/sound/driver.h:
	- Driver compilation detector. Including any of these files will result
	  in an error

	* include/sound/Attic/minors.h, include/sound/Attic/mixer_oss.h, include/sound/Attic/mpu401.h, include/sound/Attic/opl3.h, include/sound/Attic/opl4.h, include/sound/Attic/pcm.h, include/sound/Attic/pcm_oss.h, include/sound/Attic/pcm_params.h, include/sound/Attic/rawmidi.h, include/sound/Attic/sb.h, include/sound/Attic/sb16_csp.h, include/sound/Attic/seq_device.h, include/sound/Attic/seq_instr.h, include/sound/Attic/seq_kernel.h, include/sound/Attic/seq_midi_emul.h, include/sound/Attic/seq_midi_event.h, include/sound/Attic/seq_oss.h, include/sound/Attic/seq_oss_legacy.h, include/sound/Attic/seq_virmidi.h, include/sound/Attic/sfnt_info.h, include/sound/Attic/snd_wavefront.h, include/sound/Attic/sndmagic.h, include/sound/Attic/soundfont.h, include/sound/Attic/soundmem.h, include/sound/Attic/sscape_ioctl.h, include/sound/Attic/tea6330t.h, include/sound/Attic/timer.h, include/sound/Attic/trident.h, include/sound/Attic/uda1341.h, include/sound/Attic/util_mem.h, include/sound/Attic/vx_core.h, include/sound/Attic/wavefront.h, include/sound/Attic/wavefront_fx.h, include/sound/Attic/ymfpci.h, include/sound/Attic/yss225.h, include/sound/Attic/ac97_codec.h, include/sound/Attic/ad1816a.h, include/sound/Attic/ad1848.h, include/sound/Attic/ainstr_gf1.h, include/sound/Attic/ak4531_codec.h, include/sound/Attic/ak4xxx-adda.h, include/sound/Attic/asound_fm.h, include/sound/Attic/control.h, include/sound/Attic/cs4231.h, include/sound/Attic/cs46xx.h, include/sound/Attic/cs46xx_dsp_scb_types.h, include/sound/Attic/cs46xx_dsp_spos.h, include/sound/Attic/cs46xx_dsp_task_types.h, include/sound/Attic/cs8403.h, include/sound/Attic/cs8427.h, include/sound/Attic/emu10k1.h, include/sound/Attic/emu10k1_synth.h, include/sound/Attic/emu8000.h, include/sound/Attic/emu8000_reg.h, include/sound/Attic/emux_legacy.h, include/sound/Attic/emux_synth.h, include/sound/Attic/es1688.h, include/sound/Attic/gus.h, include/sound/Attic/hdsp.h, include/sound/Attic/hwdep.h, include/sound/Attic/i2c.h, include/sound/Attic/info.h, include/sound/Attic/initval.h, include/sound/Attic/memalloc.h:
	- kernel only headers

	* Makefile: - fixed make install.. releasing 2.6.0.0

	* include/linux/Attic/blkdev.h, include/linux/Attic/etherdevice.h, include/linux/compiler.h, include/linux/ide.h, include/linux/in.h, include/linux/init.h, include/linux/ioport.h, include/linux/ip.h, include/linux/ipv6.h, include/linux/kernel.h, include/linux/llc.h, include/linux/netdevice.h, include/linux/pci_ids.h, include/linux/preempt.h, include/linux/rtnetlink.h, include/linux/serial.h, include/linux/signal.h, include/linux/socket.h, include/linux/sysctl.h, include/linux/times.h, include/linux/timex.h, include/linux/toshiba.h, include/linux/udp.h, include/asm-x86_64/Attic/pci.h, include/asm-x86_64/Attic/smp.h, include/asm-x86_64/Attic/topology.h, include/asm-x86_64/checksum.h, include/asm-x86_64/desc.h, include/asm-x86_64/hw_irq.h, include/asm-x86_64/irq.h, include/asm-x86_64/processor.h, include/asm-sparc64/Attic/pgtable.h, include/asm-sparc64/ebus.h, include/asm-sparc64/floppy.h, include/asm-sparc64/hardirq.h, include/asm-sparc64/ioctl.h, include/asm-sparc64/namei.h, include/asm-sparc64/page.h, include/asm-sparc64/spinlock.h, include/asm-sparc64/unistd.h, include/asm-sparc/atomic.h, include/asm-sparc/bitext.h, include/asm-sparc/bitops.h, include/asm-sparc/checksum.h, include/asm-sparc/io.h, include/asm-sparc/ioctl.h, include/asm-sparc/irq.h, include/asm-sparc/namei.h, include/asm-sparc/pcic.h, include/asm-sparc/pgtsun4.h, include/asm-sparc/pgtsun4c.h, include/asm-sparc/processor.h, include/asm-sparc/ross.h, include/asm-sparc/swift.h, include/asm-sparc/system.h, include/asm-sparc/tsunami.h, include/asm-sparc/turbosparc.h, include/asm-sparc/unistd.h, include/asm-sparc/vac-ops.h, include/asm-sparc/viking.h, include/asm-ppc64/Attic/pgtable.h, include/asm-ppc64/Attic/thread_info.h, include/asm-ppc64/Attic/uaccess.h, include/asm-ppc64/processor.h, include/asm-ppc64/siginfo.h, include/asm-ppc64/Attic/pci.h, include/asm-ppc64/cputable.h, include/asm-ppc64/hardirq.h, include/asm-ppc64/io.h, include/asm-ppc64/memory.h, include/asm-ppc64/pgalloc.h, include/asm-ia64/sn/nodepda.h, include/asm-ia64/Attic/delay.h, include/asm-ia64/Attic/ia32.h, include/asm-ia64/Attic/machvec_sn2.h, include/asm-ia64/Attic/pgtable.h, include/asm-ia64/asmmacro.h, include/asm-ia64/io.h, include/asm-ia64/mca.h, include/asm-ia64/mca_asm.h, include/asm-ia64/module.h, include/asm-ia64/namei.h, include/asm-ia64/numnodes.h, include/asm-ia64/pal.h, include/asm-ia64/perfmon.h, include/asm-ia64/perfmon_default_smpl.h, include/asm-ia64/posix_types.h, include/asm-ia64/processor.h, include/asm-ia64/serial.h, include/asm-ia64/unwind.h, include/asm-i386/mach-voyager/irq_vectors.h, include/asm-i386/mach-visws/irq_vectors.h, include/asm-i386/mach-pc9800/irq_vectors.h, include/asm-i386/mach-default/irq_vectors.h, include/asm-i386/mach-numaq/mach_mpparse.h, include/asm-i386/Attic/pci.h, include/asm-i386/bitops.h, include/asm-i386/checksum.h, include/asm-i386/hw_irq.h, include/asm-i386/processor.h:
	- up to 2.6.0... Most of these changes are probably unneeded, but that can
	  be checked later (and will make upgrading to eg 2.6.1 a lot easier)

	* include/linux/ata.h, include/linux/libata.h:
	- added ata and libata (are in 2.6.0). Dunno if this should be in userspace
	  but that can be checked later

	* include/asm-h8300/Attic/smplock.h:
	- delete smplock.h (changeset 1.1350.1.8)
	- I like linus.bkbits.net :)

	* include/asm-h8300/semaphore.h:
	- update to 2.6.0 (probably a kernel only header but let's say I don't care
	  for now)

	* include/asm-arm/arch-shark/hardware.h:
	- update to 2.6.0 (probably a kernel only header but let's say I don't car
	  for now)

2003-12-22  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/input.h:
	- restored some 2.4.x contants for compatibility

2003-12-22  Mariusz Mazur  <mmazur@pld-linux.org>

	* Attic/fedora.txt: - updated

	* include/linux/bootmem.h, include/linux/elevator.h, include/linux/pagemap.h, include/linux/spinlock.h, include/linux/vmalloc.h:
	- 99,(9)% sure these are not userland files. If i'm mistaken something will
	  simply stop compiling... no harm done

	* include/linux/Attic/ac97_codec.h:
	- if this ain't a driver specific header, then call me santa (removed in
	  fedora)

2003-12-21  Mariusz Mazur  <mmazur@pld-linux.org>

	* Makefile, VERSION: - Makefile is mainly for my use to make tarballs
	- Am going to check our base headers (that 999 tarball from debian) against
	  a vanilla 2.6.0 and see if there were any changes... if not I think we are
	  ready to release 2.6.0.0 (first three digits for kernel version and fourth
	  one in case we need to make some corrections)

2003-12-21  Jacek Konieczny  <jajcus@pld-linux.org>

	* include/linux/if_arp.h: - do not include <linux/netdevice.h>

2003-12-21  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/linux/mm.h:
	- if we only include err_kernel_only we don't need that ifdef common for
	  all headers (yes, I'm pedantic, but it also makes writing any automatons
	  easier :)

2003-12-21  Jacek Konieczny  <jajcus@pld-linux.org>

	* include/linux/if_tunnel.h:
	- include <asm/types.h> with needed declarations

2003-12-21  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/sysctl.h:
	- this is intended for use with 2.4.x too, so restored some 2.4 things...
	  (yes, some numbers have double meaning, depending on kernel - but names are unique)

2003-12-21  Jacek Konieczny  <jajcus@pld-linux.org>

	* include/linux/mm.h, include/linux/mman.h, include/linux/sched.h:
	- some fixes for strace

2003-12-20  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/ext3_jbd.h:
	- externs removed, for userspace define only constants

	* include/linux/Attic/ext3_fs_i.h, include/linux/Attic/ext3_fs_sb.h:
	- internal kernel header

	* include/linux/ext3_fs.h:
	- don't include internal ext3_fs_sb.h and ext3_fs_i.h
	- changed __KERNEL__-only cpu_to_le32 to __cpu_to_le32
	- fixed struct dx_hash_info for userspace

	* include/linux/ext2_fs.h: - don't include internal ext2_fs_sb.h
	- changed __KERNEL__-only cpu_to_le32 to __cpu_to_le32

	* include/linux/Attic/ext2_fs_sb.h: - internal kernel header

2003-12-20  Jacek Konieczny  <jajcus@pld-linux.org>

	* include/asm-i386/mtrr.h, include/asm-x86_64/mtrr.h:
	- #include <linux/config> and kernel-only code removed

2003-12-20  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/asm-sparc/byteorder.h, include/asm-v850/byteorder.h, include/asm-x86_64/byteorder.h, include/asm-sh/byteorder.h, include/asm-sparc64/byteorder.h, include/asm-ppc/byteorder.h, include/asm-s390/byteorder.h, include/asm-mips/byteorder.h, include/asm-parisc/byteorder.h, include/asm-ppc64/byteorder.h, include/asm-m68k/byteorder.h, include/asm-m68knommu/byteorder.h, include/asm-h8300/byteorder.h, include/asm-i386/byteorder.h, include/asm-ia64/byteorder.h, include/asm-arm/byteorder.h, include/asm-arm26/byteorder.h, include/asm-cris/byteorder.h, include/asm-alpha/byteorder.h:
	- some things still need __cpu_to_[bl]eXX macros - provide them using glibc byteswap.h

	* include/asm-generic/Attic/byteorder.h:
	- it wasn't there and shouldn't be

	* include/linux/byteorder/swab.h:
	- cut-down userspace version (just use glibc macros); tested on alsa-lib

	* include/sound/ainstr_fm.h, include/sound/ainstr_iw.h, include/sound/ainstr_simple.h:
	- ugh, reverted for now (it uses __cpu_to_be32); still waits for fix

	* include/sound/ainstr_iw.h, include/sound/ainstr_simple.h, include/sound/ainstr_fm.h:
	- don't include unneeded evil kernel-only header in userspace

2003-12-19  Mariusz Mazur  <mmazur@pld-linux.org>

	* include/sound/Attic/hdsp.h, include/sound/Attic/hwdep.h, include/sound/Attic/i2c.h, include/sound/Attic/info.h, include/sound/Attic/initval.h, include/sound/Attic/memalloc.h, include/sound/Attic/minors.h, include/sound/Attic/mixer_oss.h, include/sound/Attic/mpu401.h, include/sound/Attic/opl3.h, include/sound/Attic/opl4.h, include/sound/Attic/pcm.h, include/sound/Attic/pcm_oss.h, include/sound/Attic/pcm_params.h, include/sound/Attic/rawmidi.h, include/sound/Attic/sb.h, include/sound/Attic/sb16_csp.h, include/sound/Attic/seq_device.h, include/sound/Attic/seq_instr.h, include/sound/Attic/seq_kernel.h, include/sound/Attic/seq_midi_emul.h, include/sound/Attic/seq_midi_event.h, include/sound/Attic/seq_oss.h, include/sound/Attic/seq_oss_legacy.h, include/sound/Attic/seq_virmidi.h, include/sound/Attic/sfnt_info.h, include/sound/Attic/snd_wavefront.h, include/sound/Attic/sndmagic.h, include/sound/Attic/soundfont.h, include/sound/Attic/soundmem.h, include/sound/Attic/sscape_ioctl.h, include/sound/Attic/tea6330t.h, include/sound/Attic/timer.h, include/sound/Attic/trident.h, include/sound/Attic/uda1341.h, include/sound/Attic/util_mem.h, include/sound/Attic/vx_core.h, include/sound/Attic/wavefront.h, include/sound/Attic/wavefront_fx.h, include/sound/Attic/ymfpci.h, include/sound/Attic/yss225.h, include/sound/version.h, include/sound/Attic/ac97_codec.h, include/sound/Attic/ad1816a.h, include/sound/Attic/ad1848.h, include/sound/Attic/ainstr_gf1.h, include/sound/Attic/ak4531_codec.h, include/sound/Attic/ak4xxx-adda.h, include/sound/Attic/asound_fm.h, include/sound/Attic/control.h, include/sound/Attic/cs4231.h, include/sound/Attic/cs46xx.h, include/sound/Attic/cs46xx_dsp_scb_types.h, include/sound/Attic/cs46xx_dsp_spos.h, include/sound/Attic/cs46xx_dsp_task_types.h, include/sound/Attic/cs8403.h, include/sound/Attic/cs8427.h, include/sound/Attic/emu10k1.h, include/sound/Attic/emu10k1_synth.h, include/sound/Attic/emu8000.h, include/sound/Attic/emu8000_reg.h, include/sound/Attic/emux_legacy.h, include/sound/Attic/emux_synth.h, include/sound/Attic/es1688.h, include/sound/Attic/gus.h, include/sound/ainstr_fm.h, include/sound/ainstr_iw.h, include/sound/ainstr_simple.h, include/sound/asequencer.h, include/sound/asound.h, include/sound/asoundef.h, include/sound/core.h, include/sound/driver.h:
	- alsa from 2.6.0

	* include/linux/Attic/upd4990a.h, include/linux/autoconf.h, include/linux/cdrom.h, include/linux/config.h, include/linux/icmpv6.h, include/linux/ide.h, include/linux/if_hippi.h, include/linux/if_pppox.h, include/linux/igmp.h, include/linux/in.h, include/linux/ip.h, include/linux/ipv6.h, include/linux/mtd/cfi_endian.h, include/linux/tcp.h, include/linux/Attic/atapi.h, include/linux/aio_abi.h:
	- Endian fixes for userspace includes (removed asm/byteorder.h)

	* include/asm-x86_64/byteorder.h, include/asm-v850/byteorder.h, include/asm-um/byteorder.h, include/asm-sparc64/byteorder.h, include/asm-sparc/byteorder.h, include/asm-sh/byteorder.h, include/asm-s390/byteorder.h, include/asm-ppc64/byteorder.h, include/asm-ppc/byteorder.h, include/asm-parisc/byteorder.h, include/asm-mips/byteorder.h, include/asm-m68knommu/byteorder.h, include/asm-m68k/byteorder.h, include/asm-ia64/byteorder.h, include/asm-h8300/byteorder.h, include/asm-i386/byteorder.h, include/asm-generic/Attic/byteorder.h, include/asm-cris/byteorder.h, include/asm-arm26/byteorder.h, include/asm-arm/byteorder.h, include/asm-alpha/byteorder.h:
	- trying to include any of these files will result in compilation error

	* include/asm-x86_64/page.h:
	- removed include config.h. It was in the wrong place (outside __KERNEL__)

	* include/linux/err_kernel_only.h: - them="error messages"
	- one file to bring $them all and in the headers bind them

	* Attic/fedora.txt: - finished... blaaaaaaah

	* include/linux/if_hippi.h: - fixed userland endians

	* include/linux/Attic/umsdos_fs.p: - kernel only

	* include/linux/sysrq.h:
	- looks like part of the api should get exported

	* include/linux/socket.h: - removed one special ifdef __KERNEL__

	* include/linux/skbuff.h: - removed atomic.h

	* include/linux/netdevice.h: - userland endian fixes

	* include/linux/msdos_fs.h: - removed byteorder.h

	* include/linux/jffs.h: - moved two vars to kernel side (fedora)

	* include/linux/ipv6.h:
	- endian fix + one include... wonder if this should be in userspace at all

	* include/linux/ip.h: - userland endian includes

	* include/linux/interrupt.h: - removed asm/atomic.h

	* include/linux/if_pppox.h, include/linux/icmpv6.h, include/linux/Attic/hfs_sysdep.h:
	- userland endian includes

	* include/linux/gameport.h:
	- changed definitions for gameport_*_port (fedora)

	* include/linux/fs.h: - removed asm/atomic.h
	- did not add BLKGETLASTSECT and BLKSETLASTSECT since I don't know what
	  they're for

	* include/linux/eeprom.h: - removed #include <asm/io.h> (fedora)

	* include/linux/Attic/delay.h: - added include linux/sched.h (fedora)

	* include/linux/cdrom.h: - fixed includes

2003-12-17  Jakub Bogusz  <qboosh@pld-linux.org>

	* include/linux/i2c-dev.h:
	- userspace version (raw version taken from lm_sensors 2.8.2 sources)

2003-12-16  Mariusz Mazur  <mmazur@pld-linux.org>

	* Attic/fedora.txt:
	- yaaaaaaaaaaaaaaaaaawn. Am at 6% of the linux diff. Next is cdrom.h :)
	  Will probably finish tomorrow, make a tarball and send to builders. Than
	  check if glibc & kdemultimedia builds with it.

	* include/linux/amigaffs.h:
	- kill #include <asm/byteorder.h>; add endian.h and byteswap.h
	- wonder what it'll break :)

	* Attic/fedora.txt:
	- interesting. There were no fixes for ppc. Only removal of kernel specific
	  things

	* Attic/fedora.txt:
	- added comments for i386... cleaning this up will be thaaaaaaaaaaaaat much work
	- now "only" 429kb of ppc patch, and 1,1M of linux patch left. fuck

	* include/asm-i386/Attic/tlb.h: - removed #include <asm-generic/tlb.h>
	- I wonder if it'll brake something

	* include/asm-i386/timex.h: - removed #include <asm/msr.h>

	* include/asm-i386/param.h:
	- changed HZ definition from static 100 to sysconf(_SC_CLK_TCK)
	- rh did this and looks like it should look like it
	  (see http://archives.linuxfromscratch.org/mail-archives/lfs-hackers/2003-October/000085.html)

	* include/asm-sparc/fcntl.h, include/asm-sparc64/fcntl.h, include/asm-alpha/fcntl.h, include/asm-i386/fcntl.h, include/asm-ppc/fcntl.h:
	- added O_ATOMICLOOKUP

	* others/fedora-patches.tar.bz2:
	- Diffs between vanilla 2.4.13 headers and what redhat has done with them.
	  For future reference (eg. I'm not planning to look through a 1.3meg ia64
	  patch)

	* Attic/fedora.txt:
	- asm-alpha finished. Here you can find a description of things I've droped
	  and why. Plus some suggestions about which files look like kernel only

	* include/asm-alpha/compiler.h:
	- Somewhere in the middle of the GCC 2.96 development cycle, we implemented
	  a mechanism by which the user can annotate likely branch directions and
	  expect the blocks to be reordered appropriately.  Define __builtin_expect
	  to nothing for earlier compilers.

	* include/asm-alpha/Attic/pgtable.h, include/asm-alpha/cache.h, include/asm-alpha/system.h:
	- changed CONFIG_ALPHA_EV6 to CONFIG_ALPHA_EV6 || CONFIG_ALPHA_EV67 (fedora)

	* include/linux/autoconf.h:
	- added autoconf.h with an error message (this isn't for userspace :)

	* include/asm-v850/byteorder.h, include/asm-x86_64/byteorder.h, include/asm-sparc64/byteorder.h, include/asm-um/byteorder.h, include/asm-sh/byteorder.h, include/asm-sparc/byteorder.h, include/asm-ppc/byteorder.h, include/asm-ppc64/byteorder.h, include/asm-s390/byteorder.h, include/asm-parisc/byteorder.h, include/asm-mips/byteorder.h, include/asm-m68k/byteorder.h, include/asm-m68knommu/byteorder.h, include/asm-i386/byteorder.h, include/asm-ia64/byteorder.h, include/asm-cris/arch-v10/Attic/byteorder.h, include/asm-cris/byteorder.h, include/asm-h8300/byteorder.h, include/asm-alpha/byteorder.h, include/asm-arm/byteorder.h, include/asm-arm26/byteorder.h:
	- byteorder.h isn't for userland

2003-12-15  Mariusz Mazur  <mmazur@pld-linux.org>

	* others/asm-ia64-offsets.h, others/asm-parisc-offsets.h:
	- dunno what this thing is, but it was in debian and who knows, maybe will
	  come in handy some day

	* include/linux/compiler.h:
	- Don't define assorted things for userspace.  In particular do not define
	  inline to __attribute__((always_inline)).

	* include/asm-mips/msgbuf.h: - from debian

	* include/linux/unistd.h:
	- "extern int errno" is spawn of devil.  In userspace, get the real errno
	  function from glibc.

	* include/linux/types.h:
	- Fixes glibc NPTL build on S/390.  I seem to recall SH being affected by this
	  too.

	* include/linux/Attic/radix-tree.h:
	- Included by a lot of other <linux/> headers.  Shouldn't be needed outside of
	  __KERNEL__.

	* include/linux/fb.h, include/linux/videodev.h:
	- Fix application compilation fix.

	* include/asm-ia64/elf.h:
	- Stop warnings about redefined symbols in glibc on ia64.
	  From Ian Wienand <ianw@gelato.unsw.edu.au>.

	* include/asm-ia64/unistd.h:
	- If these constants aren't defined, then the syscalls won't be built into
	  glibc, which will cause modutils to stop working.

	* include/asm-i386/byteorder.h:
	- <asm/types.h> doesn't define __u64 in __STRICT_ANSI__ (-ansi) mode.  In
	  order to use <linux/cdrom.h> in this mode we need to fix this file not to
	  assume __u64.

	* include/asm-arm/unistd.h: - from debian

	* include/asm-alpha/param.h:
	- Including <linux/config.h> (via <sys/param.h> and <asm/param.h>) breaks the
	  build of busybox; it pollutes the namespace by undefining CONFIG_TR.
	  All architectures except Alpha appear fixed now.

	* include/asm-arm/unistd.h.old: - was in debian's patch. Just in case

	* include/linux/version.h: - added version.h :)

	* include/asm-sparc64/agp.h, include/asm-sparc64/bpp.h, include/asm-sparc64/compat.h, include/asm-sparc64/hw_irq.h, include/asm-sparc64/init.h, include/asm-sparc64/ipc.h, include/asm-sparc64/kbio.h, include/asm-sparc64/kdebug.h, include/asm-sparc64/linkage.h, include/asm-sparc64/mmu.h, include/asm-sparc64/module.h, include/asm-sparc64/msgbuf.h, include/asm-sparc64/openpromio.h, include/asm-sparc64/poll.h, include/asm-sparc64/posix_types.h, include/asm-sparc64/segment.h, include/asm-sparc64/sembuf.h, include/asm-sparc64/sfp-machine.h, include/asm-sparc64/shmbuf.h, include/asm-sparc64/sockios.h, include/asm-sparc64/svr4.h, include/asm-sparc64/vga.h, include/asm-sparc64/vuid_event.h:
	Initial from debian

	* include/asm-generic/Attic/bitops.h, include/asm-generic/Attic/cpumask_arith.h, include/asm-generic/Attic/cpumask_array.h, include/asm-generic/Attic/cpumask_const_reference.h, include/asm-generic/Attic/cpumask_const_value.h, include/asm-generic/Attic/cpumask_up.h, include/asm-generic/Attic/div64.h, include/asm-generic/Attic/dma-mapping.h, include/asm-generic/Attic/errno-base.h, include/asm-generic/Attic/errno.h, include/asm-generic/Attic/ide_iops.h, include/asm-generic/Attic/local.h, include/asm-generic/Attic/pci-dma-compat.h, include/asm-generic/Attic/pci.h, include/asm-generic/Attic/percpu.h, include/asm-generic/Attic/pgtable.h, include/asm-generic/Attic/rmap.h, include/asm-generic/Attic/rtc.h, include/asm-generic/Attic/sections.h, include/asm-generic/Attic/siginfo.h, include/asm-generic/Attic/statfs.h, include/asm-generic/Attic/tlb.h, include/asm-generic/Attic/topology.h, include/asm-generic/Attic/unaligned.h, include/asm-generic/Attic/vmlinux.lds.h, include/asm-generic/Attic/xor.h, include/asm-sparc64/Attic/bugs.h, include/asm-sparc64/Attic/current.h, include/asm-sparc64/Attic/div64.h, include/asm-sparc64/Attic/dma-mapping.h, include/asm-sparc64/Attic/ide.h, include/asm-sparc64/Attic/kmap_types.h, include/asm-sparc64/Attic/local.h, include/asm-sparc64/Attic/pci.h, include/asm-sparc64/Attic/percpu.h, include/asm-sparc64/Attic/pgtable.h, include/asm-sparc64/Attic/resource.h, include/asm-sparc64/Attic/rmap.h, include/asm-sparc64/Attic/rtc.h, include/asm-sparc64/Attic/rwsem.h, include/asm-sparc64/Attic/scatterlist.h, include/asm-sparc64/Attic/sections.h, include/asm-sparc64/Attic/signal.h, include/asm-sparc64/Attic/smp.h, include/asm-sparc64/Attic/statfs.h, include/asm-sparc64/Attic/string.h, include/asm-sparc64/Attic/thread_info.h, include/asm-sparc64/Attic/tlb.h, include/asm-sparc64/Attic/topology.h, include/asm-sparc64/Attic/uaccess.h, include/asm-sparc64/Attic/unaligned.h, include/asm-sparc64/Attic/xor.h, include/asm-sparc64/a.out.h, include/asm-sparc64/apb.h, include/asm-sparc64/asi.h, include/asm-sparc64/audioio.h, include/asm-sparc64/auxio.h, include/asm-sparc64/bbc.h, include/asm-sparc64/bitops.h, include/asm-sparc64/bsderrno.h, include/asm-sparc64/bug.h, include/asm-sparc64/byteorder.h, include/asm-sparc64/cache.h, include/asm-sparc64/cacheflush.h, include/asm-sparc64/chafsr.h, include/asm-sparc64/checksum.h, include/asm-sparc64/chmctrl.h, include/asm-sparc64/cpudata.h, include/asm-sparc64/dcr.h, include/asm-sparc64/dcu.h, include/asm-sparc64/display7seg.h, include/asm-sparc64/dma.h, include/asm-sparc64/ebus.h, include/asm-sparc64/elf.h, include/asm-sparc64/envctrl.h, include/asm-sparc64/errno.h, include/asm-sparc64/estate.h, include/asm-sparc64/fbio.h, include/asm-sparc64/fcntl.h, include/asm-sparc64/fhc.h, include/asm-sparc64/floppy.h, include/asm-sparc64/hardirq.h, include/asm-sparc64/hdreg.h, include/asm-sparc64/head.h, include/asm-sparc64/idprom.h, include/asm-sparc64/ioctl.h, include/asm-sparc64/ioctls.h, include/asm-sparc64/iommu.h, include/asm-sparc64/irq.h, include/asm-sparc64/isa.h, include/asm-sparc64/lsu.h, include/asm-sparc64/mman.h, include/asm-sparc64/mmu_context.h, include/asm-sparc64/mostek.h, include/asm-sparc64/namei.h, include/asm-sparc64/ns87303.h, include/asm-sparc64/openprom.h, include/asm-sparc64/oplib.h, include/asm-sparc64/page.h, include/asm-sparc64/param.h, include/asm-sparc64/pbm.h, include/asm-sparc64/pconf.h, include/asm-sparc64/perfctr.h, include/asm-sparc64/pgalloc.h, include/asm-sparc64/pil.h, include/asm-sparc64/processor.h, include/asm-sparc64/psrcompat.h, include/asm-sparc64/ptrace.h, include/asm-sparc64/reg.h, include/asm-sparc64/sbus.h, include/asm-sparc64/semaphore.h, include/asm-sparc64/shmparam.h, include/asm-sparc64/sigcontext.h, include/asm-sparc64/siginfo.h, include/asm-sparc64/socket.h, include/asm-sparc64/solerrno.h, include/asm-sparc64/spinlock.h, include/asm-sparc64/spitfire.h, include/asm-sparc64/starfire.h, include/asm-sparc64/stat.h, include/asm-sparc64/system.h, include/asm-sparc64/termbits.h, include/asm-sparc64/termios.h, include/asm-sparc64/timer.h, include/asm-sparc64/timex.h, include/asm-sparc64/tlbflush.h, include/asm-sparc64/ttable.h, include/asm-sparc64/types.h, include/asm-sparc64/uctx.h, include/asm-sparc64/unistd.h, include/asm-sparc64/upa.h, include/asm-sparc64/user.h, include/asm-sparc64/utrap.h, include/asm-sparc64/visasm.h, include/asm-sparc64/watchdog.h:
	New file.

	* include/asm-arm/arch-clps711x/autcpu12.h, include/asm-arm/arch-clps711x/dma.h, include/asm-arm/arch-clps711x/io.h, include/asm-arm/arch-clps711x/irqs.h, include/asm-arm/arch-clps711x/keyboard.h, include/asm-arm/arch-clps711x/param.h, include/asm-arm/arch-clps711x/syspld.h, include/asm-arm/arch-clps711x/system.h, include/asm-arm/arch-clps711x/timex.h, include/asm-arm/arch-clps711x/vmalloc.h, include/asm-arm/arch-ebsa110/dma.h, include/asm-arm/arch-ebsa110/hardware.h, include/asm-arm/arch-ebsa110/irqs.h, include/asm-arm/arch-ebsa110/memory.h, include/asm-arm/arch-ebsa110/param.h, include/asm-arm/arch-ebsa110/serial.h, include/asm-arm/arch-ebsa110/system.h, include/asm-arm/arch-ebsa110/timex.h, include/asm-arm/arch-ebsa110/uncompress.h, include/asm-arm/arch-ebsa110/vmalloc.h, include/asm-arm/arch-ebsa285/dma.h, include/asm-arm/arch-ebsa285/irqs.h, include/asm-arm/arch-ebsa285/param.h, include/asm-arm/arch-ebsa285/serial.h, include/asm-arm/arch-ebsa285/system.h, include/asm-arm/arch-ebsa285/timex.h, include/asm-arm/arch-ebsa285/uncompress.h, include/asm-arm/arch-epxa10db/dma.h, include/asm-arm/arch-epxa10db/ether00.h, include/asm-arm/arch-epxa10db/excalibur.h, include/asm-arm/arch-epxa10db/hardware.h, include/asm-arm/arch-epxa10db/int_ctrl00.h, include/asm-arm/arch-epxa10db/io.h, include/asm-arm/arch-epxa10db/irqs.h, include/asm-arm/arch-epxa10db/memory.h, include/asm-arm/arch-epxa10db/mode_ctrl00.h, include/asm-arm/arch-epxa10db/param.h, include/asm-arm/arch-epxa10db/platform.h, include/asm-arm/arch-epxa10db/pld_conf00.h, include/asm-arm/arch-epxa10db/serial.h, include/asm-arm/arch-epxa10db/system.h, include/asm-arm/arch-epxa10db/tdkphy.h, include/asm-arm/arch-epxa10db/timer00.h, include/asm-arm/arch-epxa10db/timex.h, include/asm-arm/arch-epxa10db/uart00.h, include/asm-arm/arch-epxa10db/uncompress.h, include/asm-arm/arch-epxa10db/vmalloc.h, include/asm-arm/arch-integrator/bits.h, include/asm-arm/arch-integrator/dma.h, include/asm-arm/arch-integrator/hardware.h, include/asm-arm/arch-integrator/impd1.h, include/asm-arm/arch-integrator/io.h, include/asm-arm/arch-integrator/lm.h, include/asm-arm/arch-integrator/memory.h, include/asm-arm/arch-integrator/param.h, include/asm-arm/arch-integrator/serial.h, include/asm-arm/arch-integrator/timex.h, include/asm-arm/arch-integrator/uncompress.h, include/asm-arm/arch-integrator/vmalloc.h, include/asm-arm/arch-l7200/aux_reg.h, include/asm-arm/arch-l7200/dma.h, include/asm-arm/arch-l7200/gp_timers.h, include/asm-arm/arch-l7200/gpio.h, include/asm-arm/arch-l7200/hardware.h, include/asm-arm/arch-l7200/io.h, include/asm-arm/arch-l7200/irqs.h, include/asm-arm/arch-l7200/keyboard.h, include/asm-arm/arch-l7200/memory.h, include/asm-arm/arch-l7200/param.h, include/asm-arm/arch-l7200/pmpcon.h, include/asm-arm/arch-l7200/pmu.h, include/asm-arm/arch-l7200/serial.h, include/asm-arm/arch-l7200/serial_l7200.h, include/asm-arm/arch-l7200/sib.h, include/asm-arm/arch-l7200/sys-clock.h, include/asm-arm/arch-l7200/system.h, include/asm-arm/arch-l7200/timex.h, include/asm-arm/arch-l7200/uncompress.h, include/asm-arm/arch-l7200/vmalloc.h, include/asm-arm/arch-nexuspci/dma.h, include/asm-arm/arch-nexuspci/hardware.h, include/asm-arm/arch-nexuspci/irqs.h, include/asm-arm/arch-nexuspci/memory.h, include/asm-arm/arch-nexuspci/param.h, include/asm-arm/arch-nexuspci/system.h, include/asm-arm/arch-nexuspci/timex.h, include/asm-arm/arch-nexuspci/uncompress.h, include/asm-arm/arch-nexuspci/vmalloc.h, include/asm-arm/arch-pxa/bitfield.h, include/asm-arm/arch-pxa/dma.h, include/asm-arm/arch-pxa/hardware.h, include/asm-arm/arch-pxa/io.h, include/asm-arm/arch-pxa/irq.h, include/asm-arm/arch-pxa/keyboard.h, include/asm-arm/arch-pxa/lubbock.h, include/asm-arm/arch-pxa/memory.h, include/asm-arm/arch-pxa/param.h, include/asm-arm/arch-pxa/serial.h, include/asm-arm/arch-pxa/system.h, include/asm-arm/arch-pxa/timex.h, include/asm-arm/arch-pxa/uncompress.h, include/asm-arm/arch-pxa/vmalloc.h, include/asm-arm/arch-rpc/dma.h, include/asm-arm/arch-rpc/hardware.h, include/asm-arm/arch-rpc/io.h, include/asm-arm/arch-rpc/irqs.h, include/asm-arm/arch-rpc/memory.h, include/asm-arm/arch-rpc/param.h, include/asm-arm/arch-rpc/serial.h, include/asm-arm/arch-rpc/system.h, include/asm-arm/arch-rpc/timex.h, include/asm-arm/arch-rpc/uncompress.h, include/asm-arm/arch-rpc/vmalloc.h, include/asm-arm/arch-sa1100/badge4.h, include/asm-arm/arch-sa1100/bitfield.h, include/asm-arm/arch-sa1100/flexanet.h, include/asm-arm/arch-sa1100/freebird.h, include/asm-arm/arch-sa1100/graphicsclient.h, include/asm-arm/arch-sa1100/h3600.h, include/asm-arm/arch-sa1100/huw_webpanel.h, include/asm-arm/arch-sa1100/itsy.h, include/asm-arm/arch-sa1100/lart.h, include/asm-arm/arch-sa1100/mftb2.h, include/asm-arm/arch-sa1100/omnimeter.h, include/asm-arm/arch-sa1100/param.h, include/asm-arm/arch-sa1100/pleb.h, include/asm-arm/arch-sa1100/shannon.h, include/asm-arm/arch-sa1100/simpad.h, include/asm-arm/arch-sa1100/stork.h, include/asm-arm/arch-sa1100/timex.h, include/asm-arm/arch-sa1100/yopy.h, include/asm-arm/arch-shark/dma.h, include/asm-arm/arch-shark/io.h, include/asm-arm/arch-shark/irqs.h, include/asm-arm/arch-shark/memory.h, include/asm-arm/arch-shark/param.h, include/asm-arm/arch-shark/serial.h, include/asm-arm/arch-shark/system.h, include/asm-arm/arch-shark/timex.h, include/asm-arm/arch-shark/uncompress.h, include/asm-arm/arch-shark/vmalloc.h, include/asm-arm/hardware/amba_kmi.h, include/asm-arm/hardware/clps7111.h, include/asm-arm/hardware/cs89712.h, include/asm-arm/hardware/ep7211.h, include/asm-arm/hardware/ep7212.h, include/asm-arm/hardware/icst525.h, include/asm-arm/hardware/ioc.h, include/asm-arm/hardware/linkup-l1110.h, include/asm-arm/hardware/memc.h, include/asm-arm/hardware/pci_v3.h, include/asm-arm/hardware/serial_amba.h, include/asm-arm/hardware/ssp.h, include/asm-ppc/a.out.h, include/asm-ppc/agp.h, include/asm-ppc/amigayle.h, include/asm-ppc/amipcmcia.h, include/asm-ppc/ans-lcd.h, include/asm-ppc/bootx.h, include/asm-ppc/bseip.h, include/asm-ppc/bug.h, include/asm-ppc/gg2.h, include/asm-ppc/gt64260.h, include/asm-ppc/gt64260_defs.h, include/asm-ppc/harrier.h, include/asm-ppc/hdreg.h, include/asm-ppc/heathrow.h, include/asm-ppc/i8259.h, include/asm-ppc/ioctls.h, include/asm-ppc/ipcbuf.h, include/asm-ppc/linkage.h, include/asm-ppc/m48t35.h, include/asm-ppc/mk48t59.h, include/asm-ppc/mman.h, include/asm-ppc/msgbuf.h, include/asm-ppc/ocp_ids.h, include/asm-ppc/ohare.h, include/asm-ppc/parport.h, include/asm-ppc/poll.h, include/asm-ppc/posix_types.h, include/asm-ppc/ppcboot.h, include/asm-ppc/pplus.h, include/asm-ppc/segment.h, include/asm-ppc/sembuf.h, include/asm-ppc/shmbuf.h, include/asm-ppc/shmparam.h, include/asm-ppc/sigcontext.h, include/asm-ppc/sockios.h, include/asm-ppc/traps.h, include/asm-sparc64/fpumacro.h, include/asm-sparc64/ipcbuf.h:
	Initial from debian

	* include/asm-arm/arch-clps711x/Attic/time.h, include/asm-arm/arch-clps711x/hardware.h, include/asm-arm/arch-clps711x/memory.h, include/asm-arm/arch-clps711x/uncompress.h, include/asm-arm/arch-ebsa110/Attic/ide.h, include/asm-arm/arch-ebsa110/Attic/time.h, include/asm-arm/arch-ebsa110/io.h, include/asm-arm/arch-ebsa285/Attic/ide.h, include/asm-arm/arch-ebsa285/Attic/time.h, include/asm-arm/arch-ebsa285/hardware.h, include/asm-arm/arch-ebsa285/io.h, include/asm-arm/arch-ebsa285/memory.h, include/asm-arm/arch-ebsa285/vmalloc.h, include/asm-arm/arch-epxa10db/Attic/time.h, include/asm-arm/arch-integrator/Attic/time.h, include/asm-arm/arch-integrator/irqs.h, include/asm-arm/arch-integrator/platform.h, include/asm-arm/arch-integrator/system.h, include/asm-arm/arch-l7200/Attic/ide.h, include/asm-arm/arch-l7200/Attic/time.h, include/asm-arm/arch-nexuspci/Attic/ide.h, include/asm-arm/arch-nexuspci/Attic/time.h, include/asm-arm/arch-nexuspci/io.h, include/asm-arm/arch-pxa/Attic/ide.h, include/asm-arm/arch-pxa/Attic/time.h, include/asm-arm/arch-pxa/idp.h, include/asm-arm/arch-pxa/irqs.h, include/asm-arm/arch-pxa/pxa-regs.h, include/asm-arm/arch-rpc/Attic/ide.h, include/asm-arm/arch-rpc/Attic/time.h, include/asm-arm/arch-rpc/acornfb.h, include/asm-arm/arch-sa1100/Attic/time.h, include/asm-arm/arch-sa1100/assabet.h, include/asm-arm/arch-sa1100/cerf.h, include/asm-arm/arch-sa1100/irqs.h, include/asm-arm/arch-sa1100/keyboard.h, include/asm-arm/arch-sa1100/memory.h, include/asm-arm/arch-sa1100/serial.h, include/asm-arm/arch-sa1100/system.h, include/asm-arm/arch-sa1100/system3.h, include/asm-arm/arch-sa1100/trizeps.h, include/asm-arm/arch-shark/Attic/ide.h, include/asm-arm/arch-shark/Attic/time.h, include/asm-arm/arch-shark/hardware.h, include/asm-arm/arch-shark/keyboard.h, include/asm-arm/hardware/amba.h, include/asm-arm/hardware/dec21285.h, include/asm-arm/hardware/iomd.h, include/asm-arm/hardware/sa1111.h, include/asm-ppc/Attic/8xx_immap.h, include/asm-ppc/Attic/amigahw.h, include/asm-ppc/Attic/amigaints.h, include/asm-ppc/Attic/amigappc.h, include/asm-ppc/Attic/backlight.h, include/asm-ppc/Attic/bootinfo.h, include/asm-ppc/Attic/btext.h, include/asm-ppc/Attic/bugs.h, include/asm-ppc/Attic/cpm_8260.h, include/asm-ppc/Attic/current.h, include/asm-ppc/Attic/dbdma.h, include/asm-ppc/Attic/delay.h, include/asm-ppc/Attic/div64.h, include/asm-ppc/Attic/dma-mapping.h, include/asm-ppc/Attic/highmem.h, include/asm-ppc/Attic/hydra.h, include/asm-ppc/Attic/ibm403.h, include/asm-ppc/Attic/ibm405.h, include/asm-ppc/Attic/ibm44x.h, include/asm-ppc/Attic/ibm4xx.h, include/asm-ppc/Attic/ibm_ocp_pci.h, include/asm-ppc/Attic/ide.h, include/asm-ppc/Attic/immap_8260.h, include/asm-ppc/Attic/kgdb.h, include/asm-ppc/Attic/kmap_types.h, include/asm-ppc/Attic/local.h, include/asm-ppc/Attic/mc146818rtc.h, include/asm-ppc/Attic/md.h, include/asm-ppc/Attic/mediabay.h, include/asm-ppc/Attic/mpc10x.h, include/asm-ppc/Attic/mpc8260.h, include/asm-ppc/Attic/mpc8xx.h, include/asm-ppc/Attic/ocp.h, include/asm-ppc/Attic/pc_serial.h, include/asm-ppc/Attic/pci-bridge.h, include/asm-ppc/Attic/pci.h, include/asm-ppc/Attic/percpu.h, include/asm-ppc/Attic/pgtable.h, include/asm-ppc/Attic/pmac_feature.h, include/asm-ppc/Attic/pnp.h, include/asm-ppc/Attic/ppc405_dma.h, include/asm-ppc/Attic/ppc4xx_pic.h, include/asm-ppc/Attic/prep_nvram.h, include/asm-ppc/Attic/prom.h, include/asm-ppc/Attic/raven.h, include/asm-ppc/Attic/reg_booke.h, include/asm-ppc/Attic/residual.h, include/asm-ppc/Attic/resource.h, include/asm-ppc/Attic/rmap.h, include/asm-ppc/Attic/rtc.h, include/asm-ppc/Attic/rwsem.h, include/asm-ppc/Attic/scatterlist.h, include/asm-ppc/Attic/sections.h, include/asm-ppc/Attic/serial.h, include/asm-ppc/Attic/setup.h, include/asm-ppc/Attic/signal.h, include/asm-ppc/Attic/smp.h, include/asm-ppc/Attic/statfs.h, include/asm-ppc/Attic/string.h, include/asm-ppc/Attic/thread_info.h, include/asm-ppc/Attic/time.h, include/asm-ppc/Attic/tlb.h, include/asm-ppc/Attic/topology.h, include/asm-ppc/Attic/uaccess.h, include/asm-ppc/Attic/ucontext.h, include/asm-ppc/Attic/unaligned.h, include/asm-ppc/Attic/uninorth.h, include/asm-ppc/Attic/xmon.h, include/asm-ppc/Attic/xor.h, include/asm-ppc/Attic/zorro.h, include/asm-ppc/atomic.h, include/asm-ppc/bitops.h, include/asm-ppc/byteorder.h, include/asm-ppc/cache.h, include/asm-ppc/cacheflush.h, include/asm-ppc/checksum.h, include/asm-ppc/commproc.h, include/asm-ppc/cputable.h, include/asm-ppc/dma.h, include/asm-ppc/elf.h, include/asm-ppc/errno.h, include/asm-ppc/fcntl.h, include/asm-ppc/floppy.h, include/asm-ppc/hardirq.h, include/asm-ppc/hw_irq.h, include/asm-ppc/io.h, include/asm-ppc/ioctl.h, include/asm-ppc/ipc.h, include/asm-ppc/irq.h, include/asm-ppc/keylargo.h, include/asm-ppc/machdep.h, include/asm-ppc/macio.h, include/asm-ppc/mmu.h, include/asm-ppc/mmu_context.h, include/asm-ppc/module.h, include/asm-ppc/namei.h, include/asm-ppc/nvram.h, include/asm-ppc/of_device.h, include/asm-ppc/open_pic.h, include/asm-ppc/page.h, include/asm-ppc/param.h, include/asm-ppc/pgalloc.h, include/asm-ppc/ppc_asm.h, include/asm-ppc/processor.h, include/asm-ppc/ptrace.h, include/asm-ppc/reg.h, include/asm-ppc/semaphore.h, include/asm-ppc/siginfo.h, include/asm-ppc/socket.h, include/asm-ppc/spinlock.h, include/asm-ppc/stat.h, include/asm-ppc/system.h, include/asm-ppc/termbits.h, include/asm-ppc/termios.h, include/asm-ppc/timex.h, include/asm-ppc/tlbflush.h, include/asm-ppc/todc.h, include/asm-ppc/types.h, include/asm-ppc/unistd.h, include/asm-ppc/user.h, include/asm-ppc/vga.h, include/asm-sparc64/Attic/delay.h, include/asm-sparc64/Attic/mc146818rtc.h, include/asm-sparc64/atomic.h, include/asm-sparc64/io.h, include/asm-sparc64/parport.h, include/asm-sparc64/pstate.h, include/asm-sparc64/sunbpp.h:
	New file.

	* include/asm-arm/arch-cl7500/dma.h, include/asm-arm/arch-cl7500/hardware.h, include/asm-arm/arch-cl7500/irq.h, include/asm-arm/arch-cl7500/irqs.h, include/asm-arm/arch-cl7500/keyboard.h, include/asm-arm/arch-cl7500/memory.h, include/asm-arm/arch-cl7500/param.h, include/asm-arm/arch-cl7500/serial.h, include/asm-arm/arch-cl7500/system.h, include/asm-arm/arch-cl7500/timex.h, include/asm-arm/arch-cl7500/uncompress.h, include/asm-arm/arch-cl7500/vmalloc.h, include/asm-arm/arch-iop3xx/dma.h, include/asm-arm/arch-iop3xx/io.h, include/asm-arm/arch-iop3xx/iop310.h, include/asm-arm/arch-iop3xx/iop321.h, include/asm-arm/arch-iop3xx/iq80310.h, include/asm-arm/arch-iop3xx/iq80321.h, include/asm-arm/arch-iop3xx/param.h, include/asm-arm/arch-iop3xx/pmon.h, include/asm-arm/arch-iop3xx/system.h, include/asm-arm/arch-iop3xx/vmalloc.h, include/asm-arm/arch-sa1100/SA-1100.h, include/asm-arm/arch-sa1100/SA-1101.h, include/asm-arm/arch-sa1100/SA-1111.h, include/asm-arm/arch-sa1100/adsbitsy.h, include/asm-arm/arch-sa1100/graphicsmaster.h, include/asm-arm/arch-sa1100/h3600_gpio.h, include/asm-arm/arch-sa1100/io.h, include/asm-arm/arch-sa1100/jornada720.h, include/asm-arm/arch-sa1100/neponset.h, include/asm-arm/arch-sa1100/pfs168.h, include/asm-arm/arch-sa1100/uncompress.h, include/asm-arm/arch-sa1100/vmalloc.h, include/asm-arm/arch-tbox/dma.h, include/asm-arm/arch-tbox/hardware.h, include/asm-arm/arch-tbox/io.h, include/asm-arm/arch-tbox/irqs.h, include/asm-arm/arch-tbox/memory.h, include/asm-arm/arch-tbox/param.h, include/asm-arm/arch-tbox/serial.h, include/asm-arm/arch-tbox/system.h, include/asm-arm/arch-tbox/timex.h, include/asm-arm/arch-tbox/uncompress.h, include/asm-arm/arch-tbox/vmalloc.h:
	Initial from debian

	* include/asm-arm/arch-cl7500/Attic/ide.h, include/asm-arm/arch-cl7500/Attic/time.h, include/asm-arm/arch-cl7500/acornfb.h, include/asm-arm/arch-iop3xx/Attic/ide.h, include/asm-arm/arch-iop3xx/Attic/time.h, include/asm-arm/arch-iop3xx/hardware.h, include/asm-arm/arch-iop3xx/iop310-irqs.h, include/asm-arm/arch-iop3xx/iop321-irqs.h, include/asm-arm/arch-iop3xx/irqs.h, include/asm-arm/arch-iop3xx/memory.h, include/asm-arm/arch-iop3xx/serial.h, include/asm-arm/arch-iop3xx/timex.h, include/asm-arm/arch-iop3xx/uncompress.h, include/asm-arm/arch-sa1100/Attic/ide.h, include/asm-arm/arch-sa1100/dma.h, include/asm-arm/arch-sa1100/hardware.h, include/asm-arm/arch-sa1100/pangolin.h, include/asm-arm/arch-tbox/Attic/ide.h, include/asm-arm/arch-tbox/Attic/time.h:
	New file.

	* include/asm-arm/arch-adifcc/adi_evb.h, include/asm-arm/arch-adifcc/dma.h, include/asm-arm/arch-adifcc/io.h, include/asm-arm/arch-adifcc/irqs.h, include/asm-arm/arch-adifcc/memory.h, include/asm-arm/arch-adifcc/param.h, include/asm-arm/arch-adifcc/system.h, include/asm-arm/arch-adifcc/timex.h, include/asm-arm/arch-adifcc/uncompress.h, include/asm-arm/arch-adifcc/vmalloc.h, include/asm-arm/arch-anakin/dma.h, include/asm-arm/arch-anakin/hardware.h, include/asm-arm/arch-anakin/io.h, include/asm-arm/arch-anakin/irqs.h, include/asm-arm/arch-anakin/memory.h, include/asm-arm/arch-anakin/param.h, include/asm-arm/arch-anakin/serial.h, include/asm-arm/arch-anakin/serial_reg.h, include/asm-arm/arch-anakin/system.h, include/asm-arm/arch-anakin/timex.h, include/asm-arm/arch-anakin/vmalloc.h, include/asm-arm/arch-cl7500/io.h, include/asm-arm/cache.h, include/asm-arm/checksum.h, include/asm-arm/cpu-multi32.h, include/asm-arm/cpu-single.h, include/asm-arm/domain.h, include/asm-arm/ecard.h, include/asm-arm/fcntl.h, include/asm-arm/fiq.h, include/asm-arm/floppy.h, include/asm-arm/fpstate.h, include/asm-arm/hardware.h, include/asm-arm/hdreg.h, include/asm-arm/ioctl.h, include/asm-arm/ioctls.h, include/asm-arm/ipc.h, include/asm-arm/ipcbuf.h, include/asm-arm/irq.h, include/asm-arm/limits.h, include/asm-arm/linkage.h, include/asm-arm/mach/dma.h, include/asm-arm/mach/flash.h, include/asm-arm/mach/irq.h, include/asm-arm/mach/map.h, include/asm-arm/mman.h, include/asm-arm/mmu.h, include/asm-arm/module.h, include/asm-arm/msgbuf.h, include/asm-arm/namei.h, include/asm-arm/numnodes.h, include/asm-arm/nwflash.h, include/asm-arm/parport.h, include/asm-arm/pgalloc.h, include/asm-arm/poll.h, include/asm-arm/posix_types.h, include/asm-arm/procinfo.h, include/asm-arm/segment.h, include/asm-arm/semaphore-helper.h, include/asm-arm/sembuf.h, include/asm-arm/serial.h, include/asm-arm/shmbuf.h, include/asm-arm/sigcontext.h, include/asm-arm/sizes.h, include/asm-arm/sockios.h, include/asm-arm/stat.h, include/asm-arm/suspend.h, include/asm-arm/therm.h, include/asm-arm/user.h, include/asm-arm/vga.h, include/asm-mips/baget/baget.h, include/asm-mips/baget/vac.h, include/asm-mips/baget/vic.h, include/asm-mips/ddb5xxx/ddb5074.h, include/asm-mips/ddb5xxx/ddb5476.h, include/asm-mips/galileo-boards/ev96100int.h, include/asm-mips/hp-lj/asic.h, include/asm-mips/ip32/ip32_ints.h, include/asm-mips/it8172/it8172.h, include/asm-mips/it8172/it8172_cir.h, include/asm-mips/it8172/it8172_dbg.h, include/asm-mips/it8172/it8172_int.h, include/asm-mips/it8172/it8172_lpc.h, include/asm-mips/it8172/it8172_pci.h, include/asm-mips/jmr3927/jmr3927.h, include/asm-mips/jmr3927/tx3927.h, include/asm-mips/jmr3927/txx927.h, include/asm-mips/lasat/ds1603.h, include/asm-mips/lasat/eeprom.h, include/asm-mips/lasat/head.h, include/asm-mips/lasat/lasat.h, include/asm-mips/lasat/lasatint.h, include/asm-mips/lasat/picvue.h, include/asm-mips/lasat/serial.h, include/asm-mips/mips-boards/maltaint.h, include/asm-mips/mips-boards/saa9730_uart.h, include/asm-mips/mips-boards/sead.h, include/asm-mips/sgi/gio.h, include/asm-mips/sgi/hpc3.h, include/asm-mips/sgi/ip22.h, include/asm-mips/sgi/mc.h, include/asm-mips/sgi/sgi.h, include/asm-mips/sibyte/carmel.h, include/asm-mips/sibyte/sb1250_defs.h, include/asm-mips/sibyte/sb1250_dma.h, include/asm-mips/sibyte/sb1250_genbus.h, include/asm-mips/sibyte/sb1250_int.h, include/asm-mips/sibyte/sb1250_l2c.h, include/asm-mips/sibyte/sb1250_ldt.h, include/asm-mips/sibyte/sb1250_mac.h, include/asm-mips/sibyte/sb1250_mc.h, include/asm-mips/sibyte/sb1250_regs.h, include/asm-mips/sibyte/sb1250_scd.h, include/asm-mips/sibyte/sb1250_smbus.h, include/asm-mips/sibyte/sb1250_syncser.h, include/asm-mips/sibyte/sb1250_uart.h, include/asm-mips/sibyte/sentosa.h, include/asm-mips/tx4927/toshiba_rbtx4927.h, include/asm-mips/tx4927/tx4927.h, include/asm-mips/tx4927/tx4927_mips.h, include/asm-mips/vr4181/irq.h, include/asm-mips/vr4181/vr4181.h, include/asm-mips/vr41xx/capcella.h, include/asm-mips/vr41xx/e55.h, include/asm-mips/vr41xx/eagle.h, include/asm-mips/vr41xx/tb0226.h, include/asm-mips/vr41xx/tb0229.h, include/asm-mips/xtalk/xtalk.h, include/asm-mips/xtalk/xwidget.h, include/asm-s390/cache.h, include/asm-s390/cpcmd.h, include/asm-s390/dma.h, include/asm-s390/ebcdic.h, include/asm-s390/fcntl.h, include/asm-s390/init.h, include/asm-s390/ioctls.h, include/asm-s390/ipc.h, include/asm-s390/ipcbuf.h, include/asm-s390/linkage.h, include/asm-s390/mathemu.h, include/asm-s390/mman.h, include/asm-s390/mmu.h, include/asm-s390/module.h, include/asm-s390/msgbuf.h, include/asm-s390/namei.h, include/asm-s390/poll.h, include/asm-s390/posix_types.h, include/asm-s390/s390_ext.h, include/asm-s390/segment.h, include/asm-s390/sembuf.h, include/asm-s390/shmbuf.h, include/asm-s390/shmparam.h, include/asm-s390/sigcontext.h, include/asm-s390/sockios.h, include/asm-s390/stat.h, include/asm-s390/suspend.h, include/asm-s390/tape390.h, include/asm-s390/user.h, include/asm-v850/a.out.h, include/asm-v850/anna.h, include/asm-v850/as85ep1.h, include/asm-v850/asm.h, include/asm-v850/bug.h, include/asm-v850/cache.h, include/asm-v850/checksum.h, include/asm-v850/clinkage.h, include/asm-v850/dma.h, include/asm-v850/entry.h, include/asm-v850/fcntl.h, include/asm-v850/flat.h, include/asm-v850/fpga85e2c.h, include/asm-v850/gbus_int.h, include/asm-v850/hw_irq.h, include/asm-v850/ioctls.h, include/asm-v850/ipc.h, include/asm-v850/ipcbuf.h, include/asm-v850/irq.h, include/asm-v850/linkage.h, include/asm-v850/ma.h, include/asm-v850/ma1.h, include/asm-v850/macrology.h, include/asm-v850/me2.h, include/asm-v850/mman.h, include/asm-v850/mmu.h, include/asm-v850/mmu_context.h, include/asm-v850/msgbuf.h, include/asm-v850/namei.h, include/asm-v850/poll.h, include/asm-v850/posix_types.h, include/asm-v850/ptrace.h, include/asm-v850/rte_cb.h, include/asm-v850/rte_ma1_cb.h, include/asm-v850/rte_mb_a_pci.h, include/asm-v850/rte_me2_cb.h, include/asm-v850/rte_nb85e_cb.h, include/asm-v850/segment.h, include/asm-v850/sembuf.h, include/asm-v850/shmbuf.h, include/asm-v850/shmparam.h, include/asm-v850/sigcontext.h, include/asm-v850/sim.h, include/asm-v850/sim85e2.h, include/asm-v850/sim85e2c.h, include/asm-v850/sim85e2s.h, include/asm-v850/simsyscall.h, include/asm-v850/sockios.h, include/asm-v850/stat.h, include/asm-v850/system.h, include/asm-v850/teg.h, include/asm-v850/tlbflush.h, include/asm-v850/v850e.h, include/asm-v850/v850e2.h, include/asm-v850/v850e2_cache.h, include/asm-v850/v850e_cache.h, include/asm-v850/v850e_intc.h, include/asm-v850/v850e_timer_c.h, include/asm-v850/v850e_timer_d.h, include/asm-v850/v850e_uarta.h, include/asm-v850/v850e_uartb.h, include/asm-v850/v850e_utils.h:
	Initial from debian

	* include/asm-arm/Attic/bugs.h, include/asm-arm/Attic/current.h, include/asm-arm/Attic/delay.h, include/asm-arm/Attic/div64.h, include/asm-arm/Attic/dma-mapping.h, include/asm-arm/Attic/glue.h, include/asm-arm/Attic/ide.h, include/asm-arm/Attic/kmap_types.h, include/asm-arm/Attic/local.h, include/asm-arm/Attic/mc146818rtc.h, include/asm-arm/Attic/mmzone.h, include/asm-arm/Attic/pci.h, include/asm-arm/Attic/percpu.h, include/asm-arm/Attic/pgtable.h, include/asm-arm/Attic/proc-fns.h, include/asm-arm/Attic/resource.h, include/asm-arm/Attic/rmap.h, include/asm-arm/Attic/scatterlist.h, include/asm-arm/Attic/sections.h, include/asm-arm/Attic/signal.h, include/asm-arm/Attic/smp.h, include/asm-arm/Attic/statfs.h, include/asm-arm/Attic/string.h, include/asm-arm/Attic/thread_info.h, include/asm-arm/Attic/tlb.h, include/asm-arm/Attic/topology.h, include/asm-arm/Attic/uaccess.h, include/asm-arm/Attic/ucontext.h, include/asm-arm/Attic/unaligned.h, include/asm-arm/Attic/xor.h, include/asm-arm/a.out.h, include/asm-arm/apm.h, include/asm-arm/arch-adifcc/Attic/time.h, include/asm-arm/arch-adifcc/hardware.h, include/asm-arm/arch-adifcc/serial.h, include/asm-arm/arch-anakin/Attic/ide.h, include/asm-arm/arch-anakin/Attic/time.h, include/asm-arm/arch-anakin/uncompress.h, include/asm-arm/assembler.h, include/asm-arm/atomic.h, include/asm-arm/bitops.h, include/asm-arm/bug.h, include/asm-arm/byteorder.h, include/asm-arm/cacheflush.h, include/asm-arm/dma.h, include/asm-arm/elf.h, include/asm-arm/errno.h, include/asm-arm/hardirq.h, include/asm-arm/io.h, include/asm-arm/leds.h, include/asm-arm/locks.h, include/asm-arm/mach/Attic/pci.h, include/asm-arm/mach/arch.h, include/asm-arm/mach/serial_sa1100.h, include/asm-arm/memory.h, include/asm-arm/mmu_context.h, include/asm-arm/page.h, include/asm-arm/param.h, include/asm-arm/processor.h, include/asm-arm/ptrace.h, include/asm-arm/semaphore.h, include/asm-arm/setup.h, include/asm-arm/shmparam.h, include/asm-arm/siginfo.h, include/asm-arm/socket.h, include/asm-arm/spinlock.h, include/asm-arm/system.h, include/asm-arm/termbits.h, include/asm-arm/termios.h, include/asm-arm/timex.h, include/asm-arm/tlbflush.h, include/asm-arm/traps.h, include/asm-arm/types.h, include/asm-arm/unistd.h, include/asm-mips/cobalt/cobalt.h, include/asm-mips/ddb5xxx/ddb5477.h, include/asm-mips/ddb5xxx/ddb5xxx.h, include/asm-mips/galileo-boards/Attic/ev64120.h, include/asm-mips/galileo-boards/Attic/ev64120int.h, include/asm-mips/galileo-boards/ev96100.h, include/asm-mips/galileo-boards/gt96100.h, include/asm-mips/gt64120/Attic/gt64120.h, include/asm-mips/gt64120/momenco_ocelot/Attic/gt64120_dep.h, include/asm-mips/ip32/crime.h, include/asm-mips/ip32/mace.h, include/asm-mips/ip32/machine.h, include/asm-mips/jmr3927/Attic/ds1742rtc.h, include/asm-mips/jmr3927/Attic/pci.h, include/asm-mips/jmr3927/irq.h, include/asm-mips/mips-boards/Attic/prom.h, include/asm-mips/mips-boards/atlas.h, include/asm-mips/mips-boards/atlasint.h, include/asm-mips/mips-boards/bonito64.h, include/asm-mips/mips-boards/generic.h, include/asm-mips/mips-boards/malta.h, include/asm-mips/mips-boards/msc01_pci.h, include/asm-mips/mips-boards/piix4.h, include/asm-mips/mips-boards/seadint.h, include/asm-mips/sgi/ioc.h, include/asm-mips/sibyte/board.h, include/asm-mips/sibyte/sb1250.h, include/asm-mips/sibyte/swarm.h, include/asm-mips/sibyte/trace_prof.h, include/asm-mips/tx4927/tx4927_pci.h, include/asm-mips/vr41xx/mpc30x.h, include/asm-mips/vr41xx/vr41xx.h, include/asm-mips/vr41xx/vrc4173.h, include/asm-mips/vr41xx/workpad.h, include/asm-s390/Attic/bugs.h, include/asm-s390/Attic/cio.h, include/asm-s390/Attic/current.h, include/asm-s390/Attic/delay.h, include/asm-s390/Attic/div64.h, include/asm-s390/Attic/dma-mapping.h, include/asm-s390/Attic/kmap_types.h, include/asm-s390/Attic/local.h, include/asm-s390/Attic/pci.h, include/asm-s390/Attic/percpu.h, include/asm-s390/Attic/pgtable.h, include/asm-s390/Attic/resource.h, include/asm-s390/Attic/rmap.h, include/asm-s390/Attic/rwsem.h, include/asm-s390/Attic/scatterlist.h, include/asm-s390/Attic/sections.h, include/asm-s390/Attic/signal.h, include/asm-s390/Attic/smp.h, include/asm-s390/Attic/statfs.h, include/asm-s390/Attic/string.h, include/asm-s390/Attic/thread_info.h, include/asm-s390/Attic/tlb.h, include/asm-s390/Attic/todclk.h, include/asm-s390/Attic/topology.h, include/asm-s390/Attic/uaccess.h, include/asm-s390/Attic/ucontext.h, include/asm-s390/Attic/unaligned.h, include/asm-s390/Attic/xor.h, include/asm-s390/a.out.h, include/asm-s390/atomic.h, include/asm-s390/bitops.h, include/asm-s390/bug.h, include/asm-s390/byteorder.h, include/asm-s390/cacheflush.h, include/asm-s390/ccwdev.h, include/asm-s390/ccwgroup.h, include/asm-s390/checksum.h, include/asm-s390/compat.h, include/asm-s390/dasd.h, include/asm-s390/debug.h, include/asm-s390/elf.h, include/asm-s390/errno.h, include/asm-s390/hardirq.h, include/asm-s390/idals.h, include/asm-s390/io.h, include/asm-s390/ioctl.h, include/asm-s390/irq.h, include/asm-s390/lowcore.h, include/asm-s390/mmu_context.h, include/asm-s390/page.h, include/asm-s390/param.h, include/asm-s390/pgalloc.h, include/asm-s390/processor.h, include/asm-s390/ptrace.h, include/asm-s390/qdio.h, include/asm-s390/semaphore.h, include/asm-s390/setup.h, include/asm-s390/sfp-machine.h, include/asm-s390/siginfo.h, include/asm-s390/sigp.h, include/asm-s390/socket.h, include/asm-s390/spinlock.h, include/asm-s390/system.h, include/asm-s390/termbits.h, include/asm-s390/termios.h, include/asm-s390/timex.h, include/asm-s390/tlbflush.h, include/asm-s390/types.h, include/asm-s390/unistd.h, include/asm-s390/vtoc.h, include/asm-v850/Attic/bugs.h, include/asm-v850/Attic/current.h, include/asm-v850/Attic/delay.h, include/asm-v850/Attic/div64.h, include/asm-v850/Attic/dma-mapping.h, include/asm-v850/Attic/kmap_types.h, include/asm-v850/Attic/local.h, include/asm-v850/Attic/pci.h, include/asm-v850/Attic/percpu.h, include/asm-v850/Attic/pgtable.h, include/asm-v850/Attic/resource.h, include/asm-v850/Attic/rmap.h, include/asm-v850/Attic/scatterlist.h, include/asm-v850/Attic/sections.h, include/asm-v850/Attic/signal.h, include/asm-v850/Attic/statfs.h, include/asm-v850/Attic/string.h, include/asm-v850/Attic/thread_info.h, include/asm-v850/Attic/tlb.h, include/asm-v850/Attic/topology.h, include/asm-v850/Attic/uaccess.h, include/asm-v850/Attic/ucontext.h, include/asm-v850/Attic/unaligned.h, include/asm-v850/atomic.h, include/asm-v850/bitops.h, include/asm-v850/byteorder.h, include/asm-v850/cacheflush.h, include/asm-v850/elf.h, include/asm-v850/errno.h, include/asm-v850/hardirq.h, include/asm-v850/highres_timer.h, include/asm-v850/io.h, include/asm-v850/ioctl.h, include/asm-v850/machdep.h, include/asm-v850/module.h, include/asm-v850/page.h, include/asm-v850/param.h, include/asm-v850/pgalloc.h, include/asm-v850/processor.h, include/asm-v850/semaphore.h, include/asm-v850/serial.h, include/asm-v850/siginfo.h, include/asm-v850/socket.h, include/asm-v850/termbits.h, include/asm-v850/termios.h, include/asm-v850/timex.h, include/asm-v850/types.h, include/asm-v850/unistd.h, include/asm-v850/user.h, include/asm-v850/v850e_uart.h:
	New file.

	* include/asm-ia64/sn/sn2/shub_mmr_t.h, include/asm-ia64/sn/sn2/slotnum.h, include/asm-m68k/adb_iop.h, include/asm-m68k/adb_mouse.h, include/asm-m68k/amigahw.h, include/asm-m68k/amigaints.h, include/asm-m68k/amigayle.h, include/asm-m68k/amipcmcia.h, include/asm-m68k/apollohw.h, include/asm-m68k/atafd.h, include/asm-m68k/atafdreg.h, include/asm-m68k/atari_SCCserial.h, include/asm-m68k/atari_SLM.h, include/asm-m68k/atari_acsi.h, include/asm-m68k/atari_joystick.h, include/asm-m68k/atari_stdma.h, include/asm-m68k/atari_stram.h, include/asm-m68k/atarikb.h, include/asm-m68k/atomic.h, include/asm-m68k/blinken.h, include/asm-m68k/bvme6000hw.h, include/asm-m68k/cache.h, include/asm-m68k/cachectl.h, include/asm-m68k/checksum.h, include/asm-m68k/contregs.h, include/asm-m68k/dsp56k.h, include/asm-m68k/fbio.h, include/asm-m68k/fcntl.h, include/asm-m68k/hardirq.h, include/asm-m68k/hdreg.h, include/asm-m68k/hw_irq.h, include/asm-m68k/hwtest.h, include/asm-m68k/idprom.h, include/asm-m68k/init.h, include/asm-m68k/intersil.h, include/asm-m68k/ioctls.h, include/asm-m68k/ipc.h, include/asm-m68k/ipcbuf.h, include/asm-m68k/kbio.h, include/asm-m68k/linkage.h, include/asm-m68k/mac_asc.h, include/asm-m68k/mac_baboon.h, include/asm-m68k/mac_iop.h, include/asm-m68k/mac_mouse.h, include/asm-m68k/mac_oss.h, include/asm-m68k/machdep.h, include/asm-m68k/machw.h, include/asm-m68k/macintosh.h, include/asm-m68k/macints.h, include/asm-m68k/math-emu.h, include/asm-m68k/mman.h, include/asm-m68k/mmu.h, include/asm-m68k/module.h, include/asm-m68k/motorola_pgalloc.h, include/asm-m68k/movs.h, include/asm-m68k/msgbuf.h, include/asm-m68k/mvme147hw.h, include/asm-m68k/mvme16xhw.h, include/asm-m68k/namei.h, include/asm-m68k/parport.h, include/asm-m68k/poll.h, include/asm-m68k/posix_types.h, include/asm-m68k/q40_master.h, include/asm-m68k/q40ints.h, include/asm-m68k/segment.h, include/asm-m68k/sembuf.h, include/asm-m68k/shmbuf.h, include/asm-m68k/shmparam.h, include/asm-m68k/sigcontext.h, include/asm-m68k/sockios.h, include/asm-m68k/spinlock.h, include/asm-m68k/stat.h, include/asm-m68k/sun3_pgalloc.h, include/asm-m68k/sun3ints.h, include/asm-m68k/sun3x.h, include/asm-m68k/sun3xflop.h, include/asm-m68k/sun3xprom.h, include/asm-m68k/suspend.h, include/asm-m68k/swim_iop.h, include/asm-m68k/traps.h, include/asm-m68k/user.h, include/asm-m68k/vuid_event.h, include/asm-mips/arc/hinv.h, include/asm-mips/branch.h, include/asm-mips/break.h, include/asm-mips/cachectl.h, include/asm-mips/cacheops.h, include/asm-mips/compat.h, include/asm-mips/ddb5074.h, include/asm-mips/dec/interrupts.h, include/asm-mips/dec/ioasic_addrs.h, include/asm-mips/dec/ioasic_ints.h, include/asm-mips/dec/kn01.h, include/asm-mips/dec/kn02ba.h, include/asm-mips/dec/kn02ca.h, include/asm-mips/dec/kn02xa.h, include/asm-mips/dec/kn03.h, include/asm-mips/dec/kn230.h, include/asm-mips/dec/machtype.h, include/asm-mips/dec/tc.h, include/asm-mips/dec/tcinfo.h, include/asm-mips/dec/tcmodule.h, include/asm-mips/fpregdef.h, include/asm-mips/fpu_emulator.h, include/asm-mips/gcc/sgidefs.h, include/asm-mips/hdreg.h, include/asm-mips/init.h, include/asm-mips/inst.h, include/asm-mips/inventory.h, include/asm-mips/ioctls.h, include/asm-mips/ipc.h, include/asm-mips/ipcbuf.h, include/asm-mips/it8712.h, include/asm-mips/jazzdma.h, include/asm-mips/linkage.h, include/asm-mips/mipsprom.h, include/asm-mips/mman.h, include/asm-mips/mmu.h, include/asm-mips/module.h, include/asm-mips/mv64340_dep.h, include/asm-mips/ng1.h, include/asm-mips/ng1hw.h, include/asm-mips/nile4.h, include/asm-mips/parport.h, include/asm-mips/poll.h, include/asm-mips/posix_types.h, include/asm-mips/prctl.h, include/asm-mips/reboot.h, include/asm-mips/regdef.h, include/asm-mips/riscos-syscall.h, include/asm-mips/segment.h, include/asm-mips/sembuf.h, include/asm-mips/sgidefs.h, include/asm-mips/shmbuf.h, include/asm-mips/shmparam.h, include/asm-mips/sn/gda.h, include/asm-mips/sn/ioc3.h, include/asm-mips/sn/klkernvars.h, include/asm-mips/sn/nmi.h, include/asm-mips/sn/sn0/hub.h, include/asm-mips/sn/sn0/hubio.h, include/asm-mips/sn/sn0/hubni.h, include/asm-mips/sn/sn0/hubpi.h, include/asm-mips/sn/sn0/sn0_fru.h, include/asm-mips/sn/types.h, include/asm-mips/sockios.h, include/asm-mips/stat.h, include/asm-mips/suspend.h, include/asm-mips/sysmips.h, include/asm-mips/tlbdebug.h, include/asm-mips/traps.h, include/asm-mips/tx3912.h, include/asm-mips/vga.h, include/asm-mips/watch.h:
	Initial from debian

	* include/asm-ia64/sn/ksys/elsc.h, include/asm-ia64/sn/ksys/l1.h, include/asm-ia64/sn/sn2/shub.h, include/asm-ia64/sn/xtalk/xbow.h, include/asm-ia64/sn/xtalk/xbow_info.h, include/asm-ia64/sn/xtalk/xswitch.h, include/asm-ia64/sn/xtalk/xtalk.h, include/asm-ia64/sn/xtalk/xtalk_private.h, include/asm-ia64/sn/xtalk/xtalkaddrs.h, include/asm-ia64/sn/xtalk/xwidget.h, include/asm-m68k/Attic/bootinfo.h, include/asm-m68k/Attic/bugs.h, include/asm-m68k/Attic/current.h, include/asm-m68k/Attic/delay.h, include/asm-m68k/Attic/div64.h, include/asm-m68k/Attic/dma-mapping.h, include/asm-m68k/Attic/ide.h, include/asm-m68k/Attic/kmap_types.h, include/asm-m68k/Attic/local.h, include/asm-m68k/Attic/mc146818rtc.h, include/asm-m68k/Attic/motorola_pgtable.h, include/asm-m68k/Attic/pci.h, include/asm-m68k/Attic/percpu.h, include/asm-m68k/Attic/pgtable.h, include/asm-m68k/Attic/raw_io.h, include/asm-m68k/Attic/resource.h, include/asm-m68k/Attic/rmap.h, include/asm-m68k/Attic/rtc.h, include/asm-m68k/Attic/scatterlist.h, include/asm-m68k/Attic/sections.h, include/asm-m68k/Attic/signal.h, include/asm-m68k/Attic/statfs.h, include/asm-m68k/Attic/string.h, include/asm-m68k/Attic/sun3_pgtable.h, include/asm-m68k/Attic/thread_info.h, include/asm-m68k/Attic/tlb.h, include/asm-m68k/Attic/topology.h, include/asm-m68k/Attic/uaccess.h, include/asm-m68k/Attic/ucontext.h, include/asm-m68k/Attic/unaligned.h, include/asm-m68k/Attic/virtconvert.h, include/asm-m68k/Attic/xor.h, include/asm-m68k/Attic/zorro.h, include/asm-m68k/a.out.h, include/asm-m68k/adb.h, include/asm-m68k/apollodma.h, include/asm-m68k/atarihw.h, include/asm-m68k/atariints.h, include/asm-m68k/bitops.h, include/asm-m68k/bug.h, include/asm-m68k/byteorder.h, include/asm-m68k/cacheflush.h, include/asm-m68k/dma.h, include/asm-m68k/dvma.h, include/asm-m68k/elf.h, include/asm-m68k/entry.h, include/asm-m68k/errno.h, include/asm-m68k/floppy.h, include/asm-m68k/fpu.h, include/asm-m68k/io.h, include/asm-m68k/ioctl.h, include/asm-m68k/irq.h, include/asm-m68k/mac_psc.h, include/asm-m68k/mac_via.h, include/asm-m68k/machines.h, include/asm-m68k/md.h, include/asm-m68k/mmu_context.h, include/asm-m68k/nubus.h, include/asm-m68k/openprom.h, include/asm-m68k/oplib.h, include/asm-m68k/page.h, include/asm-m68k/page_offset.h, include/asm-m68k/param.h, include/asm-m68k/pgalloc.h, include/asm-m68k/processor.h, include/asm-m68k/ptrace.h, include/asm-m68k/sbus.h, include/asm-m68k/semaphore-helper.h, include/asm-m68k/semaphore.h, include/asm-m68k/serial.h, include/asm-m68k/setup.h, include/asm-m68k/shm.h, include/asm-m68k/siginfo.h, include/asm-m68k/socket.h, include/asm-m68k/sun3-head.h, include/asm-m68k/sun3mmu.h, include/asm-m68k/system.h, include/asm-m68k/termbits.h, include/asm-m68k/termios.h, include/asm-m68k/timex.h, include/asm-m68k/tlbflush.h, include/asm-m68k/types.h, include/asm-m68k/unistd.h, include/asm-mips/Attic/au1000.h, include/asm-mips/Attic/au1000_dma.h, include/asm-mips/Attic/au1000_gpio.h, include/asm-mips/Attic/au1000_pcmcia.h, include/asm-mips/Attic/au1000_usbdev.h, include/asm-mips/Attic/bootinfo.h, include/asm-mips/Attic/bugs.h, include/asm-mips/Attic/current.h, include/asm-mips/Attic/db1x00.h, include/asm-mips/Attic/delay.h, include/asm-mips/Attic/div64.h, include/asm-mips/Attic/dma-mapping.h, include/asm-mips/Attic/fpu.h, include/asm-mips/Attic/highmem.h, include/asm-mips/Attic/ide.h, include/asm-mips/Attic/keyboard.h, include/asm-mips/Attic/kmap_types.h, include/asm-mips/Attic/local.h, include/asm-mips/Attic/mc146818rtc.h, include/asm-mips/Attic/mmzone.h, include/asm-mips/Attic/pb1000.h, include/asm-mips/Attic/pb1100.h, include/asm-mips/Attic/pb1500.h, include/asm-mips/Attic/pci.h, include/asm-mips/Attic/percpu.h, include/asm-mips/Attic/pgtable.h, include/asm-mips/Attic/resource.h, include/asm-mips/Attic/rmap.h, include/asm-mips/Attic/rtc.h, include/asm-mips/Attic/scatterlist.h, include/asm-mips/Attic/sections.h, include/asm-mips/Attic/semaphore-helper.h, include/asm-mips/Attic/signal.h, include/asm-mips/Attic/smp.h, include/asm-mips/Attic/smplock.h, include/asm-mips/Attic/statfs.h, include/asm-mips/Attic/string.h, include/asm-mips/Attic/thread_info.h, include/asm-mips/Attic/time.h, include/asm-mips/Attic/tlb.h, include/asm-mips/Attic/topology.h, include/asm-mips/Attic/uaccess.h, include/asm-mips/Attic/ucontext.h, include/asm-mips/Attic/unaligned.h, include/asm-mips/Attic/xor.h, include/asm-mips/a.out.h, include/asm-mips/addrspace.h, include/asm-mips/arc/types.h, include/asm-mips/asm.h, include/asm-mips/asmmacro-32.h, include/asm-mips/asmmacro-64.h, include/asm-mips/asmmacro.h, include/asm-mips/atomic.h, include/asm-mips/bcache.h, include/asm-mips/bitops.h, include/asm-mips/bug.h, include/asm-mips/byteorder.h, include/asm-mips/cache.h, include/asm-mips/cacheflush.h, include/asm-mips/checksum.h, include/asm-mips/cpu.h, include/asm-mips/debug.h, include/asm-mips/dec/Attic/prom.h, include/asm-mips/dec/Attic/rtc-dec.h, include/asm-mips/dec/ecc.h, include/asm-mips/dec/ioasic.h, include/asm-mips/dec/kn02.h, include/asm-mips/dec/kn05.h, include/asm-mips/dma.h, include/asm-mips/ds1286.h, include/asm-mips/elf.h, include/asm-mips/errno.h, include/asm-mips/fcntl.h, include/asm-mips/fixmap.h, include/asm-mips/floppy.h, include/asm-mips/gdb-stub.h, include/asm-mips/gfx.h, include/asm-mips/gt64120.h, include/asm-mips/hardirq.h, include/asm-mips/hw_irq.h, include/asm-mips/i8259.h, include/asm-mips/io.h, include/asm-mips/ioctl.h, include/asm-mips/irq.h, include/asm-mips/irq_cpu.h, include/asm-mips/isadep.h, include/asm-mips/jazz.h, include/asm-mips/m48t35.h, include/asm-mips/mipsregs.h, include/asm-mips/mmu_context.h, include/asm-mips/msgbuf.h, include/asm-mips/mv64340.h, include/asm-mips/namei.h, include/asm-mips/paccess.h, include/asm-mips/page-32.h, include/asm-mips/page-64.h, include/asm-mips/page.h, include/asm-mips/param.h, include/asm-mips/pci/bridge.h, include/asm-mips/pci_channel.h, include/asm-mips/pgalloc.h, include/asm-mips/pgtable-32.h, include/asm-mips/pgtable-64.h, include/asm-mips/pgtable-bits.h, include/asm-mips/processor.h, include/asm-mips/ptrace.h, include/asm-mips/r4kcache.h, include/asm-mips/semaphore.h, include/asm-mips/serial.h, include/asm-mips/sgialib.h, include/asm-mips/sgiarcs.h, include/asm-mips/sigcontext.h, include/asm-mips/siginfo.h, include/asm-mips/sim.h, include/asm-mips/sn/addrs.h, include/asm-mips/sn/agent.h, include/asm-mips/sn/arch.h, include/asm-mips/sn/intr.h, include/asm-mips/sn/intr_public.h, include/asm-mips/sn/io.h, include/asm-mips/sn/klconfig.h, include/asm-mips/sn/kldir.h, include/asm-mips/sn/launch.h, include/asm-mips/sn/mapped_kernel.h, include/asm-mips/sn/sn0/addrs.h, include/asm-mips/sn/sn0/arch.h, include/asm-mips/sn/sn0/hubmd.h, include/asm-mips/sn/sn0/ip27.h, include/asm-mips/sn/sn_private.h, include/asm-mips/sni.h, include/asm-mips/socket.h, include/asm-mips/spinlock.h, include/asm-mips/stackframe.h, include/asm-mips/system.h, include/asm-mips/termbits.h, include/asm-mips/termios.h, include/asm-mips/timex.h, include/asm-mips/tlbflush.h, include/asm-mips/types.h, include/asm-mips/unistd.h, include/asm-mips/user.h, include/asm-mips/war.h, include/asm-mips/wbflush.h:
	New file.

	* include/asm-cris/a.out.h, include/asm-cris/arch-v10/bitops.h, include/asm-cris/arch-v10/cache.h, include/asm-cris/arch-v10/checksum.h, include/asm-cris/arch-v10/dma.h, include/asm-cris/arch-v10/irq.h, include/asm-cris/arch-v10/mmu.h, include/asm-cris/arch-v10/offset.h, include/asm-cris/arch-v10/processor.h, include/asm-cris/arch-v10/ptrace.h, include/asm-cris/arch-v10/sv_addr.agh, include/asm-cris/arch-v10/sv_addr_ag.h, include/asm-cris/arch-v10/svinto.h, include/asm-cris/arch-v10/unistd.h, include/asm-cris/arch-v10/user.h, include/asm-cris/axisflashmap.h, include/asm-cris/bug.h, include/asm-cris/cache.h, include/asm-cris/checksum.h, include/asm-cris/ethernet.h, include/asm-cris/fcntl.h, include/asm-cris/hardirq.h, include/asm-cris/ioctl.h, include/asm-cris/ioctls.h, include/asm-cris/ipc.h, include/asm-cris/ipcbuf.h, include/asm-cris/irq.h, include/asm-cris/linkage.h, include/asm-cris/mman.h, include/asm-cris/mmu.h, include/asm-cris/mmu_context.h, include/asm-cris/module.h, include/asm-cris/msgbuf.h, include/asm-cris/poll.h, include/asm-cris/ptrace.h, include/asm-cris/segment.h, include/asm-cris/sembuf.h, include/asm-cris/setup.h, include/asm-cris/shmbuf.h, include/asm-cris/shmparam.h, include/asm-cris/sockios.h, include/asm-cris/stat.h, include/asm-cris/system.h, include/asm-cris/user.h, include/asm-i386/debugreg.h, include/asm-i386/ioctls.h, include/asm-i386/mach-bigsmp/mach_apicdef.h, include/asm-i386/mach-bigsmp/mach_ipi.h, include/asm-i386/mach-bigsmp/mach_mpspec.h, include/asm-i386/mach-default/apm.h, include/asm-i386/mach-default/bios_ebda.h, include/asm-i386/mach-default/do_timer.h, include/asm-i386/mach-default/entry_arch.h, include/asm-i386/mach-default/io_ports.h, include/asm-i386/mach-default/mach_apicdef.h, include/asm-i386/mach-default/mach_ipi.h, include/asm-i386/mach-default/mach_mpparse.h, include/asm-i386/mach-default/mach_mpspec.h, include/asm-i386/mach-default/mach_reboot.h, include/asm-i386/mach-default/mach_resources.h, include/asm-i386/mach-default/mach_time.h, include/asm-i386/mach-default/mach_timer.h, include/asm-i386/mach-default/mach_traps.h, include/asm-i386/mach-default/mach_wakecpu.h, include/asm-i386/mach-default/pci-functions.h, include/asm-i386/mach-default/setup_arch_post.h, include/asm-i386/mach-default/setup_arch_pre.h, include/asm-i386/mach-default/smpboot_hooks.h, include/asm-i386/mach-es7000/mach_apicdef.h, include/asm-i386/mach-es7000/mach_ipi.h, include/asm-i386/mach-es7000/mach_mpparse.h, include/asm-i386/mach-es7000/mach_mpspec.h, include/asm-i386/mach-es7000/mach_wakecpu.h, include/asm-i386/mach-generic/mach_apicdef.h, include/asm-i386/mach-generic/mach_ipi.h, include/asm-i386/mach-generic/mach_mpparse.h, include/asm-i386/mach-generic/mach_mpspec.h, include/asm-i386/mach-numaq/mach_apicdef.h, include/asm-i386/mach-numaq/mach_ipi.h, include/asm-i386/mach-numaq/mach_mpspec.h, include/asm-i386/mach-numaq/mach_wakecpu.h, include/asm-i386/mach-pc9800/apm.h, include/asm-i386/mach-pc9800/bios_ebda.h, include/asm-i386/mach-pc9800/do_timer.h, include/asm-i386/mach-pc9800/io_ports.h, include/asm-i386/mach-pc9800/mach_reboot.h, include/asm-i386/mach-pc9800/mach_resources.h, include/asm-i386/mach-pc9800/mach_time.h, include/asm-i386/mach-pc9800/mach_timer.h, include/asm-i386/mach-pc9800/mach_traps.h, include/asm-i386/mach-pc9800/mach_wakecpu.h, include/asm-i386/mach-pc9800/pci-functions.h, include/asm-i386/mach-pc9800/setup_arch_post.h, include/asm-i386/mach-pc9800/setup_arch_pre.h, include/asm-i386/mach-pc9800/smpboot_hooks.h, include/asm-i386/mach-summit/mach_apicdef.h, include/asm-i386/mach-summit/mach_ipi.h, include/asm-i386/mach-summit/mach_mpspec.h, include/asm-i386/mach-visws/cobalt.h, include/asm-i386/mach-visws/do_timer.h, include/asm-i386/mach-visws/entry_arch.h, include/asm-i386/mach-visws/lithium.h, include/asm-i386/mach-visws/mach_apicdef.h, include/asm-i386/mach-visws/piix4.h, include/asm-i386/mach-visws/setup_arch_post.h, include/asm-i386/mach-visws/setup_arch_pre.h, include/asm-i386/mach-visws/smpboot_hooks.h, include/asm-i386/mach-voyager/do_timer.h, include/asm-i386/mach-voyager/entry_arch.h, include/asm-i386/mach-voyager/setup_arch_post.h, include/asm-i386/mach-voyager/setup_arch_pre.h, include/asm-i386/mpspec_def.h, include/asm-i386/msgbuf.h, include/asm-i386/pc9800.h, include/asm-i386/pc9800_sca.h, include/asm-i386/sockios.h, include/asm-i386/suspend.h, include/asm-ia64/acpi-ext.h, include/asm-ia64/agp.h, include/asm-ia64/atomic.h, include/asm-ia64/break.h, include/asm-ia64/bug.h, include/asm-ia64/cacheflush.h, include/asm-ia64/compat.h, include/asm-ia64/fpu.h, include/asm-ia64/gcc_intrin.h, include/asm-ia64/hdreg.h, include/asm-ia64/hw_irq.h, include/asm-ia64/ia64regs.h, include/asm-ia64/intel_intrin.h, include/asm-ia64/ioctl32.h, include/asm-ia64/ipcbuf.h, include/asm-ia64/irq.h, include/asm-ia64/kregs.h, include/asm-ia64/linkage.h, include/asm-ia64/mmu.h, include/asm-ia64/msgbuf.h, include/asm-ia64/parport.h, include/asm-ia64/patch.h, include/asm-ia64/ptrace_offsets.h, include/asm-ia64/rse.h, include/asm-ia64/segment.h, include/asm-ia64/sembuf.h, include/asm-ia64/shmbuf.h, include/asm-ia64/shmparam.h, include/asm-ia64/sigcontext.h, include/asm-ia64/sn/ifconfig_net.h, include/asm-ia64/sn/rw_mmr.h, include/asm-ia64/sn/sn2/shub_mmr.h, include/asm-ia64/suspend.h, include/asm-ia64/ustack.h, include/asm-ia64/vga.h:
	Initial from debian

	* include/asm-cris/Attic/bugs.h, include/asm-cris/Attic/current.h, include/asm-cris/Attic/delay.h, include/asm-cris/Attic/div64.h, include/asm-cris/Attic/dma-mapping.h, include/asm-cris/Attic/kmap_types.h, include/asm-cris/Attic/pci.h, include/asm-cris/Attic/percpu.h, include/asm-cris/Attic/pgtable.h, include/asm-cris/Attic/resource.h, include/asm-cris/Attic/rmap.h, include/asm-cris/Attic/rtc.h, include/asm-cris/Attic/scatterlist.h, include/asm-cris/Attic/signal.h, include/asm-cris/Attic/smp.h, include/asm-cris/Attic/statfs.h, include/asm-cris/Attic/string.h, include/asm-cris/Attic/thread_info.h, include/asm-cris/Attic/tlb.h, include/asm-cris/Attic/topology.h, include/asm-cris/Attic/uaccess.h, include/asm-cris/Attic/ucontext.h, include/asm-cris/Attic/unaligned.h, include/asm-cris/arch-v10/Attic/byteorder.h, include/asm-cris/arch-v10/Attic/delay.h, include/asm-cris/arch-v10/Attic/pgtable.h, include/asm-cris/arch-v10/Attic/thread_info.h, include/asm-cris/arch-v10/Attic/tlb.h, include/asm-cris/arch-v10/Attic/uaccess.h, include/asm-cris/arch-v10/elf.h, include/asm-cris/arch-v10/io.h, include/asm-cris/arch-v10/page.h, include/asm-cris/arch-v10/system.h, include/asm-cris/arch-v10/timex.h, include/asm-cris/atomic.h, include/asm-cris/bitops.h, include/asm-cris/byteorder.h, include/asm-cris/cacheflush.h, include/asm-cris/dma.h, include/asm-cris/elf.h, include/asm-cris/errno.h, include/asm-cris/eshlibld.h, include/asm-cris/etraxgpio.h, include/asm-cris/etraxi2c.h, include/asm-cris/fasttimer.h, include/asm-cris/io.h, include/asm-cris/namei.h, include/asm-cris/page.h, include/asm-cris/param.h, include/asm-cris/pgalloc.h, include/asm-cris/posix_types.h, include/asm-cris/processor.h, include/asm-cris/rs485.h, include/asm-cris/semaphore-helper.h, include/asm-cris/semaphore.h, include/asm-cris/sigcontext.h, include/asm-cris/siginfo.h, include/asm-cris/socket.h, include/asm-cris/termbits.h, include/asm-cris/termios.h, include/asm-cris/timex.h, include/asm-cris/tlbflush.h, include/asm-cris/types.h, include/asm-cris/unistd.h, include/asm-i386/Attic/memblk.h, include/asm-i386/Attic/percpu.h, include/asm-i386/Attic/string.h, include/asm-i386/a.out.h, include/asm-i386/cache.h, include/asm-i386/floppy.h, include/asm-i386/ioctl.h, include/asm-i386/linkage.h, include/asm-i386/mach-bigsmp/mach_apic.h, include/asm-i386/mach-default/irq_vectors.h, include/asm-i386/mach-default/mach_apic.h, include/asm-i386/mach-es7000/mach_apic.h, include/asm-i386/mach-generic/mach_apic.h, include/asm-i386/mach-numaq/mach_apic.h, include/asm-i386/mach-numaq/mach_mpparse.h, include/asm-i386/mach-pc9800/irq_vectors.h, include/asm-i386/mach-summit/mach_apic.h, include/asm-i386/mach-summit/mach_mpparse.h, include/asm-i386/mach-visws/irq_vectors.h, include/asm-i386/mach-visws/mach_apic.h, include/asm-i386/mach-voyager/irq_vectors.h, include/asm-i386/math_emu.h, include/asm-i386/siginfo.h, include/asm-i386/socket.h, include/asm-i386/tlbflush.h, include/asm-ia64/Attic/acpi.h, include/asm-ia64/Attic/bugs.h, include/asm-ia64/Attic/current.h, include/asm-ia64/Attic/delay.h, include/asm-ia64/Attic/div64.h, include/asm-ia64/Attic/dma-mapping.h, include/asm-ia64/Attic/ia32.h, include/asm-ia64/Attic/ide.h, include/asm-ia64/Attic/kmap_types.h, include/asm-ia64/Attic/local.h, include/asm-ia64/Attic/machvec.h, include/asm-ia64/Attic/machvec_dig.h, include/asm-ia64/Attic/machvec_hpsim.h, include/asm-ia64/Attic/machvec_hpzx1.h, include/asm-ia64/Attic/machvec_init.h, include/asm-ia64/Attic/machvec_sn1.h, include/asm-ia64/Attic/machvec_sn2.h, include/asm-ia64/Attic/mc146818rtc.h, include/asm-ia64/Attic/mmzone.h, include/asm-ia64/Attic/pci.h, include/asm-ia64/Attic/percpu.h, include/asm-ia64/Attic/pgtable.h, include/asm-ia64/Attic/resource.h, include/asm-ia64/Attic/rmap.h, include/asm-ia64/Attic/rwsem.h, include/asm-ia64/Attic/scatterlist.h, include/asm-ia64/Attic/sections.h, include/asm-ia64/Attic/signal.h, include/asm-ia64/Attic/smp.h, include/asm-ia64/Attic/statfs.h, include/asm-ia64/Attic/string.h, include/asm-ia64/Attic/thread_info.h, include/asm-ia64/Attic/tlb.h, include/asm-ia64/Attic/topology.h, include/asm-ia64/Attic/uaccess.h, include/asm-ia64/Attic/ucontext.h, include/asm-ia64/Attic/unaligned.h, include/asm-ia64/Attic/xor.h, include/asm-ia64/a.out.h, include/asm-ia64/asmmacro.h, include/asm-ia64/bitops.h, include/asm-ia64/byteorder.h, include/asm-ia64/cache.h, include/asm-ia64/checksum.h, include/asm-ia64/dma.h, include/asm-ia64/elf.h, include/asm-ia64/errno.h, include/asm-ia64/fcntl.h, include/asm-ia64/fpswa.h, include/asm-ia64/hardirq.h, include/asm-ia64/intrinsics.h, include/asm-ia64/io.h, include/asm-ia64/ioctl.h, include/asm-ia64/ioctls.h, include/asm-ia64/iosapic.h, include/asm-ia64/mca.h, include/asm-ia64/mca_asm.h, include/asm-ia64/meminit.h, include/asm-ia64/mman.h, include/asm-ia64/mmu_context.h, include/asm-ia64/module.h, include/asm-ia64/namei.h, include/asm-ia64/nodedata.h, include/asm-ia64/numa.h, include/asm-ia64/numnodes.h, include/asm-ia64/page.h, include/asm-ia64/pal.h, include/asm-ia64/param.h, include/asm-ia64/perfmon.h, include/asm-ia64/perfmon_default_smpl.h, include/asm-ia64/pgalloc.h, include/asm-ia64/poll.h, include/asm-ia64/posix_types.h, include/asm-ia64/processor.h, include/asm-ia64/ptrace.h, include/asm-ia64/sal.h, include/asm-ia64/semaphore.h, include/asm-ia64/serial.h, include/asm-ia64/siginfo.h, include/asm-ia64/sn/Attic/alenlist.h, include/asm-ia64/sn/Attic/invent.h, include/asm-ia64/sn/Attic/ioerror_handling.h, include/asm-ia64/sn/Attic/nag.h, include/asm-ia64/sn/addrs.h, include/asm-ia64/sn/arc/Attic/hinv.h, include/asm-ia64/sn/arc/Attic/types.h, include/asm-ia64/sn/arch.h, include/asm-ia64/sn/bte.h, include/asm-ia64/sn/cdl.h, include/asm-ia64/sn/clksupport.h, include/asm-ia64/sn/dmamap.h, include/asm-ia64/sn/driver.h, include/asm-ia64/sn/fetchop.h, include/asm-ia64/sn/geo.h, include/asm-ia64/sn/hcl.h, include/asm-ia64/sn/hcl_util.h, include/asm-ia64/sn/hwgfs.h, include/asm-ia64/sn/intr.h, include/asm-ia64/sn/io.h, include/asm-ia64/sn/ioc4.h, include/asm-ia64/sn/ioconfig_bus.h, include/asm-ia64/sn/ioerror.h, include/asm-ia64/sn/iograph.h, include/asm-ia64/sn/klconfig.h, include/asm-ia64/sn/kldir.h, include/asm-ia64/sn/labelcl.h, include/asm-ia64/sn/leds.h, include/asm-ia64/sn/module.h, include/asm-ia64/sn/nodepda.h, include/asm-ia64/sn/pci/bridge.h, include/asm-ia64/sn/pci/pci_bus_cvlink.h, include/asm-ia64/sn/pci/pci_defs.h, include/asm-ia64/sn/pci/pcibr.h, include/asm-ia64/sn/pci/pcibr_private.h, include/asm-ia64/sn/pci/pciio.h, include/asm-ia64/sn/pci/pciio_private.h, include/asm-ia64/sn/pci/pic.h, include/asm-ia64/sn/pda.h, include/asm-ia64/sn/pio.h, include/asm-ia64/sn/prio.h, include/asm-ia64/sn/router.h, include/asm-ia64/sn/sgi.h, include/asm-ia64/sn/simulator.h, include/asm-ia64/sn/slotnum.h, include/asm-ia64/sn/sn2/addrs.h, include/asm-ia64/sn/sn2/arch.h, include/asm-ia64/sn/sn2/geo.h, include/asm-ia64/sn/sn2/intr.h, include/asm-ia64/sn/sn2/io.h, include/asm-ia64/sn/sn2/shub_md.h, include/asm-ia64/sn/sn2/shubio.h, include/asm-ia64/sn/sn2/sn_private.h, include/asm-ia64/sn/sn_cpuid.h, include/asm-ia64/sn/sn_fru.h, include/asm-ia64/sn/sn_private.h, include/asm-ia64/sn/sn_sal.h, include/asm-ia64/sn/sndrv.h, include/asm-ia64/sn/types.h, include/asm-ia64/sn/vector.h, include/asm-ia64/socket.h, include/asm-ia64/sockios.h, include/asm-ia64/spinlock.h, include/asm-ia64/stat.h, include/asm-ia64/system.h, include/asm-ia64/termbits.h, include/asm-ia64/termios.h, include/asm-ia64/timex.h, include/asm-ia64/tlbflush.h, include/asm-ia64/types.h, include/asm-ia64/unistd.h, include/asm-ia64/unwind.h, include/asm-ia64/user.h:
	New file.

	* include/asm-arm26/calls.h, include/asm-arm26/checksum.h, include/asm-arm26/ecard.h, include/asm-arm26/fcntl.h, include/asm-arm26/floppy.h, include/asm-arm26/fpstate.h, include/asm-arm26/hdreg.h, include/asm-arm26/ian_char.h, include/asm-arm26/ioctl.h, include/asm-arm26/ioctls.h, include/asm-arm26/irqchip.h, include/asm-arm26/limits.h, include/asm-arm26/linkage.h, include/asm-arm26/linux_logo.h, include/asm-arm26/locks.h, include/asm-arm26/map.h, include/asm-arm26/memory.h, include/asm-arm26/mman.h, include/asm-arm26/mmu.h, include/asm-arm26/mmu_context.h, include/asm-arm26/msgbuf.h, include/asm-arm26/namei.h, include/asm-arm26/oldlatches.h, include/asm-arm26/poll.h, include/asm-arm26/posix_types.h, include/asm-arm26/proc-fns.h, include/asm-arm26/procinfo.h, include/asm-arm26/segment.h, include/asm-arm26/semaphore-helper.h, include/asm-arm26/sembuf.h, include/asm-arm26/setup.h, include/asm-arm26/shmparam.h, include/asm-arm26/sigcontext.h, include/asm-arm26/sizes.h, include/asm-arm26/sockios.h, include/asm-arm26/spinlock.h, include/asm-arm26/stat.h, include/asm-arm26/suspend.h, include/asm-arm26/tlbflush.h, include/asm-arm26/user.h, include/asm-h8300/atomic.h, include/asm-h8300/bug.h, include/asm-h8300/cache.h, include/asm-h8300/cachectl.h, include/asm-h8300/cacheflush.h, include/asm-h8300/checksum.h, include/asm-h8300/dbg.h, include/asm-h8300/edosk2674/machine-depend.h, include/asm-h8300/fcntl.h, include/asm-h8300/flat.h, include/asm-h8300/fpu.h, include/asm-h8300/gpio.h, include/asm-h8300/h8300_smsc.h, include/asm-h8300/hdreg.h, include/asm-h8300/hw_irq.h, include/asm-h8300/init.h, include/asm-h8300/ioctls.h, include/asm-h8300/ipc.h, include/asm-h8300/ipcbuf.h, include/asm-h8300/irq.h, include/asm-h8300/linkage.h, include/asm-h8300/mman.h, include/asm-h8300/mmu.h, include/asm-h8300/msgbuf.h, include/asm-h8300/namei.h, include/asm-h8300/pgalloc.h, include/asm-h8300/poll.h, include/asm-h8300/posix_types.h, include/asm-h8300/segment.h, include/asm-h8300/sembuf.h, include/asm-h8300/setup.h, include/asm-h8300/sh_bios.h, include/asm-h8300/shmbuf.h, include/asm-h8300/shmparam.h, include/asm-h8300/sigcontext.h, include/asm-h8300/sockios.h, include/asm-h8300/softirq.h, include/asm-h8300/spinlock.h, include/asm-h8300/stat.h, include/asm-h8300/target_time.h, include/asm-h8300/tlbflush.h, include/asm-h8300/traps.h, include/asm-h8300/user.h, include/asm-i386/agp.h, include/asm-i386/apicdef.h, include/asm-i386/arch_hooks.h, include/asm-i386/boot.h, include/asm-i386/cpu.h, include/asm-i386/desc.h, include/asm-i386/e820.h, include/asm-i386/hdreg.h, include/asm-i386/i8259.h, include/asm-i386/init.h, include/asm-i386/ipcbuf.h, include/asm-i386/mca.h, include/asm-i386/mca_dma.h, include/asm-i386/mman.h, include/asm-i386/mmu.h, include/asm-i386/mmx.h, include/asm-i386/msr.h, include/asm-i386/nmi.h, include/asm-i386/node.h, include/asm-i386/numaq.h, include/asm-i386/parport.h, include/asm-i386/pgtable-2level.h, include/asm-i386/pgtable-3level.h, include/asm-i386/poll.h, include/asm-i386/posix_types.h, include/asm-i386/rwlock.h, include/asm-i386/segment.h, include/asm-i386/sembuf.h, include/asm-i386/shmbuf.h, include/asm-i386/shmparam.h, include/asm-i386/srat.h, include/asm-i386/stat.h, include/asm-i386/upd4990a.h, include/asm-i386/user.h, include/asm-i386/vga.h, include/asm-i386/vic.h, include/asm-i386/voyager.h, include/asm-ppc64/atomic.h, include/asm-ppc64/bug.h, include/asm-ppc64/cache.h, include/asm-ppc64/checksum.h, include/asm-ppc64/hdreg.h, include/asm-ppc64/iSeries/IoHriMainStore.h, include/asm-ppc64/iSeries/ItSpCommArea.h, include/asm-ppc64/iSeries/LparData.h, include/asm-ppc64/iSeries/XmPciLpEvent.h, include/asm-ppc64/iSeries/iSeries_VpdInfo.h, include/asm-ppc64/iSeries/iSeries_fixup.h, include/asm-ppc64/init.h, include/asm-ppc64/ioctls.h, include/asm-ppc64/ipc.h, include/asm-ppc64/ipcbuf.h, include/asm-ppc64/linkage.h, include/asm-ppc64/mman.h, include/asm-ppc64/msgbuf.h, include/asm-ppc64/namei.h, include/asm-ppc64/numnodes.h, include/asm-ppc64/parport.h, include/asm-ppc64/pmc.h, include/asm-ppc64/poll.h, include/asm-ppc64/posix_types.h, include/asm-ppc64/proc_pmc.h, include/asm-ppc64/segment.h, include/asm-ppc64/sembuf.h, include/asm-ppc64/setup.h, include/asm-ppc64/shmbuf.h, include/asm-ppc64/shmparam.h, include/asm-ppc64/sockios.h, include/asm-ppc64/stat.h, include/asm-ppc64/udbg.h, include/asm-ppc64/user.h, include/asm-ppc64/xics.h, include/asm-sparc/apc.h, include/asm-sparc/bpp.h, include/asm-sparc/bug.h, include/asm-sparc/floppy.h, include/asm-sparc/hw_irq.h, include/asm-sparc/init.h, include/asm-sparc/iommu.h, include/asm-sparc/ipc.h, include/asm-sparc/ipcbuf.h, include/asm-sparc/jsflash.h, include/asm-sparc/kbio.h, include/asm-sparc/linkage.h, include/asm-sparc/mmu.h, include/asm-sparc/mmu_context.h, include/asm-sparc/module.h, include/asm-sparc/msgbuf.h, include/asm-sparc/openpromio.h, include/asm-sparc/poll.h, include/asm-sparc/posix_types.h, include/asm-sparc/reg.h, include/asm-sparc/segment.h, include/asm-sparc/sembuf.h, include/asm-sparc/shmbuf.h, include/asm-sparc/sockios.h, include/asm-sparc/spinlock.h, include/asm-sparc/sun4prom.h, include/asm-sparc/svr4.h, include/asm-sparc/vfc_ioctls.h, include/asm-sparc/vuid_event.h:
	Initial from debian

